2005-02-17 03:10  mattias

	* lazarus/lcl/: lclproc.pas, interfaces/gtk/gtkcallback.inc,
	interfaces/gtk/gtkcomboboxcallback.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkproc.pp:
	
	fixed gtk2 intf checking if signal already connected

2005-02-17 01:05  mattias

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkobject.inc,
	gtk/gtkwinapi.inc, gtk/gtkwsextctrls.pp, gtk2/gtk2wscomctrls.pp:
	
	fixed some gtk2 intf warnings

2005-02-17 00:56  mattias

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk2/gtk2int.pas,
	gtk2/gtk2object.inc, gtk2/gtk2winapi.inc:
	
	fixed some gtk2 intf mem leaks, clean ups

2005-02-17 00:31  mattias

	* lazarus/: components/codetools/definetemplates.pas,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp:
	
	fixed define templates quotes

2005-02-16 23:55  mattias

	* lazarus/lcl/: controls.pp, interfaces/gtk/gtkcallback.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkproc.pp:
	
	improved gtk intf file dialog filter  from C Western

2005-02-15 23:01  micha

	* lazarus/lcl/: grids.pas, include/customcombobox.inc:
	
	compilation fixes

2005-02-15 22:51  micha

	* lazarus/lcl/include/customcombobox.inc:
	
	always call inherited to set text, setitemindex sets text by
	indirectly calling RealSetText

2005-02-15 11:35  mattias

	* lazarus/lcl/grids.pas:
	
	fix grid for goThumbTracking and UseXORFeatures  from Jesus

2005-02-15 11:33  mattias

	* lazarus/lcl/interfaces/gtk/: gtkcallback.inc, gtkobject.inc,
	gtkproc.pp:
	
	fix gtk2 scrollbars  from Jesus

2005-02-12 17:54  micha

	* lazarus/lcl/interfaces/win32/win32wscomctrls.pp:
	
	fix bug 602, statusbar loses text on first panel

2005-02-11 17:26  micha

	* lazarus/lcl/: stdctrls.pp, include/customcombobox.inc:
	
	select index of item in list, if text occurs in list

2005-02-11 16:18  mattias

	* lazarus/lcl/interfaces/gtk/gtkwsextctrls.pp:
	
	removed gtk_realize on notebook AddPage - realize is only possible
	on a form

2005-02-11 08:50  vincents

	* lazarus/components/fpcunit/: guitestrunner.lfm,
	guitestrunner.lrs, guitestrunner.pas:
	
	show treenodes of not run tests and clean up   from Dean

2005-02-10 22:07  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32proc.pp, win32wsspin.pp, win32wsstdctrls.pp:
	
	let general WindowProc also handle childedit of combobox, reduces
	code duplication, implements doubleclick for combobox

2005-02-10 22:06  micha

	* lazarus/debugmanager.pas:
	
	map evaluate command to show evaluate dialog

2005-02-09 12:25  mattias

	* lazarus/: customformeditor.pp, lcl/buttons.pp,
	lcl/include/speedbutton.inc:
	
	fixed loading TSpeedButton.Down  from Yoyong

2005-02-09 10:11  vincents

	* lazarus/lcl/interfaces/gtk/gtkwscomctrls.pp:
	
	fixed fpc 1.0.x compilation (added FPCAdds)

2005-02-08 22:46  vincents

	* lazarus/: designer/controlselection.pp, lcl/actnlist.pas,
	lcl/buttons.pp, lcl/controls.pp, lcl/forms.pp, lcl/fpcadds.pas,
	lcl/grids.pas, lcl/lcltype.pp, lcl/lmessages.pp:
	
	fixed fpc 1.0.x compilation

2005-02-08 22:33  micha

	* lazarus/customformeditor.pp:
	
	delay setting parent until after setbounds, prevents control being
	displayed at (0,0)

2005-02-08 19:51  mattias

	* lazarus/lcl/interfaces/gtk/gtkwsextctrls.pp:
	
	fixed gtk notebook page goodies  from Yoyong

2005-02-08 19:31  mattias

	* lazarus/lcl/interfaces/gtk2/: gtk2int.pas, gtk2object.inc,
	gtk2wscomctrls.pp, gtk2wsstdctrls.pp:
	
	further completions for gtk2 listbox and listview

2005-02-08 12:33  mattias

	* lazarus/lcl/: dbgrids.pas, grids.pas:
	
	fixes for empty dbgrid	from Jesus

2005-02-07 21:39  micha

	* lazarus/lcl/interfaces/win32/win32wsextctrls.pp:
	
	send notify message when changing the switching pages

2005-02-07 20:41  micha

	* lazarus/lcl/interfaces/win32/win32wsstdctrls.pp:
	
	map ssautoX scrollbar options

2005-02-07 20:10  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	revert unwanted commit

2005-02-07 19:53  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32lclintf.inc:
	
	implement size constraints for calendar (it is not resizeable)

2005-02-07 17:19  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc,
	win32wscalendar.pp:
	
	force default width and height for calendar control

2005-02-07 16:27  micha

	* lazarus/lcl/graphtype.pp:
	
	fix calculation of unusedbytemask

2005-02-07 12:04  micha

	* lazarus/lcl/include/wincontrol.inc:
	
	make cn_,wm_ keyup and syskeyup more symmetric with keydown

2005-02-07 11:21  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	properly initialize maskbitmap to 0, not always assigned

2005-02-07 10:07  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	improve windows-has-handled-key check

2005-02-06 23:43  mattias

	* lazarus/lcl/: dbgrids.pas, grids.pas:
	
	dbgrid.ThumbTracking and fixes	from Jesus

2005-02-06 21:43  micha

	* lazarus/lcl/include/customcombobox.inc:
	
	remember text of combobox in case one sets itemindex (fixes bug
	536)

2005-02-06 16:49  micha

	* lazarus/lcl/include/wincontrol.inc:
	
	handle generic shortcuts after widgetset specific shortcuts

2005-02-06 12:28  mattias

	* lazarus/main.pp:
	
	adding focus check for source editor shortcuts in IDE main menu

2005-02-05 23:48  mattias

	* lazarus/lcl/interfaces/gtk/gtkwinapi.inc:
	
	clean up

2005-02-05 21:42  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	added TLMInsertText (temporarily?)

2005-02-05 21:40  vincents

	* lazarus/lcl/interfaces/win32/: win32winapi.inc, win32winapih.inc:
	
	SetCapture uses HWND as parameter and result type

2005-02-05 17:09  marc

	* lazarus/lcl/: comctrls.pp, controls.pp, dialogs.pp, forms.pp,
	grids.pas, lclproc.pas, lcltype.pp, lmessages.pp,
	include/application.inc, include/commondialog.inc,
	include/containedaction.inc, include/control.inc,
	include/dragdock.inc, include/intfbasewinapi.inc,
	include/shortcutlist.inc, include/speedbutton.inc,
	include/treeview.inc, include/winapi.inc, include/winapih.inc,
	include/wincontrol.inc, interfaces/gtk/gtkcallback.inc,
	interfaces/gtk/gtkfontcache.pas, interfaces/gtk/gtkglobals.pp,
	interfaces/gtk/gtklistsl.inc, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk/gtkwinapih.inc,
	interfaces/gtk/gtkwsbuttons.pp, interfaces/gtk/gtkwscomctrls.pp,
	widgetset/wscontrols.pp:
	
	* first 64bit changes

2005-02-05 17:06  mattias

	* lazarus/: main.pp, designer/anchoreditor.pas:
	
	implemented TAnchorsPropertyEditor to show a button to show the
	anchor editor

2005-02-05 16:57  mattias

	* lazarus/lcl/include/control.inc:
	
	fixed dereferencing anchorsides

2005-02-05 16:37  mattias

	* lazarus/designer/: controlselection.pp, designer.pp:
	
	implemented OnIdle checking for controlselection bounds

2005-02-05 15:53  mattias

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	fixed for gtk TScrollBar  from Andrew Haines

2005-02-05 15:51  mattias

	* lazarus/lcl/interfaces/gtk2/gtk2wscomctrls.pp:
	
	fixed for gtk2 TListView columns width	from Andrew Haines

2005-02-05 15:46  mattias

	* lazarus/: debugger/dbgutils.pp,
	lcl/interfaces/gtk/gtkwsstdctrls.pp:
	
	fixed compilation

2005-02-05 15:26  mattias

	* lazarus/tools/install/: create_fpc_tgz_from_local_dir.sh,
	cvsexportlocal.pas:
	
	added parameter check

2005-02-05 15:11  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.po,
	lazaruside.de.po, lazaruside.es.po, lazaruside.esutf.po,
	lazaruside.fi.mo, lazaruside.fi.po, lazaruside.fr.po,
	lazaruside.he.po, lazaruside.it.po, lazaruside.itiso.po,
	lazaruside.pl.po, lazaruside.pliso.po, lazaruside.plwin.po,
	lazaruside.po, lazaruside.ru.po, lazaruside.ruutf.po,
	lazaruside.ruwin.po:
	
	updated finnish translation  from Seppo

2005-02-05 15:06  marc

	* lazarus/debugger/: callstackdlg.pp, dbgutils.pp, debugger.pp:
	
	* Applied (modified) patch from Colin Western

2005-02-05 14:46  mattias

	* lazarus/examples/codepageconverter/: lazconverter.lpi,
	mainunit.pas:
	
	fixed default compilation

2005-02-05 14:44  mattias

	* lazarus/: lazarusidestrconsts.pas, searchresultview.pp,
	uniteditor.pp:
	
	added some resourcestrings

2005-02-05 14:33  mattias

	* lazarus/: main.pp, lcl/forms.pp, lcl/include/customform.inc,
	lcl/include/screen.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented gtkwidgetset.IsWindowEnabled

2005-02-05 10:09  mattias

	* lazarus/lcl/interfaces/: gtk/gtkint.pp, gtk/gtkobject.inc,
	gtk2/gtk2int.pas, gtk2/gtk2object.inc, gtk2/gtk2wscomctrls.pp:
	
	implemented TListView for gtk2	 From Andrew Haines

2005-02-05 10:05  micha

	* lazarus/lcl/: include/application.inc,
	include/intfbasewinapi.inc, include/winapi.inc,
	include/winapih.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/gtk/gtkwinapih.inc, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	add platform independent winapi function IsWindowEnabled

2005-02-04 23:59  mattias

	* lazarus/: buildlazdialog.pas, dialogprocs.pas,
	packager/pkgmanager.pas:
	
	implemented delete ppu files on clean package

2005-02-04 23:04  mattias

	* lazarus/: editoroptions.pp, components/synedit/synedit.pp,
	packager/packagedefs.pas, packager/packageeditor.pas:
	
	fixed copyword in tab line

2005-02-04 16:44  mattias

	* lazarus/: lazarus_dci.lrs, lazarus_dci_file.dci:
	
	updated lazarus.dci

2005-02-04 16:36  mattias

	* lazarus/lcl/: stdctrls.pp, include/customcombobox.inc:
	
	published TComboBox.ItemIndex  from Sergios

2005-02-04 16:24  mattias

	* lazarus/: components/gtk/gtkglarea/gtkglareacontrol.pas,
	lcl/avglvltree.pas, lcl/stdctrls.pp:
	
	published TEdit.OnEditingDone

2005-02-04 02:04  mattias

	* lazarus/lcl/: include/canvas.inc, interfaces/gtk/gtkwinapi.inc:
	
	fixed gtk intf Arc

2005-02-04 01:51  mattias

	* lazarus/lcl/include/pen.inc:
	
	fixed changing TPen.FPColor

2005-02-04 00:19  mattias

	* lazarus/examples/postscript/usamplepostscriptcanvas.pas:
	
	fixed paths  from Olivier

2005-02-04 00:16  mattias

	* lazarus/: components/gtk/gtkglarea/gtkglarea_int.pp,
	components/gtk/gtkglarea/gtkglareacontrol.pas,
	components/gtk/gtkglarea/gtkopengl.lpk,
	components/gtk/gtkglarea/gtkopengl.pas,
	components/gtk/gtkglarea/openglgtkwidget.pas,
	examples/gtkglarea/exampleform.pp,
	examples/gtkglarea/gtkglarea_demo.lpi:
	
	added fpc replacement for gtkglarea

2005-02-03 22:10  vincents

	* lazarus/lcl/interfaces/gtk/: gtkint.pp, gtkproc.inc, gtkproc.pp:
	
	fixed compilation of gtk2 interface on windows

2005-02-03 21:19  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix bug 267: reroute menu key to main form if form has no menu

2005-02-03 17:51  mattias

	* lazarus/: components/gtk/gtkglarea/gtkglarea_int.pp,
	lcl/include/customlistbox.inc, lcl/interfaces/gtk2/gtk2int.pas,
	lcl/interfaces/gtk2/gtk2wsstdctrls.pp:
	
	improved gtk2 listbox  from Andrew Haines

2005-02-03 16:10  micha

	* lazarus/lcl/: actnlist.pas, controls.pp, forms.pp, menus.pp,
	stdctrls.pp, include/application.inc, include/control.inc,
	include/customactionlist.inc, include/customform.inc,
	include/customlabel.inc, include/menu.inc, include/wincontrol.inc:
	
	implement shortcut handling, tcustomlabel accelerator focuscontrol
	functionality

2005-02-03 16:06  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32wsforms.pp:
	
	translate and route WM_SYSCHAR messages, fix WM_SYSKEYDOWN and
	WM_SYSKEYUP messages

2005-02-03 12:57  vincents

	* lazarus/components/fpcunit/: guitestrunner.lfm,
	guitestrunner.lrs, guitestrunner.pas:
	
	user can select tests in treeview   from Dean

2005-02-01 16:48  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed handling WM_MOUSEWHEEL in designer form (bug 647).

2005-02-01 12:25  mattias

	* lazarus/: components/rtticontrols/rttictrls.pas,
	packager/packagelinks.pas:
	
	fixed crash on end of package tree

2005-01-31 18:09  micha

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32wsforms.pp:
	
	use 0 icon handle for bsdialog forms

2005-01-30 22:53  vincents

	* lazarus/components/codetools/laz_xmlwrite.pas:
	
	fpc 1.0.x doesn't have threadvar

2005-01-30 14:49  mattias

	* lazarus/ideintf/configstorage.pas:
	
	fixed abstract constructor for fpc 1.0.10

2005-01-29 18:37  mattias

	* lazarus/: ideoptiondefs.pas, components/codetools/laz_dom.pas,
	ideintf/configstorage.pas:
	
	reduced mem need for xml stuff

2005-01-29 15:36  mattias

	* lazarus/: basedebugmanager.pas, buildlazdialog.pas,
	cleandirdlg.pas, codeexplopts.pas, codetoolsoptions.pas,
	compileroptions.pp, condef.pas, debugmanager.pas, editoroptions.pp,
	environmentopts.pp, exttooldialog.pas, exttooleditdlg.pas,
	helpoptions.pas, ideoptiondefs.pas, ideprocs.pp,
	imexportcompileropts.pas, inputhistory.pas, keymapping.pp, main.pp,
	miscoptions.pas, project.pp, projectdefs.pas, publishmodule.pas,
	runparamsopts.pas, uniteditor.pp,
	components/codetools/allcodetoolunits.pp,
	components/codetools/codecache.pas,
	components/codetools/definetemplates.pas,
	components/codetools/laz_dom.pas,
	components/codetools/laz_xmlread.pas,
	components/codetools/laz_xmlwrite.pas, debugger/debugger.pp,
	designer/designermenu.pp, lcl/extctrls.pp,
	lcl/include/radiogroup.inc, packager/installpkgsetdlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	reactivated fast xml units without widestrings

2005-01-29 04:24  vincents

	* lazarus/lcl/forms.pp:
	
	added define ExceptionHasNoFrames and set it for fpc 1.0.x and
	1.9.6

2005-01-28 22:31  vincents

	* lazarus/findreplacedialog.pp:
	
	set forward search as default

2005-01-28 21:33  peter <peter@freepascal.org>

	* lazarus/lcl/graphtype.pp:
	
	  * correctly calculate UnusedBitsAtEnd if there are no unused bits
	    to prevent overflow

2005-01-28 19:48  micha

	* lazarus/lcl/: extctrls.pp, include/bevel.inc:
	
	implement assign for tbevel

2005-01-28 18:55  mattias

	* lazarus/lcl/interfaces/gtk/: gtkobject.inc, gtkwinapi.inc:
	
	fixed mem leak

2005-01-28 18:06  mattias

	* lazarus/: addtoprojectdlg.pas, lazarusidestrconsts.pas,
	ideintf/componenteditors.pas, ideintf/objinspstrconsts.pas,
	languages/lazaruside.ar.po, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.po,
	languages/lazaruside.fr.po, languages/lazaruside.he.po,
	languages/lazaruside.it.po, languages/lazaruside.itiso.po,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.po,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.po, languages/lazaruside.ruutf.po,
	languages/lazaruside.ruwin.po, languages/objinspstrconsts.ca.po,
	languages/objinspstrconsts.de.po, languages/objinspstrconsts.es.po,
	languages/objinspstrconsts.esutf.po,
	languages/objinspstrconsts.fi.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.it.po,
	languages/objinspstrconsts.itiso.po,
	languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.pliso.po,
	languages/objinspstrconsts.plwin.po, languages/objinspstrconsts.po,
	languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruutf.po,
	languages/objinspstrconsts.ruwin.po:
	
	added resource string for TDefaultComponentEditor.Edit

2005-01-28 17:49  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.mo,
	lazaruside.ca.po, lazaruside.de.po, lazaruside.es.mo,
	lazaruside.es.po, lazaruside.esutf.mo, lazaruside.esutf.po,
	lazaruside.fi.mo, lazaruside.fi.po, lazaruside.fr.mo,
	lazaruside.fr.po, lazaruside.he.po, lazaruside.it.mo,
	lazaruside.it.po, lazaruside.itiso.mo, lazaruside.itiso.po,
	lazaruside.pl.mo, lazaruside.pl.po, lazaruside.pliso.mo,
	lazaruside.pliso.po, lazaruside.plwin.mo, lazaruside.plwin.po,
	lazaruside.po, lazaruside.ru.mo, lazaruside.ru.po,
	lazaruside.ruutf.mo, lazaruside.ruutf.po, lazaruside.ruwin.mo,
	lazaruside.ruwin.po:
	
	updated finnish translation  from Seppo

2005-01-28 17:45  mattias

	* lazarus/lcl/: comctrls.pp, include/treeview.inc:
	
	added TTreeView.OnCustomCreateItem  from Andre Haines

2005-01-28 17:42  mattias

	* lazarus/: delphiunit2laz.pas, lazarusidestrconsts.pas, main.pp,
	components/codetools/finddeclarationtool.pas,
	components/codetools/stdcodetools.pas:
	
	implemented for delphi unit conversion: auto fixing in filenames

2005-01-28 12:40  vincents

	* lazarus/lcl/forms.pp:
	
	fix for 1.9.7 and higher.

2005-01-28 11:48  mattias

	* lazarus/: outputfilter.pas, lcl/include/promptdialog.inc:
	
	fixed compilation

2005-01-27 20:36  mattias

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp,
	lazarusidestrconsts.pas, outputfilter.pas, ideintf/projectintf.pas:
	
	added option compiler: keeping fpc summary in messages

2005-01-27 20:03  mattias

	* lazarus/lcl/: comctrls.pp, dialogs.pp, forms.pp,
	include/promptdialog.inc, include/scrollingwincontrol.inc,
	include/treeview.inc, interfaces/gtk/gtkwinapi.inc:
	
	added QuestionDlg - a MessageDlg with custom buttons

2005-01-27 11:10  mattias

	* lazarus/: checkcompileropts.pas, lcl/comctrls.pp,
	lcl/include/customform.inc, lcl/include/treeview.inc:
	
	added TTreeNode.GetParentNodeOfAbsoluteLevel  from Sergio

2005-01-27 01:55  mattias

	* lazarus/: checkcompileropts.pas, designer/anchoreditor.pas,
	lcl/fileutil.pas, lcl/include/fileutil.inc:
	
	implemented allowing parent as AnchorSide.Control

2005-01-27 00:39  mattias

	* lazarus/lcl/include/customedit.inc:
	
	added TMemo.SelLength negative check

2005-01-27 00:29  mattias

	* lazarus/ideintf/propedits.pp:
	
	fixed TCollectionPropertyEditor when component is deleted

2005-01-27 00:23  mattias

	* lazarus/lcl/: controls.pp, include/customform.inc:
	
	added error when setting FormStyle to MDI

2005-01-26 23:26  vincents

	* lazarus/findreplacedialog.pp:
	
	fixed forward / backwards search

2005-01-26 19:41  mattias

	* lazarus/: compileroptionsdlg.pp, ideprocs.pp:
	
	fixed SplitCmdLine for empty string

2005-01-26 18:51  mattias

	* lazarus/lcl/include/customlabel.inc:
	
	calling autosizing on changing TLabel.Caption

2005-01-26 18:47  mattias

	* lazarus/lcl/interfaces/gtk/gtkwsforms.pp:
	
	added error message for gtk intf for TForm.BorderIcons not
	implemented during designing

2005-01-26 18:36  mattias

	* lazarus/lcl/: stdctrls.pp, include/customstatictext.inc:
	
	added error message for TStaticText.BorderStyle not implemented
	during designing

2005-01-26 18:04  mattias

	* lazarus/: components/sqldb/registersqldb.lrs,
	components/sqldb/registersqldb.pas, components/sqldb/tsqlquery.xpm,
	components/sqldb/tsqltransaction.xpm,
	components/sqldb/interbase/registeribconnection.lrs,
	components/sqldb/interbase/registeribconnection.pas,
	components/sqldb/interbase/tibconnection.xpm,
	components/sqldb/mysql/mysql4connlaz.lpk,
	components/sqldb/mysql/mysql4connlaz.pas,
	components/sqldb/mysql/registermysql4conn.lrs,
	components/sqldb/mysql/registermysql4conn.pas,
	components/sqldb/mysql/tmysqlconnection.xpm,
	components/sqldb/mysql/lib/README,
	components/sqldb/postgres/registerpqconnection.lrs,
	components/sqldb/postgres/registerpqconnection.pas,
	components/sqldb/postgres/tpqconnection.xpm,
	packager/globallinks/mysql4connlaz-0.lpl:
	
	added MySQL connection-component  from Joost

2005-01-26 16:56  mattias

	* lazarus/main.pp:
	
	fixed add editor file to project

2005-01-26 16:45  mattias

	* lazarus/: addtoprojectdlg.pas, compileroptions.pp,
	lazarusidestrconsts.pas, main.pp, projectinspector.pas,
	components/codetools/extractproctool.pas,
	components/codetools/keywordfunclists.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/stdcodetools.pas, lcl/controls.pp,
	lcl/include/control.inc, lcl/include/wincontrol.inc,
	packager/addtopackagedlg.pas, packager/packagedefs.pas:
	
	implemented adding files from directory in project inspector, fixed
	extrac proc checking overlapping blocks

2005-01-25 21:16  mattias

	* lazarus/environmentopts.pp:
	
	added some more IDE windows to environment options

2005-01-25 21:07  mattias

	* lazarus/: ideoptiondefs.pas, lcl/forms.pp,
	lcl/include/customform.inc:
	
	fixed updating restored form bounds for forms without handle

2005-01-25 13:56  vincents

	* lazarus/newdialog.pas:
	
	fixed using protected member

2005-01-25 12:33  mattias

	* lazarus/newprojectdlg.pp:
	
	fixed using protected member

2005-01-25 11:36  mattias

	* lazarus/components/codetools/oldavltree.pas:
	
	fixed unit circle

2005-01-25 10:58  mattias

	* lazarus/lcl/: controls.pp, include/wincontrol.inc:
	
	fixed fpc 1.0.10 compilation

2005-01-25 02:40  mattias

	* lazarus/projectopts.pp:
	
	using autosizing for project opts

2005-01-25 02:20  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.po,
	lazaruside.de.po, lazaruside.es.po, lazaruside.esutf.po,
	lazaruside.fi.mo, lazaruside.fi.po, lazaruside.fr.po,
	lazaruside.he.po, lazaruside.it.po, lazaruside.itiso.po,
	lazaruside.pl.po, lazaruside.pliso.po, lazaruside.plwin.po,
	lazaruside.po, lazaruside.ru.po, lazaruside.ruutf.po,
	lazaruside.ruwin.po:
	
	updated finnish translation  from Seppo

2005-01-25 02:18  mattias

	* lazarus/lcl/: comctrls.pp, include/treeview.inc:
	
	added TTreeView.ExpandSignColor  from Sergio

2005-01-25 02:14  mattias

	* lazarus/: buildlazdialog.pas, cleandirdlg.pas, codeexplopts.pas,
	codetoolsoptions.pas, compileroptions.pp, condef.pas,
	dialogprocs.pas, editoroptions.pp, environmentopts.pp,
	filereferencelist.pas, helpoptions.pas, ideprocs.pp,
	imexportcompileropts.pas, inputfiledialog.pas, inputhistory.pas,
	lazarusidestrconsts.pas, main.pp, mainbase.pas, project.pp,
	components/codetools/codecache.pas,
	components/codetools/definetemplates.pas,
	components/codetools/fileprocs.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/sourcelog.pas, designer/designermenu.pp,
	packager/installpkgsetdlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagelinks.pas,
	packager/pkgmanager.pas:
	
	implemented automatic redirecting of package output directory and
	filestate cache

2005-01-24 17:06  mattias

	* lazarus/: lazarusidestrconsts.pas, newdialog.pas,
	newprojectdlg.pp, languages/lazaruside.ar.po,
	languages/lazaruside.ca.mo, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.esutf.mo,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.itiso.mo,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.mo,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.mo,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruutf.mo, languages/lazaruside.ruutf.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ca.po, languages/objinspstrconsts.de.po,
	languages/objinspstrconsts.es.po,
	languages/objinspstrconsts.esutf.po,
	languages/objinspstrconsts.fi.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.it.po,
	languages/objinspstrconsts.itiso.po,
	languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.pliso.po,
	languages/objinspstrconsts.plwin.po, languages/objinspstrconsts.po,
	languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruutf.po,
	languages/objinspstrconsts.ruwin.po,
	lcl/interfaces/gtk/gtkproc.inc:
	
	implemented DoubleClick for quick selection in new dialog

2005-01-24 16:12  mattias

	* lazarus/ideintf/: objectinspector.pp, propedits.pp:
	
	fixed OI to end a RefreshPropertyValues on change

2005-01-24 15:57  mattias

	* lazarus/: compileroptions.pp, ideintf/propedits.pp,
	lcl/controls.pp:
	
	fixed TCollectionPropertyEditorForm to recognize renames and
	deletes

2005-01-24 13:23  mattias

	* lazarus/lcl/: controls.pp, include/colorbutton.inc,
	include/control.inc, include/customcheckbox.inc,
	include/customlabel.inc, include/customstatictext.inc,
	include/radiobutton.inc:
	
	fixed TColorButton.Paint

2005-01-24 12:49  mattias

	* lazarus/: compileroptions.pp, ideprocs.pp,
	lcl/include/control.inc, lcl/include/customlabel.inc,
	lcl/include/wincontrol.inc, packager/packagesystem.pas:
	
	added checks for filenames with spaces

2005-01-24 09:37  vincents

	* lazarus/mainbase.pas:
	
	rearranged help menu

2005-01-24 03:42  mattias

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp,
	lazarusidestrconsts.pas, main.pp:
	
	fixed search path to cmd line param

2005-01-23 22:31  vincents

	* lazarus/components/fpcunit/: guitestrunner.lfm,
	guitestrunner.pas:
	
	added command line parameter for running test at startup   from
	Dean

2005-01-23 16:05  mattias

	* lazarus/lcl/include/: controlsproc.inc, wincontrol.inc:
	
	fixed TabList access

2005-01-23 14:14  mattias

	* lazarus/buildlazdialog.pas:
	
	fixed using quotation marks in idemake.cfg

2005-01-23 13:56  mattias

	* lazarus/: designer/jitforms.pp, lcl/lresources.pp:
	
	fixes for reading inherited forms   from Colin Western

2005-01-23 12:43  mattias

	* lazarus/: components/synedit/synedit.pp,
	lcl/interfaces/gtk2/gtk2int.pas,
	lcl/interfaces/gtk2/gtk2object.inc,
	lcl/interfaces/gtk2/gtk2winapi.inc:
	
	fixed expandingtabs in synedit painting

2005-01-23 00:53  mattias

	* lazarus/: examples/sprites/spriteexample.lpi,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapiwindow.pp,
	lcl/interfaces/gtk/gtkwsstdctrls.pp,
	lcl/interfaces/gtk2/gtk2int.pas,
	lcl/interfaces/gtk2/gtk2object.inc:
	
	fixed gtk2 intf  from Peter Vreman

2005-01-22 23:26  mattias

	* lazarus/: examples/sprites/playground.lfm,
	examples/sprites/playground.lrs, examples/sprites/playground.pas,
	examples/sprites/spriteexample.lpi,
	examples/sprites/spriteexample.lpr, lcl/controls.pp,
	lcl/include/customcontrol.inc, lcl/include/customimage.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	added sprite example

2005-01-22 21:48  mattias

	* lazarus/: debugmanager.pas, debugoptionsfrm.lfm,
	debugoptionsfrm.lrs, debugoptionsfrm.pas, environmentopts.pp:
	
	added option to omit debugged program stopped  from Andrew Haines

2005-01-22 21:24  mattias

	* lazarus/examples/: Makefile, Makefile.fpc, taborder.pas:
	
	added taborder example

2005-01-22 13:01  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	fixed installing as normal user

2005-01-21 23:08  micha

	* lazarus/: ideoptiondefs.pas, main.pp, lcl/forms.pp,
	lcl/include/customform.inc:
	
	implement restored size, let lazarus ide store restored size

2005-01-21 23:07  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32winapi.inc:
	
	simpler overlay window

2005-01-21 20:47  micha

	* lazarus/designer/controlselection.pp:
	
	fix bug 575, refresh control image when moving/resizing

2005-01-21 20:18  mattias

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas,
	designer/designer.pp, lcl/include/colorbutton.inc,
	lcl/include/wincontrol.inc:
	
	implemented option to reduce designer painting

2005-01-21 17:18  micha

	* lazarus/designer/designer.pp:
	
	fix capturing of mouse during dragging speed up drawing of grid;
	use Pixels[] to draw pixels :) moveto/lineto uses Pen, not Brush

2005-01-21 15:18  micha

	* lazarus/lcl/: stdctrls.pp, include/customlabel.inc:
	
	implement TCustomLabel.Layout

2005-01-21 14:38  micha

	* lazarus/lcl/: stdctrls.pp, include/customlabel.inc:
	
	implement TCustomLabel.Transparent

2005-01-21 13:40  micha

	* lazarus/ideintf/objectinspector.pp:
	
	check range of new TopY

2005-01-21 13:10  micha

	* lazarus/designer/designer.pp:
	
	only change cursor if within client area

2005-01-21 12:52  micha

	* lazarus/lcl/: controls.pp, include/control.inc,
	include/wincontrol.inc:
	
	cleanup focus; fix tabbing

2005-01-21 11:41  mattias

	* lazarus/lcl/grids.pas:
	
	fixed changing the cell value while in editor mode  from Jesus

2005-01-21 11:34  mattias

	* lazarus/: designer/anchoreditor.pas, designer/jitforms.pp,
	ideintf/helpintf.pas, ideintf/propedits.pp, lcl/controls.pp,
	lcl/include/control.inc, lcl/include/wincontrol.inc:
	
	implemented streaming of anchorsides

2005-01-20 23:10  mattias

	* lazarus/: designer/anchoreditor.lfm, designer/anchoreditor.lrs,
	designer/anchoreditor.pas, images/laz_images.lrs,
	images/designer/anchorcenterhorizontal.xpm,
	images/designer/anchorcentervertical.xpm:
	
	fixed showing anchor control in anchor editor

2005-01-20 21:51  mattias

	* lazarus/: designer/anchoreditor.lfm, designer/anchoreditor.lrs,
	designer/anchoreditor.pas, images/README, images/laz_images.lrs,
	images/designer/anchorbottombottom.xpm,
	images/designer/anchorcenterhorizontal.xpm,
	images/designer/anchorcentervertical.xpm,
	images/designer/anchorleftleft.xpm,
	images/designer/anchorleftright.xpm,
	images/designer/anchorrightright.xpm,
	images/designer/anchortopbottom.xpm,
	images/designer/anchortoptop.xpm, lcl/controls.pp:
	
	implementing anchor editor, setting sibling and reference sides

2005-01-20 20:00  mattias

	* lazarus/designer/: anchoreditor.lfm, anchoreditor.lrs,
	anchoreditor.pas:
	
	implemented setting Anchors via AnchorEditor

2005-01-20 17:58  mattias

	* lazarus/: ideintf/propedits.pp, lcl/stdctrls.pp,
	lcl/include/customcombobox.inc:
	
	published TComboBox.OnDbClick

2005-01-20 15:25  vincents

	* lazarus/tools/lazres.lpi:
	
	use default widget set and target os

2005-01-20 14:34  vincents

	* lazarus/lcl/: include/sizeconstraints.inc,
	interfaces/win32/win32wsstdctrls.pp:
	
	implemented TWin32WSCustomListBox.GetTopIndex and SetTopIndex

2005-01-20 14:10  mattias

	* lazarus/project.pp:
	
	fixed win compilation

2005-01-20 12:37  mattias

	* lazarus/: compileroptionsdlg.pp, newdialog.pas, project.pp,
	runparamsopts.pas:
	
	fixed Escape key in dialogs: run params, new, compiler opts

2005-01-20 01:31  mattias

	* lazarus/lcl/include/pen.inc:
	
	fixed fpCanvas TPenStyle to LCL intf pen styles

2005-01-19 23:34  vincents

	* lazarus/lcl/include/sizeconstraints.inc:
	
	fixed calculating EffectiveMaxWidth and EffectiveMaxHeight

2005-01-19 13:48  vincents

	* lazarus/tools/updatepofiles.pas:
	
	renamed AvLTree to AvL_Tree

2005-01-19 09:17  mattias

	* lazarus/invertassigntool.pas:
	
	improved invert assignment tool for comments   from Andrew Haines

2005-01-18 23:35  mattias

	* lazarus/invertassigntool.pas:
	
	replaced array of with pointer of integer for 1.0.10

2005-01-18 23:26  mattias

	* lazarus/lcl/: lclproc.pas, lresources.pp, include/bitmap.inc:
	
	added workaround for bug 3574

2005-01-18 22:22  vincents

	* lazarus/debugger/gdbmidebugger.pp:
	
	fixed unlocking executable after debugging

2005-01-18 20:46  mattias

	* lazarus/lcl/include/bitmap.inc:
	
	added stream size check for TBitmap

2005-01-18 19:46  mattias

	* lazarus/: invertassigntool.pas, lcl/include/customform.inc,
	lcl/include/customimage.inc, lcl/include/wincontrol.inc:
	
	improved invert assignment tool by multilines	from Andrew Haines

2005-01-18 14:11  vincents

	* lazarus/ideintf/: helpintf.pas, objinspstrconsts.pas:
	
	show message if not help is found

2005-01-18 08:28  vincents

	* lazarus/helpmanager.pas:
	
	fixed showing error, if no browser is found

2005-01-18 01:59  marc

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	* oops, fixed line end calculation

2005-01-18 01:09  marc

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	* Improved line end detection for rawimages

2005-01-17 18:49  mattias

	* lazarus/lcl/: controls.pp, include/control.inc,
	include/sizeconstraints.inc, include/wincontrol.inc,
	interfaces/gtk/gtkwscontrols.pp:
	
	fixed constraints for forms under gtk

2005-01-17 18:20  mattias

	* lazarus/: aboutfrm.lfm, aboutfrm.lrs, aboutfrm.pas:
	
	replaced aboutform resizing

2005-01-17 17:42  mattias

	* lazarus/: designer/anchoreditor.pas, lcl/controls.pp,
	lcl/stdctrls.pp, lcl/include/customlabel.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	improved TLabel autosizing

2005-01-17 17:16  vincents

	* lazarus/: docs/Contributors.txt, tools/install/win32/lazarus.iss:
	
	win32 installer uses package icon from Francisco

2005-01-17 16:36  mattias

	* lazarus/: outputfilter.pas, components/synedit/synedit.pp,
	components/synedit/syntextdrawer.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	improved gtk intf to calculate TextHeight

2005-01-17 16:35  vincents

	* lazarus/images/lazaruspackage.ico:
	
	added new icon for lazarus package file

2005-01-17 14:08  mattias

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp,
	imexportcompileropts.pas, lazarusidestrconsts.pas:
	
	added check for additional compiler config biting the standard one

2005-01-17 13:49  micha

	* lazarus/lcl/: extctrls.pp, include/customimage.inc:
	
	properly support TImage.OnPaint event, fix infinite loop

2005-01-17 13:26  mattias

	* lazarus/aboutfrm.pas:
	
	replaced about form caption with resourcestring

2005-01-17 12:53  mattias

	* lazarus/: designer/anchoreditor.pas, lcl/controls.pp,
	lcl/graphtype.pp, lcl/spin.pp, lcl/include/control.inc,
	lcl/include/spinedit.inc, lcl/interfaces/gtk/gtkwsspin.pp:
	
	added showing all four sides to AnchorEditor

2005-01-17 11:00  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	added registry settings for opening packages on the command line

2005-01-17 00:01  marc

	* lazarus/lcl/include/listitems.inc:
	
	* Rewrite of streamreading/writing to be sparc compatible   (no
	unaligned read/writes)

2005-01-16 20:46  micha

	* lazarus/lcl/: extctrls.pp, include/customimage.inc:
	
	fix bug 464 and 514: create bitmap handle to back image drawing up

2005-01-16 20:23  micha

	* lazarus/lcl/grids.pas:
	
	fix compilation

2005-01-16 20:02  micha

	* lazarus/: Makefile.fpc, ideprocs.pp, main.pp,
	debugger/gdbdebugger.pp, debugger/gdbmidebugger.pp:
	
	fix bug 506: pass quoted files and paths to gdb that possibly
	contain spaces

2005-01-16 16:37  micha

	* lazarus/lcl/include/custompage.inc:
	
	fix bug 488: custompage should have csnodesignvisible never set
	*or* before creation of handle

2005-01-16 14:59  micha

	* lazarus/lcl/interfaces/gtk/gtkproc.pp:
	
	revert patch: use synchronize by default; users now always need to
	use cthreads otherwise there will be a RTE

2005-01-16 14:34  mattias

	* lazarus/: main.pp, ideintf/lazideintf.pas:
	
	implemented loading .lpk on cmd line

2005-01-16 14:16  mattias

	* lazarus/: ideintf/componenteditors.pas, lcl/dbgrids.pas,
	lcl/grids.pas:
	
	added DoCompareCells, changed OnCompareCell  from Jesus

2005-01-16 14:14  mattias

	* lazarus/components/codetools/keywordfunclists.pas:
	
	added extdecl as proc specifier as workaround for macros

2005-01-16 14:08  mattias

	* lazarus/examples/grid_semaphor/example/: project1.lpi,
	project1.lpr, unit1.lfm, unit1.lrs, unit1.pas:
	
	added forgotten example files

2005-01-16 12:40  mattias

	* lazarus/: condef.lfm, condef.lrs, ideintf/graphpropedits.pas,
	lcl/forms.pp, lcl/include/graphiccontrol.inc,
	lcl/include/intfbaselcl.inc, lcl/include/intfbasewinapi.inc,
	lcl/include/paintbox.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc:
	
	fixed TGtkWidgetSet.ExtSelectClipRGN for DCOrigin

2005-01-15 22:26  vincents

	* lazarus/ideintf/objectinspector.pp:
	
	fixed memleak: if AutoFreeHook is true, free PropertyEditorHook

2005-01-15 19:41  vincents

	* lazarus/customformeditor.pp:
	
	fixed fpc 1.0.x compilation

2005-01-15 16:49  micha

	* lazarus/lcl/interfaces/win32/win32wsstdctrls.pp:
	
	scroll caret into view when changing selstart

2005-01-15 16:36  micha

	* lazarus/lcl/: include/controlscrollbar.inc,
	include/scrollingwincontrol.inc, interfaces/win32/win32proc.pp:
	
	fix scrolling: left, top should not be changed while scrolling

2005-01-15 14:44  vincents

	* lazarus/: addtoprojectdlg.pas, basedebugmanager.pas,
	buildlazdialog.pas, cleandirdlg.pas, codeexplopts.pas,
	codetoolsoptions.pas, compileroptions.pp, componentpalette.pas,
	condef.pas, customformeditor.pp, debugmanager.pas, dialogprocs.pas,
	editoroptions.pp, environmentopts.pp, exttooldialog.pas,
	exttooleditdlg.pas, filereferencelist.pas,
	findrenameidentifier.pas, helpoptions.pas, ideoptiondefs.pas,
	ideprocs.pp, imexportcompileropts.pas, inputhistory.pas,
	keymapping.pp, main.pp, mainbase.pas, mainintf.pas,
	miscoptions.pas, project.pp, projectdefs.pas, publishmodule.pas,
	runparamsopts.pas, sortselectiondlg.pas, sourcemarks.pas,
	components/codetools/allcodetoolunits.pp,
	components/codetools/codecache.pas,
	components/codetools/codecompletiontool.pas,
	components/codetools/codetemplatestool.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetree.pas,
	components/codetools/customcodetool.pas,
	components/codetools/definetemplates.pas,
	components/codetools/eventcodetool.pas,
	components/codetools/extractproctool.pas,
	components/codetools/finddeclarationcache.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/identcompletiontool.pas,
	components/codetools/methodjumptool.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/sourcechanger.pas,
	components/codetools/stdcodetools.pas, debugger/debugger.pp,
	designer/designermenu.pp, packager/addfiletoapackagedlg.pas,
	packager/addtopackagedlg.pas, packager/installpkgsetdlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkggraphexplorer.pas, packager/pkgmanager.pas,
	tools/updatepofiles.pas:
	
	use xml units from fpc, if not compiling with fpc 1.0

2005-01-15 14:43  mattias

	* lazarus/lcl/include/scrollingwincontrol.inc:
	
	fixed lock/unlock difference

2005-01-15 14:25  micha

	* lazarus/lcl/: include/scrollingwincontrol.inc,
	interfaces/gtk/gtkwsforms.pp, interfaces/win32/win32wsforms.pp,
	widgetset/wsforms.pp:
	
	fix scrolling (win32)

2005-01-15 12:56  mattias

	* lazarus/lcl/: graphics.pp, include/canvas.inc:
	
	fixed locking TCanvas

2005-01-15 12:45  mattias

	* lazarus/lcl/propertystorage.pas:
	
	fixed freeing propertystorage

2005-01-15 12:40  mattias

	* lazarus/lcl/: inipropstorage.pas, propertystorage.pas,
	xmlpropstorage.pas:
	
	added OnSavingProperties, OnRestoringProperties to
	TCustomPropertyStorage

2005-01-15 11:09  micha

	* lazarus/lcl/interfaces/: gtk/gtkproc.pp, win32/win32callback.inc,
	win32/win32int.pp, win32/win32object.inc:
	
	fix bug 558: title bar redraw (win32) USE_SYNCHRONIZE enabled per
	default for 1.9.x

2005-01-15 10:23  micha

	* lazarus/docs/TODO:
	
	remove long ago completed items in win32

2005-01-15 04:09  mattias

	* lazarus/main.pp:
	
	fixed checking unitname after adding default unit extension

2005-01-14 20:08  mattias

	* lazarus/: ideintf/propedits.pp, lcl/xmlpropstorage.pas:
	
	added filename property editor for property storage

2005-01-14 18:42  mattias

	* lazarus/invertassigntool.pas:
	
	fixed invert assignment tool  from Sergio

2005-01-14 17:29  vincents

	* lazarus/helpoptions.pas:
	
	fixed memleak while saving help options

2005-01-14 16:43  mattias

	* lazarus/lcl/include/bitmap.inc:
	
	added Changed and Changing to TBitmpa.Assign

2005-01-14 16:24  mattias

	* lazarus/splash.pp:
	
	using logo size for splashform

2005-01-14 16:19  mattias

	* lazarus/lazarusmanager.pas:
	
	fixed creating splashform on show

2005-01-14 16:15  mattias

	* lazarus/docs/: DesignGuidelines.txt, TODO:
	
	started docs/DesignGuidelines.txt

2005-01-14 15:53  vincents

	* lazarus/helpoptions.pas:
	
	fixed memleak

2005-01-14 15:46  mattias

	* lazarus/: lazarusmanager.pas, splash.pp, lcl/include/brush.inc:
	
	fixed freeing brush handle on SetColor and fixed freeing splashform

2005-01-14 15:29  mattias

	* lazarus/: invertassigntool.pas, invertattribtool.pas,
	keymapping.pp, lazarusidestrconsts.pas, main.pp, uniteditor.pp:
	
	renamed invert attribution to invert assignment tool  from Sergio

2005-01-14 13:16  vincents

	* lazarus/lcl/interfaces/win32/win32int.pp:
	
	added elements to LclCursorToWin32CursorMap for new crXXX constants

2005-01-14 11:21  vincents

	* lazarus/: ideintf/helphtml.pas, lcl/grids.pas:
	
	made FindDefaultBrowser more win32-friendly

2005-01-14 01:27  mattias

	* lazarus/: codetoolsdefines.pas, codetoolsoptions.pas,
	editoroptions.pp, encloseselectiondlg.lfm, encloseselectiondlg.lrs,
	environmentopts.pp, extractprocdlg.lfm, extractprocdlg.lrs,
	sortselectiondlg.pas, unitinfodlg.pp, viewunit_dlg.lfm,
	viewunit_dlg.pp, viewunits1.lrs,
	components/rtticontrols/rttigrids.pas, lcl/buttons.pp,
	lcl/include/application.inc, lcl/include/buttons.inc:
	
	fixed several dialogs to react on esacpe

2005-01-14 00:37  marc

	* lazarus/lcl/include/customcheckbox.inc:
	
	* Fixed and clearified loaded

2005-01-14 00:22  mattias

	* lazarus/components/rtticontrols/: rttictrls.pas, rttigrids.pas,
	examples/exampleprojectgrid1.lpi:
	
	implemented TTICheckBox.PropertyNameAsCaption

2005-01-14 00:02  mattias

	* lazarus/: components/rtticontrols/rttigrids.pas,
	components/rtticontrols/examples/examplegrid1.lfm,
	components/rtticontrols/examples/examplegrid1.lrs,
	components/rtticontrols/examples/examplegrid1.pas,
	components/rtticontrols/examples/exampleprojectgrid1.lpi,
	lcl/grids.pas:
	
	added button for dialog items in TTIGrid

2005-01-13 23:55  mattias

	* lazarus/lcl/include/pen.inc:
	
	fixed fpcanvas TPen.Style

2005-01-13 23:07  mattias

	* lazarus/: designer/controlselection.pp, lcl/controls.pp,
	lcl/interfaces/gtk/gtkint.pp:
	
	added mouse cursors for 8 uni directions, imlemented for gtk

2005-01-13 21:58  mattias

	* lazarus/compileroptionsdlg.pp:
	
	disabled test button during run

2005-01-13 21:46  mattias

	* lazarus/: compileroptionsdlg.pp, lazarusidestrconsts.pas:
	
	replaced fpc config file options text

2005-01-13 21:21  mattias

	* lazarus/lcl/include/control.inc:
	
	added desgntime check for TControl.Width/Height for high values

2005-01-13 20:54  mattias

	* lazarus/project.pp:
	
	added loading/saving project pathdelim	from Vincent

2005-01-13 20:52  mattias

	* lazarus/lcl/include/: control.inc, sizeconstraints.inc,
	wincontrol.inc:
	
	added desgntime check for TControl.Width/Height for negative values

2005-01-13 20:22  mattias

	* lazarus/: components/sqldb/registersqldb.pas,
	components/sqldb/sqldblaz.lpk, components/sqldb/sqldblaz.pas,
	components/sqldb/interbase/ibconnectionlaz.lpk,
	components/sqldb/interbase/ibconnectionlaz.pas,
	components/sqldb/interbase/registeribconnection.pas,
	components/sqldb/interbase/lib/README, components/sqldb/lib/README,
	components/sqldb/postgres/pqconnectionlaz.lpk,
	components/sqldb/postgres/pqconnectionlaz.pas,
	components/sqldb/postgres/registerpqconnection.pas,
	components/sqldb/postgres/lib/README, docs/Contributors.txt,
	packager/globallinks/ibconnectionlaz-0.lpl,
	packager/globallinks/pqconnectionlaz-0.lpl,
	packager/globallinks/semaphorgridlpk-0.lpl,
	packager/globallinks/sqldblaz-0.lpl:
	
	added sqldb packages  from Joost van der Sluis

2005-01-13 20:07  mattias

	* lazarus/examples/grid_semaphor/: readme.txt, semaphorgridlpk.lpk,
	semaphorgridlpk.pas, semaphorgrids.pas, semaphorgridsicon.lrs,
	tsemaphorgrid.xpm, example/table01.stb, example/table02.stb,
	example/table03hidden.stb, example/table04hidden.stb:
	
	added example for package with grid descendent	 from Salvatore

2005-01-13 19:51  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.po,
	lazaruside.de.po, lazaruside.es.po, lazaruside.esutf.po,
	lazaruside.fi.po, lazaruside.fr.po, lazaruside.he.po,
	lazaruside.it.po, lazaruside.itiso.po, lazaruside.pl.po,
	lazaruside.pliso.po, lazaruside.plwin.po, lazaruside.po,
	lazaruside.ru.po, lazaruside.ruutf.po, lazaruside.ruwin.po:
	
	updated translation

2005-01-13 19:44  mattias

	* lazarus/: findreplacedialog.pp, lazarusidestrconsts.pas:
	
	replaced up/down with more meaningful forward/backward search

2005-01-13 19:39  mattias

	* lazarus/: environmentopts.pp, translations.pas,
	lcl/include/customcombobox.inc:
	
	fixed getting ItemIndex before combobox destroys handle

2005-01-13 01:13  mattias

	* lazarus/lcl/include/dragdock.inc:
	
	fixed dragging over nil

2005-01-13 01:01  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.mo,
	lazaruside.ca.po, lazaruside.de.po, lazaruside.es.mo,
	lazaruside.es.po, lazaruside.esutf.mo, lazaruside.esutf.po,
	lazaruside.fi.mo, lazaruside.fi.po, lazaruside.fr.mo,
	lazaruside.fr.po, lazaruside.he.mo, lazaruside.he.po,
	lazaruside.it.mo, lazaruside.it.po, lazaruside.itiso.mo,
	lazaruside.itiso.po, lazaruside.pl.mo, lazaruside.pl.po,
	lazaruside.pliso.mo, lazaruside.pliso.po, lazaruside.plwin.mo,
	lazaruside.plwin.po, lazaruside.po, lazaruside.ru.mo,
	lazaruside.ru.po, lazaruside.ruutf.mo, lazaruside.ruutf.po,
	lazaruside.ruwin.mo, lazaruside.ruwin.po:
	
	updated finnish translation

2005-01-13 00:58  mattias

	* lazarus/: project.pp, components/codetools/fileprocs.pas,
	lcl/fileutil.pas, lcl/include/fileutil.inc:
	
	improved project: recognizing if filename was fixed before
	pathdelim changed

2005-01-13 00:28  mattias

	* lazarus/: main.pp, project.pp, projectdefs.pas:
	
	implemented skipping debugger settings for publishing projects

2005-01-13 00:18  mattias

	* lazarus/lcl/: include/control.inc, include/sizeconstraints.inc,
	interfaces/gtk/gtklclintf.inc, interfaces/gtk/gtkobject.inc:
	
	limited widget sizes to 10000x10000

2005-01-12 23:39  mattias

	* lazarus/main.pp:
	
	fixed creating new item from new dialog

2005-01-12 23:21  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed finding declaration and ancestors for unit name

2005-01-12 22:03  vincents

	* lazarus/: customformeditor.pp, main.pp, designer/jitforms.pp:
	
	Removed some fpc 1.9.4 workarounds

2005-01-12 19:43  mattias

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp,
	editdefinetree.pas, lazarusidestrconsts.pas,
	ideintf/projectintf.pas:
	
	comp opt: renamed additional fpc config file with custom config
	file

2005-01-12 19:24  mattias

	* lazarus/publishprojectdlg.pas:
	
	replaced TOpenDialog with TSelectDirectoryDialog in publish
	package/project

2005-01-12 18:48  mattias

	* lazarus/lcl/: inipropstorage.pas, propertystorage.pas,
	xmlpropstorage.pas:
	
	replaced VER1_9_5 with not VER1_0

2005-01-12 11:27  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	improved priority checking for FPC source units

2005-01-12 10:49  mattias

	* lazarus/components/synedit/synedit.pp:
	
	removed default value for fpc 1.0.10

2005-01-12 02:52  mattias

	* lazarus/components/synedit/synedit.pp:
	
	fixed undo item for unindent with backspace

2005-01-12 02:21  mattias

	* lazarus/components/synedit/synedit.pp:
	
	fixed using spaces instead of tabs to fill space

2005-01-12 02:09  mattias

	* lazarus/: uniteditor.pp, components/synedit/synedit.pp,
	lcl/lclproc.pas:
	
	fixed ecDeleteLastChar on unindent

2005-01-11 22:40  micha

	* lazarus/lcl/interfaces/gtk/: gtkobject.inc, gtkproc.inc,
	gtkproc.pp, gtkwsstdctrls.pp:
	
	fix gtk compilation for tstatictext.layout

2005-01-11 22:36  micha

	* lazarus/lcl/: stdctrls.pp, include/customstatictext.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	remove TStaticText.Layout property, not supported by delphi, hard
	to implement

2005-01-11 20:01  mattias

	* lazarus/: main.pp, lcl/interfaces/gtk/gtkcallback.inc:
	
	fixed adding main file in gtk filediaog twice

2005-01-11 18:32  mattias

	* lazarus/components/synedit/synedit.pp:
	
	fixed backspace in tab lines

2005-01-11 16:22  mattias

	* lazarus/: editoroptions.pp, lazarusidestrconsts.pas:
	
	added new editor options: Right Mouse moves cursor and Tab Indent
	Blocks

2005-01-11 16:12  mattias

	* lazarus/components/synedit/synedit.pp:
	
	fixed cursor after deleting in tab line

2005-01-11 15:52  mattias

	* lazarus/components/synedit/synedit.pp:
	
	fixed jumping to end of tab line

2005-01-11 15:25  mattias

	* lazarus/: lazarusidestrconsts.pas, components/synedit/synedit.pp:
	
	fixed cursor pos after inserting tab

2005-01-11 15:03  mattias

	* lazarus/: components/rtticontrols/rttigrids.pas, lcl/grids.pas:
	
	added property sorting, hiding, showing only, aliasing for TTIGrid

2005-01-11 14:51  vincents

	* lazarus/lcl/interfaces/win32/win32wsextctrls.pp:
	
	force handle creation before showing page contents

2005-01-11 14:25  vincents

	* lazarus/lcl/: stdctrls.pp, include/customcheckbox.inc:
	
	TCustomCheckBox.AllowGray defaults to false.

2005-01-10 22:24  mattias

	* lazarus/: components/rtticontrols/rttigrids.pas, lcl/grids.pas:
	
	implemented dialog editing for TTIGrid

2005-01-10 22:09  mattias

	* lazarus/: components/rtticontrols/rttigrids.pas,
	ideintf/graphpropedits.pas, lcl/grids.pas:
	
	implemented editing for TTIGrid

2005-01-10 21:30  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed fpc 1.0.x compilation

2005-01-10 20:01  mattias

	* lazarus/: languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruutf.mo, languages/lazaruside.ruutf.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ru.mo, languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruutf.mo,
	languages/objinspstrconsts.ruutf.po,
	languages/objinspstrconsts.ruwin.mo,
	languages/objinspstrconsts.ruwin.po, lcl/defaulttranslator.pas:
	
	updated russian translation  from VVI

2005-01-10 19:44  mattias

	* lazarus/lcl/: graphics.pp, postscriptcanvas.pas, printers.pas,
	include/brush.inc, include/canvas.inc, include/font.inc,
	include/pen.inc:
	
	implemented the fpCanvas support for the LCL - Compile with
	-dUseFPCanvas

2005-01-10 17:35  vincents

	* lazarus/lcl/extctrls.pp:
	
	made TabVisible public

2005-01-10 17:34  vincents

	* lazarus/tools/install/win32/: build-fpc.bat,
	create_installer.bat, lazarus.iss:
	
	- added small installer image - use seperate registry settings for
	installing as admin or as normal user.	- open source files with
	lazarus

2005-01-10 16:59  vincents

	* lazarus/lcl/dbgrids.pas:
	
	some ugly hacks to fix 1.0.x compilation

2005-01-10 13:32  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	added priority workaround for ambigious classes.pp in fpc sources

2005-01-10 12:41  vincents

	* lazarus/tools/install/win32/lazarus_install_cheetah_small.bmp:
	
	added small installed image    form Sérgio

2005-01-10 09:49  vincents

	* lazarus/lazarusmanager.pas:
	
	implemented passing command line parameters to lazarus

2005-01-10 00:36  mattias

	* lazarus/lcl/interfaces/gtk/gtkwsextctrls.pp:
	
	fixed RemovePage. And I forgot last cvs log entry: TPage.TabVisible
	 from Andrew Haines

2005-01-10 00:28  mattias

	* lazarus/: main.pp, lcl/extctrls.pp,
	lcl/include/customnotebook.inc, lcl/include/custompage.inc,
	lcl/interfaces/gtk/gtkwsextctrls.pp,
	lcl/interfaces/win32/win32wsextctrls.pp,
	lcl/widgetset/wsextctrls.pp:
	
	fixed loading no unit at start

2005-01-10 00:16  mattias

	* lazarus/main.pp:
	
	implemented loading command line filenames at start

2005-01-09 16:37  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.po,
	lazaruside.de.po, lazaruside.es.po, lazaruside.esutf.po,
	lazaruside.fi.po, lazaruside.fr.po, lazaruside.he.po,
	lazaruside.it.po, lazaruside.itiso.po, lazaruside.pl.po,
	lazaruside.pliso.po, lazaruside.plwin.po, lazaruside.po,
	lazaruside.ru.po, lazaruside.ruutf.po, lazaruside.ruwin.po:
	
	updated translations

2005-01-09 16:26  mattias

	* lazarus/: invertattribtool.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, uniteditor.pp:
	
	added Invert attribution tool  from sergio

2005-01-09 15:51  mattias

	* lazarus/components/rtticontrols/: rttigrids.pas,
	examples/examplegrid1.lfm, examples/examplegrid1.lrs,
	examples/examplegrid1.pas, examples/exampleprojectgrid1.lpi,
	examples/exampleprojectgrid1.lpr:
	
	added example for TTIGrid

2005-01-09 15:11  mattias

	* lazarus/: components/rtticontrols/rttictrls.lrs,
	components/rtticontrols/rttigrids.pas,
	components/rtticontrols/ttigrid.xpm, lcl/dbgrids.pas:
	
	registered andadded icon for TTIGrid

2005-01-09 14:48  mattias

	* lazarus/: components/rtticontrols/rttigrids.pas,
	ideintf/propedits.pp:
	
	implemented showing object names for TTIGrid

2005-01-09 13:18  mattias

	* lazarus/components/rtticontrols/rttigrids.pas:
	
	implemented showing property names for TTIGrid

2005-01-09 13:10  mattias

	* lazarus/ideintf/: componenteditors.pas, dbpropedits.pas,
	propedits.pp:
	
	added TFileDialogComponentEditor and TFileDlgFilterProperty  from
	Lagunov

2005-01-09 03:49  mattias

	* lazarus/: components/rtticontrols/rttigrids.pas,
	ideintf/propedits.pp:
	
	implemented basic TTIGrid showing value cells

2005-01-08 23:19  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32wsstdctrls.pp:
	
	fix cursor handling, and statictext alignment

2005-01-08 23:13  vincents

	* lazarus/lcl/: stdctrls.pp, include/customlabel.inc:
	
	TLabel.ShowAccelChar default value is True

2005-01-08 22:43  vincents

	* lazarus/lcl/interfaces/win32/win32wsdialogs.pp:
	
	reverted previous change

2005-01-08 17:27  mattias

	* lazarus/components/: codetools/codecompletiontool.pas,
	rtticontrols/rttigrids.pas:
	
	fixed finding class after class completion

2005-01-08 17:23  mattias

	* lazarus/components/: codetools/codecompletiontool.pas,
	rtticontrols/rttigrids.pas:
	
	fixed finding class after class completion

2005-01-08 17:02  mattias

	* lazarus/: components/rtticontrols/rttictrls.pas,
	ideintf/propedits.pp:
	
	added workaround for fpc bug 3534

2005-01-08 16:40  mattias

	* lazarus/components/codetools/codecompletiontool.pas:
	
	fixed finding class after class completion

2005-01-08 16:06  mattias

	* lazarus/: components/rtticontrols/rttictrls.pas,
	components/rtticontrols/rttigrids.pas,
	components/rtticontrols/runtimetypeinfocontrols.lpk,
	components/rtticontrols/runtimetypeinfocontrols.pas,
	designer/taborderdlg.pas, lcl/dbgrids.pas, lcl/graphics.pp,
	lcl/grids.pas, lcl/include/brush.inc, lcl/include/canvas.inc,
	lcl/include/font.inc, lcl/include/pen.inc:
	
	fixed TabOrder dialog for new TabOrder

2005-01-08 15:23  micha

	* lazarus/lcl/: controls.pp, include/control.inc,
	include/customupdown.inc, include/wincontrol.inc,
	interfaces/win32/win32wsextctrls.pp:
	
	move taborder and tabstop to twincontrol

2005-01-08 12:03  mattias

	* lazarus/lcl/: lcltype.pp, include/canvas.inc,
	include/intfbasewinapi.inc, include/winapi.inc,
	include/winapih.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/gtk/gtkwinapih.inc, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	implemented TPen.Mode=pmXor  from Jesus

2005-01-08 11:43  mattias

	* lazarus/: docs/Contributors.txt, ideintf/dbpropedits.pas,
	lcl/graphics.pp:
	
	added Lagunov Aleksey to Contributors.txt

2005-01-07 22:53  micha

	* lazarus/lcl/stdctrls.pp:
	
	label can not bew focused anymore, hide tabstop/taborder

2005-01-07 22:36  micha

	* lazarus/lcl/stdctrls.pp:
	
	publish Layout property (compatibility with situation before swap
	with tstatictext)

2005-01-07 22:09  mattias

	* lazarus/: main.pp, docs/Contributors.txt:
	
	improved placing new forms  by Jan

2005-01-07 22:03  micha

	* lazarus/codetoolsdefines.pas:
	
	tlabel is not a wincontrol, change routine to accept tcontrols

2005-01-07 22:02  mattias

	* lazarus/: main.pp, lcl/graphics.pp, lcl/postscriptprinter.pas,
	lcl/include/brush.inc, lcl/include/font.inc, lcl/include/pen.inc:
	
	TFont, TBrush, TPen can now be used with fpCanvas

2005-01-07 22:02  micha

	* lazarus/lcl/controls.pp:
	
	add tcontrolclass, needed by codetoolsdefines

2005-01-07 21:51  micha

	* lazarus/lcl/: extctrls.pp, lcltype.pp, stdctrls.pp,
	include/customlabel.inc, include/customstatictext.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/gtk/gtkwsextctrls.pp, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32wsextctrls.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsdbctrls.pp,
	widgetset/wsextctrls.pp, widgetset/wsstdctrls.pp:
	
	swap TCustomStaticText and TCustomLabel

2005-01-07 21:49  micha

	* lazarus/lcl/interfaces/win32/win32wsdialogs.pp:
	
	try allocating seperate strings to solve dialog disappearing issue
	(seems no effect)

2005-01-07 20:27  mattias

	* lazarus/lcl/include/treeview.inc:
	
	implemented TTreeView.OnChange and OnChanging

2005-01-07 19:40  mattias

	* lazarus/lcl/: graphics.pp, include/font.inc, include/winapi.inc,
	include/winapih.inc, interfaces/gtk/gtkwinapi.inc:
	
	clean up, added GetRGBValues

2005-01-07 18:40  mattias

	* lazarus/: main.pp, lcl/comctrls.pp, lcl/graphics.pp,
	lcl/include/font.inc, lcl/include/tabsheet.inc:
	
	fixed TTabSheet.SetPageControl

2005-01-07 15:06  micha

	* lazarus/lcl/include/treeview.inc:
	
	use position in message, GetScrollInfo not yet up to date

2005-01-07 14:04  vincents

	* lazarus/lcl/include/menu.inc:
	
	don't create handle for unvisible menu item

2005-01-07 11:51  vincents

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32wscomctrls.pp:
	
	send LM_CHANGE message for trackbar

2005-01-07 09:53  vincents

	* lazarus/lcl/interfaces/win32/win32wsstdctrls.pp:
	
	use BS_AUTO3STATE for checkbox with AllowGray=true

2005-01-07 03:23  mattias

	* lazarus/lcl/include/customlistbox.inc:
	
	save TListBox.ItemIndex on destroy handle

2005-01-07 03:04  mattias

	* lazarus/: COPYING.modifiedLGPL, designer/anchoreditor.pas:
	
	changed license to make more clear, that statically linking is
	alowed for non LGPL things

2005-01-07 02:31  mattias

	* lazarus/: ideoptiondefs.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, mainbase.pas,
	unitdependencies.pas, designer/anchoreditor.lfm,
	designer/anchoreditor.lrs, designer/anchoreditor.pas,
	designer/controlselection.pp, ideintf/objectinspector.pp,
	ideintf/propedits.pp, lcl/include/control.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkwsstdctrls.pp, tools/install/setup.sh:
	
	implemented TCheckBox.State=cbGrayed for gtk intf without visual
	representation

2005-01-07 00:59  mattias

	* lazarus/ideintf/: allideintf.pas, dbpropedits.pas, propedits.pp:
	
	added dbpropedits.pas  property editors for db controls

2005-01-06 19:35  mattias

	* lazarus/tools/runwait.sh:
	
	added starting wine for .exe files   from Andrew

2005-01-06 14:22  micha

	* lazarus/lcl/include/dbedit.inc:
	
	fix access violation with dbedit (from loesje)

2005-01-05 16:20  mattias

	* lazarus/: ideintf/componenteditors.pas, lcl/dbgrids.pas,
	lcl/editbtn.pas, lcl/grids.pas:
	
	Columns property in TCustomGrid  by Jesus

2005-01-05 15:46  mattias

	* lazarus/: designer/anchoreditor.lfm, designer/anchoreditor.lrs,
	designer/anchoreditor.pas, lcl/include/filedialog.inc,
	lcl/interfaces/gtk/gtkcallback.inc:
	
	started anchor editor and moved OverWritePromp from lcl to gtk intf

2005-01-05 11:55  micha

	* lazarus/: componentpalette.pas, main.pp, designer/designer.pp:
	
	draw nonvisual components transparently

2005-01-05 11:04  micha

	* lazarus/buildlazdialog.pas:
	
	use mask enabled drawing functions

2005-01-04 15:23  micha

	* lazarus/lcl/: buttons.pp, include/speedbutton.inc:
	
	implement transparency (actually, non-transparency)

2005-01-04 15:22  micha

	* lazarus/lcl/interfaces/win32/win32wsextctrls.pp:
	
	can only setfocus if canfocus

2005-01-04 12:39  micha

	* lazarus/lcl/include/treeview.inc:
	
	fire onchange event if selected node changes

2005-01-04 12:26  micha

	* lazarus/lcl/include/: customform.inc, wincontrol.inc:
	
	let canfocus imply that setfocus can be called

2005-01-04 09:49  vincents

	* lazarus/tools/install/win32/create_installer.bat:
	
	set version to 0.9.5

2005-01-04 00:48  mattias

	* lazarus/lcl/include/treeview.inc:
	
	treeview mouse selection now also when click on icon

2005-01-04 00:42  mattias

	* lazarus/mainbase.pas:
	
	empty recent menus are now disabled

2005-01-03 23:44  mattias

	* lazarus/lcl/: controls.pp, include/clipbrd.inc,
	include/control.inc, include/wincontrol.inc:
	
	implemented TControl.AnchorSide

2005-01-03 17:32  micha

	* lazarus/lcl/include/clipbrd.inc:
	
	always request ownership when about to modify buffer

2005-01-03 17:29  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	take windowstate into account when showing window

2005-01-03 16:50  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	WM_SIZE can also mean windowstate change, always send message

2005-01-03 16:11  mattias

	* lazarus/: lazarusidestrconsts.pas, languages/lazaruside.ar.po,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.po, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.po,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	languages/lazaruside.ruutf.po, languages/lazaruside.ruwin.po:
	
	increased version to 0.9.5

2005-01-03 13:15  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	keep the mainform (ie. lazarus main ide bar) active

2005-01-03 13:09  mattias

	* lazarus/: ideoptiondefs.pas, main.pp:
	
	implemented saving minimized/maximized state

2005-01-03 12:54  micha

	* lazarus/lcl/: comctrls.pp, include/statusbar.inc:
	
	add TStatusBar.Canvas

2005-01-03 12:41  mattias

	* lazarus/components/codetools/basiccodetools.pas:
	
	clean up

2005-01-03 12:22  mattias

	* lazarus/: lcl/include/toolbar.inc,
	tools/install/create_lazarus_export_tgz.sh,
	tools/install/create_lazarus_rpm.sh:
	
	rpm script now uses cvsexportlocal.pas, increased rpm version to
	0.9.4.1

2005-01-03 12:13  micha

	* lazarus/lcl/include/customnotebook.inc:
	
	fix repeatingly setting pageindex 0,1,0,1,.. when removing more
	pages ... note: needs implementation of visible list

2005-01-03 02:07  mattias

	* lazarus/: codeexplorer.lfm, codeexplorer.lrs, codeexplorer.pas,
	languages/lazaruside.fi.mo, languages/lazaruside.fi.po,
	lcl/comctrls.pp, lcl/include/control.inc, lcl/include/toolbar.inc:
	
	fixed registering TProgressBar, disabled docking in TToolBar,
	return key for codeexplorer, updated finnish translation

2005-01-02 23:27  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	focus window only if possible

2005-01-02 23:18  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	focus window on left-click

2005-01-02 22:25  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	require admin installation, to prevent error when writing file
	associations to the registry.

2005-01-02 12:56  mattias

	* lazarus/: lazarusidestrconsts.pas, translations.pas,
	languages/lazaruside.ar.po, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.po,
	languages/lazaruside.fr.po, languages/lazaruside.he.po,
	languages/lazaruside.it.po, languages/lazaruside.itiso.po,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.po,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.po, languages/lazaruside.ruutf.po,
	languages/lazaruside.ruwin.po:
	
	updated localization

2005-01-02 12:41  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.po,
	lazaruside.de.po, lazaruside.es.po, lazaruside.esutf.po,
	lazaruside.fi.po, lazaruside.fr.po, lazaruside.he.po,
	lazaruside.it.po, lazaruside.itiso.po, lazaruside.pl.po,
	lazaruside.pliso.po, lazaruside.plwin.po, lazaruside.po,
	lazaruside.ru.po, lazaruside.ruutf.po, lazaruside.ruwin.po:
	
	updated localization

2005-01-02 12:24  mattias

	* lazarus/: lazarusidestrconsts.pas,
	components/codetools/codecompletiontool.pas,
	tools/install/create_lazarus_deb.sh,
	tools/install/create_lazarus_rpm.sh,
	tools/install/debian_lazarus/changelog,
	tools/install/win32/create_installer.bat:
	
	increased version to 0.9.4

2005-01-02 00:22  mattias

	* lazarus/: codetoolsoptions.pas, lazarusidestrconsts.pas,
	components/codetools/basiccodetools.pas,
	components/codetools/codecompletiontool.pas,
	components/codetools/sourcechanger.pas:
	
	implemented adding class header comment on class completion

2005-01-01 21:17  mattias

	* lazarus/: sourceeditprocs.pas, lcl/include/winapih.inc,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented gtk GetTextExtentPoint for UTF8

2005-01-01 21:05  mattias

	* lazarus/: sourceeditprocs.pas, lcl/include/canvas.inc:
	
	accelerated code completion box in IDE and replaced ExtTextOut with
	ExtUTF8Out in TCanvas.TextOut

2005-01-01 20:36  mattias

	* lazarus/lcl/: stdctrls.pp, include/customcheckbox.inc,
	include/radiobutton.inc, widgetset/wsstdctrls.pp:
	
	fixed loading TRadioButton.Checked

2005-01-01 19:56  mattias

	* lazarus/: main.pp, components/rtticontrols/rttictrls.lrs,
	components/rtticontrols/rttictrls.pas,
	components/rtticontrols/ttiprogressbar.xpm, lcl/comctrls.pp,
	lcl/include/progressbar.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkwscomctrls.pp,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32wscomctrls.pp,
	lcl/widgetset/wscomctrls.pp:
	
	implemented TTIProgressBar

2005-01-01 18:02  mattias

	* lazarus/: helpmanager.pas, main.pp:
	
	changed default online help paths to lazarus-ccr

2005-01-01 17:31  mattias

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	implemented changing font size and name of TEdit for gtk1

2005-01-01 17:04  mattias

	* lazarus/: codeexplopts.pas, codeexplorer.pas, main.pp,
	uniteditor.pp, lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented CodeExplorer auto update on switching source editor
	page

2005-01-01 15:38  mattias

	* lazarus/lcl/: include/control.inc, include/custommemo.inc,
	include/memostrings.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/gtk/gtkwsstdctrls.pp:
	
	fixed loading TMemo.Lines - During Loading

2005-01-01 12:59  mattias

	* lazarus/: components/rtticontrols/rttictrls.pas,
	lcl/include/customnotebook.inc:
	
	fixed collecting values

2005-01-01 12:39  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	make stretchmaskblt handle the general case, and let maskblt call
	stretchmaskblt

2005-01-01 12:32  mattias

	* lazarus/: codeexplopts.lfm, codeexplopts.lrs, codeexplopts.pas,
	codeexplorer.lfm, codeexplorer.lrs, codeexplorer.pas,
	inputhistory.pas, main.pp, newdialog.pas, uniteditor.pp,
	components/rtticontrols/examples/exampleproject1.lpi:
	
	fixed New dialog getting new item

2004-12-31 17:41  micha

	* lazarus/examples/groupboxnested.pas:
	
	speed up creation a bit

2004-12-31 17:41  micha

	* lazarus/lcl/include/hintwindow.inc:
	
	hintwindows do not have a border

2004-12-31 17:40  micha

	* lazarus/designer/designer.pp:
	
	also search wincontrols for hints, because win32 always retrieves
	form as wincontrol

2004-12-31 17:29  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32proc.pp:
	
	prevent reporting of spurious mousemove messages

2004-12-31 12:59  mattias

	* lazarus/lcl/: stdctrls.pp, interfaces/gtk/gtkproc.inc:
	
	published TEdit.Color - only useful under windows, gtk1 ignores it

2004-12-31 12:27  mattias

	* lazarus/: main.pp, lcl/include/customstatictext.inc:
	
	skip FillRect in TStaticText.Paint when Color=clNone

2004-12-31 00:23  mattias

	* lazarus/ideintf/propedits.pp:
	
	fixed setting bool value   by Jesus

2004-12-31 00:10  mattias

	* lazarus/docs/xml/lcl/lclintf.xml:
	
	updated xml

2004-12-30 15:50  micha

	* lazarus/examples/synchronize.pp:
	
	terminate threads upon form exit

2004-12-30 15:46  micha

	* lazarus/lcl/lclproc.pas:
	
	threadvars change location when a thread is started, use external
	variable

2004-12-30 12:24  mattias

	* lazarus/: delphiunit2laz.pas, dialogprocs.pas,
	lazarusidestrconsts.pas, localize.sh, main.pp, mainbase.pas,
	project.pp, components/codetools/codetoolmanager.pas,
	components/codetools/stdcodetools.pas,
	components/codetools/languages/codetools.ruutf.mo,
	components/codetools/languages/codetools.ruutf.po,
	components/synedit/languages/synedit.ruutf.mo,
	components/synedit/languages/synedit.ruutf.po,
	components/synedit/languages/synmacrorecorder.ruutf.mo,
	components/synedit/languages/synmacrorecorder.ruutf.po,
	docs/xml/lcl/lclintf.xml, examples/treeview/TV_Add_Remove.dpr,
	ideintf/projectintf.pas, languages/lazaruside.ar.po,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.po, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.po,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	languages/lazaruside.ruutf.po, languages/lazaruside.ruwin.po:
	
	updated russian utf translation  from Vasily

2004-12-28 16:28  micha

	* lazarus/lcl/interfaces/gtk/gtkproc.pp:
	
	glue tthread.synchronize to gtk event loop

2004-12-28 15:31  micha

	* lazarus/examples/synchronize.pp:
	
	unix needs threading unit

2004-12-28 13:23  vincents

	* lazarus/docs/xml/lcl/: arrow.xml, buttons.xml, calendar.xml,
	chart.xml, checklst.xml, comctrls.xml, controls.xml, dbgrids.xml,
	defaulttranslator.xml, dialogs.xml, editbtn.xml, extctrls.xml,
	fileutil.xml, forms.xml, graphics.xml, graphtype.xml, grids.xml,
	lclstrconsts.xml, lcltype.xml, lresources.xml, maskedit.xml,
	menus.xml, pairsplitter.xml, spin.xml, stdctrls.xml:
	
	updated xml documents

2004-12-27 20:40  mattias

	* lazarus/: components/gtk/gtkglarea/gtkglareacontrol.pas,
	components/rtticontrols/rttictrls.pas,
	components/synedit/synedit.pp, components/synedit/synmemo.pas,
	lcl/arrow.pp, lcl/buttons.pp, lcl/calendar.pp, lcl/chart.pp,
	lcl/checklst.pas, lcl/comctrls.pp, lcl/controls.pp, lcl/dialogs.pp,
	lcl/editbtn.pas, lcl/extctrls.pp, lcl/forms.pp, lcl/grids.pas,
	lcl/maskedit.pp, lcl/pairsplitter.pas, lcl/spin.pp,
	lcl/stdctrls.pp, lcl/include/scrollbar.inc,
	lcl/interfaces/gtk/gtkwsstdctrls.pp,
	lcl/interfaces/win32/win32wsstdctrls.pp,
	lcl/widgetset/wsstdctrls.pp, packager/packagesystem.pas:
	
	published BorderSpacing for many controls

2004-12-27 18:52  mattias

	* lazarus/: helpmanager.pas, ideintf/propedits.pp,
	lcl/include/filedialog.inc:
	
	implemented URL directory property editor

2004-12-27 18:42  micha

	* lazarus/lcl/: include/bitmap.inc,
	interfaces/win32/win32winapi.inc:
	
	fix transparency while drawing (bug 462)

2004-12-27 18:19  mattias

	* lazarus/: helpmanager.pas, ideintf/propedits.pp:
	
	implemented URL file property editor

2004-12-27 17:51  mattias

	* lazarus/: helpmanager.pas, helpoptions.lfm, helpoptions.lrs,
	helpoptions.pas, lazarusidestrconsts.pas, ideintf/helpfpdoc.pas,
	ideintf/helphtml.pas, ideintf/helpintf.pas,
	ideintf/objectinspector.pp, lcl/stdctrls.pp,
	lcl/include/customedit.inc:
	
	implemented dialog to edit basic help db settings

2004-12-27 14:06  mattias

	*
	lazarus/examples/codepageconverter/languages/lazconverter.ru_RU.UTF
	-8.po:
	
	started TTranslateStrings and .lrt files support  from Vasily

2004-12-27 13:56  mattias

	* lazarus/: lazarusidestrconsts.pas, localize.sh, lrtpotools.pas,
	main.pp, mainbar.pas, mainbase.pas, translations.pas,
	components/synedit/synedit.pp,
	examples/codepageconverter/codepages.ini,
	examples/codepageconverter/koi8r,
	examples/codepageconverter/lazconverter.lpi,
	examples/codepageconverter/mainunit.lfm,
	examples/codepageconverter/mainunit.lrs,
	examples/codepageconverter/mainunit.lrt,
	examples/codepageconverter/mainunit.pas,
	examples/codepageconverter/mainunit.po,
	examples/codepageconverter/mainunit.ru_RU.UTF-8.po,
	examples/codepageconverter/viewunit.lfm,
	examples/codepageconverter/viewunit.lrs,
	examples/codepageconverter/viewunit.lrt,
	examples/codepageconverter/viewunit.po,
	examples/codepageconverter/filefind/filefindlaz.pas,
	examples/objectinspector/oiexample.lpi, languages/lazaruside.ar.po,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.po, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.po,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po, languages/lazaruside.ruutf.mo,
	languages/lazaruside.ruutf.po, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ruutf.mo,
	languages/objinspstrconsts.ruutf.po, lcl/alllclunits.pp,
	lcl/controls.pp, lcl/defaulttranslator.pas, lcl/lresources.pp,
	lcl/languages/lcl.ruutf.mo, lcl/languages/lcl.ruutf.po:
	
	started TTranslateStrings and .lrt files support  from Vasily

2004-12-27 13:08  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32wsextctrls.pp:
	
	set focus to a control on the newly focussed tabpage of a notebook
	(fixes bug 501)

2004-12-27 11:21  micha

	* lazarus/examples/synchronize.pp:
	
	example to test usage of TThread.Synchronize

2004-12-27 11:18  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc:
	
	implement support for tthread.synchronize

2004-12-27 01:06  mattias

	* lazarus/lcl/include/customform.inc:
	
	added DestroyHandle after ShowModal to save resources

2004-12-26 23:39  mattias

	* lazarus/: lazarusidestrconsts.pas,
	components/rtticontrols/examples/exampleproject1.lpi,
	designer/aligncompsdlg.pp, designer/scalecompsdlg.pp,
	languages/lazaruside.ar.po, languages/lazaruside.ca.mo,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.mo, languages/lazaruside.es.po,
	languages/lazaruside.esutf.mo, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.mo, languages/lazaruside.fi.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.he.mo, languages/lazaruside.he.po,
	languages/lazaruside.it.mo, languages/lazaruside.it.po,
	languages/lazaruside.itiso.mo, languages/lazaruside.itiso.po,
	languages/lazaruside.pl.mo, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.mo, languages/lazaruside.pliso.po,
	languages/lazaruside.plwin.mo, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po, languages/lazaruside.ruwin.mo,
	languages/lazaruside.ruwin.po, lcl/graphics.pp:
	
	updated finnish translation  from Seppo

2004-12-25 22:46  vincents

	* lazarus/lcl/dbgrids.pas:
	
	fixed fpc 1.0.x compilation

2004-12-23 23:38  mattias

	* lazarus/: components/rtticontrols/rttictrls.pas,
	components/rtticontrols/examples/example1.lfm,
	components/rtticontrols/examples/example1.lrs,
	components/rtticontrols/examples/example1.pas,
	components/rtticontrols/examples/example2.lfm,
	components/rtticontrols/examples/example2.lrs,
	components/rtticontrols/examples/exampleproject1.lpi,
	components/rtticontrols/examples/exampleproject2.lpi,
	lcl/graphics.pp, lcl/pairsplitter.pas, lcl/postscriptcanvas.pas,
	lcl/include/hintwindow.inc, lcl/include/pen.inc:
	
	implemented TIElementName of link of RTTI controls for set elements

2004-12-23 22:12  mattias

	* lazarus/ideintf/objectinspector.pp:
	
	improved OI for new scrollbar values

2004-12-23 21:11  mattias

	* lazarus/examples/codepageconverter/filefind/: filefind.lrs,
	tfilesearch.xpm:
	
	extended codepageconverter example  from Barko

2004-12-23 20:24  mattias

	* lazarus/: examples/codepageconverter/lazconverter.lpi,
	lcl/dbgrids.pas, lcl/grids.pas:
	
	added auto column sizing  from Jesus

2004-12-23 20:10  mattias

	* lazarus/: examples/codepageconverter/lazconverter.lpi,
	examples/codepageconverter/lazconverter.lpr,
	examples/codepageconverter/mainunit.lfm,
	examples/codepageconverter/mainunit.lrs,
	examples/codepageconverter/mainunit.pas,
	examples/codepageconverter/viewunit.lfm,
	examples/codepageconverter/viewunit.lrs,
	examples/codepageconverter/viewunit.pas,
	examples/codepageconverter/filefind/filefind.pas,
	examples/codepageconverter/filefind/filefindlaz.lpk,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/globallinks/mysql3-0.lpl,
	packager/globallinks/mysql3laz-0.lpl:
	
	extended codepageconverter example  from Barko

2004-12-23 19:28  mattias

	* lazarus/lcl/include/: hintwindow.inc, screen.inc:
	
	default font height is now used again for Hint font

2004-12-23 12:42  micha

	* lazarus/lcl/include/custompage.inc:
	
	fix clientrect in tnotebook (fixes 476 and 488)

2004-12-23 01:33  mattias

	* lazarus/: project.pp, lcl/controls.pp:
	
	fixed crash on readonly projects

2004-12-23 00:54  mattias

	* lazarus/lcl/: controls.pp, graphics.pp, include/brush.inc,
	include/control.inc, include/font.inc, include/pen.inc:
	
	started TControl.AnchorSide

2004-12-22 21:02  mattias

	* lazarus/lcl/: dbgrids.pas, grids.pas:
	
	defaultrowheight property is set to 20 pixels and fixes  from Jesus

2004-12-22 20:56  mattias

	* lazarus/: editoroptions.pp, uniteditor.pp, lcl/graphics.pp,
	lcl/lcltype.pp, lcl/include/application.inc, lcl/include/font.inc,
	lcl/include/pen.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	started TFont mirgration to fpCanvas font

2004-12-22 11:19  mattias

	* lazarus/: codeexplorer.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/pascalreadertool.pas:
	
	implemented showing proc specifiers in codeexplorer

2004-12-21 23:49  mattias

	* lazarus/lcl/: dbgrids.pas, grids.pas,
	interfaces/gtk/gtkcallback.inc, interfaces/gtk/gtkwinapi.inc:
	
	implemented scrollbar codes for gtk intf  from Jesus

2004-12-21 20:49  mattias

	* lazarus/: dialogprocs.pas, lazarusidestrconsts.pas, msgview.pp:
	
	implemented copy and save messages

2004-12-21 20:01  mattias

	* lazarus/lcl/include/control.inc:
	
	fixed saving default value of TControl.Anchors

2004-12-21 12:46  micha

	* lazarus/lcl/interfaces/win32/win32wsextctrls.pp:
	
	fix clientrect in tnotebook (fixes 476 and 488)

2004-12-21 12:14  mattias

	* lazarus/: lazarusidestrconsts.pas, lcl/dialogs.pp,
	packager/installpkgsetdlg.pas, packager/packagesystem.pas:
	
	implemented im/export of install package list

2004-12-21 01:12  mattias

	* lazarus/keymapping.pp:
	
	changed default key for toggle search results to CtrlAltF

2004-12-20 01:11  mattias

	* lazarus/lcl/: controls.pp, lclmemmanager.pas,
	include/control.inc:
	
	changed TControl.Anchors default value to AnchorAlign[Align]

2004-12-20 00:20  mattias

	* lazarus/lcl/languages/: lcl.fi.mo, lcl.fi.po:
	
	updated finnish translation  from Seppo

2004-12-19 22:38  marc

	* lazarus/lcl/include/font.inc:
	
	* x86_64 fix: Debugln of TFontHandleCache.Add

2004-12-19 20:26  marc

	* lazarus/lcl/include/: intfbasewinapi.inc, intfbasewinapi.inc:
	
	* x86_64 fix: Conversion if integer to pointer

2004-12-19 18:41  marc

	* lazarus/lcl/avglvltree.pas:
	
	* x86_64 fix: removed pointer->cardinal cast

2004-12-19 16:24  marc

	* lazarus/lcl/lclmemmanager.pas:
	
	* x86_64 fix, removed pointer to integer casts

2004-12-19 00:46  mattias

	* lazarus/: lazarusidestrconsts.pas, sortselectiondlg.pas,
	ideintf/helpintf.pas, languages/lazaruside.ar.po,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.po, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.po,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.po, lcl/fileutil.pas,
	lcl/lclstrconsts.pas, lcl/include/fileutil.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/languages/lcl.ca.po,
	lcl/languages/lcl.de.po, lcl/languages/lcl.es.po,
	lcl/languages/lcl.esutf.po, lcl/languages/lcl.fi.po,
	lcl/languages/lcl.fr.po, lcl/languages/lcl.it.po,
	lcl/languages/lcl.itiso.po, lcl/languages/lcl.pl.po,
	lcl/languages/lcl.pliso.po, lcl/languages/lcl.plwin.po,
	lcl/languages/lcl.po, lcl/languages/lcl.ru.po,
	lcl/languages/lcl.ruwin.po, packager/packageeditor.pas,
	packager/pkgoptionsdlg.pas:
	
	added resurce strings for gtk file dlg

2004-12-19 00:10  mattias

	* lazarus/components/codetools/identcompletiontool.pas:
	
	clean up

2004-12-19 00:03  mattias

	* lazarus/languages/: lazaruside.fi.mo, lazaruside.fi.po:
	
	updated finnish translation  from Seppo

2004-12-18 11:20  mattias

	* lazarus/: aboutfrm.pas, addtoprojectdlg.pas, buildlazdialog.pas,
	charactermapdlg.pas, checklfmdlg.pas, cleandirdlg.pas,
	codetemplatedialog.pp, codetoolsdefines.pas,
	codetoolsdefpreview.pas, codetoolsoptions.pas, condef.pas,
	debugmanager.pas, debugoptionsfrm.pas, diffdialog.pas,
	diskdiffsdialog.pas, editoroptions.pp, encloseselectiondlg.pas,
	environmentopts.pp, extractprocdlg.pas, exttooldialog.pas,
	exttooleditdlg.pas, helpmanager.pas, imexportcompileropts.pas,
	inputfiledialog.pas, keymapping.pp, keymapschemedlg.pas,
	lazarusidestrconsts.pas, macropromptdlg.pas, main.pp, mainbar.pas,
	mainbase.pas, makeresstrdlg.pas, newdialog.pas, newprojectdlg.pp,
	patheditordlg.pas, projectopts.pp, publishprojectdlg.pas,
	runparamsopts.pas, showcompileropts.pas, sortselectiondlg.pas,
	sysvaruseroverridedlg.pas, unitdependencies.pas, unitinfodlg.pp,
	viewunit_dlg.pp, components/codetools/languages/codetools.ca.po,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.es.po,
	components/codetools/languages/codetools.esutf.po,
	components/codetools/languages/codetools.fi.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.itiso.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.pliso.po,
	components/codetools/languages/codetools.plwin.po,
	components/codetools/languages/codetools.ru.po,
	components/codetools/languages/codetools.ruwin.po,
	components/synedit/languages/synedit.ca.po,
	components/synedit/languages/synedit.de.po,
	components/synedit/languages/synedit.fi.po,
	components/synedit/languages/synedit.fr.po,
	components/synedit/languages/synedit.it.po,
	components/synedit/languages/synedit.itiso.po,
	components/synedit/languages/synedit.pl.po,
	components/synedit/languages/synedit.pliso.po,
	components/synedit/languages/synedit.plwin.po,
	components/synedit/languages/synedit.ru.po,
	components/synedit/languages/synedit.ruwin.po,
	designer/aligncompsdlg.pp, designer/changeclassdialog.pas,
	designer/designer.pp, designer/scalecompsdlg.pp,
	designer/sizecompsdlg.pp, designer/taborderdlg.pas,
	ideintf/componenteditors.pas, ideintf/graphpropedits.pas,
	ideintf/imagelisteditor.pp, ideintf/listviewpropedit.pp,
	ideintf/objectinspector.pp, ideintf/propedits.pp,
	languages/lazaruside.ar.po, languages/lazaruside.ca.mo,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.mo, languages/lazaruside.es.po,
	languages/lazaruside.esutf.mo, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.mo, languages/lazaruside.fi.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.itiso.mo,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.mo,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.mo,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ca.po, languages/objinspstrconsts.de.po,
	languages/objinspstrconsts.es.po,
	languages/objinspstrconsts.esutf.po,
	languages/objinspstrconsts.fi.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.it.po,
	languages/objinspstrconsts.itiso.po,
	languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.pliso.po,
	languages/objinspstrconsts.plwin.po,
	languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruwin.po, lcl/buttons.pp,
	lcl/languages/lcl.ca.po, lcl/languages/lcl.de.po,
	lcl/languages/lcl.es.po, lcl/languages/lcl.esutf.po,
	lcl/languages/lcl.fi.po, lcl/languages/lcl.fr.po,
	lcl/languages/lcl.it.po, lcl/languages/lcl.itiso.po,
	lcl/languages/lcl.pl.po, lcl/languages/lcl.pliso.po,
	lcl/languages/lcl.plwin.po, lcl/languages/lcl.ru.po,
	lcl/languages/lcl.ruwin.po, packager/addfiletoapackagedlg.pas,
	packager/addtopackagedlg.pas, packager/basepkgmanager.pas,
	packager/brokendependenciesdlg.pas, packager/installpkgsetdlg.lfm,
	packager/installpkgsetdlg.lrs, packager/installpkgsetdlg.pas,
	packager/openinstalledpkgdlg.pas, packager/packagelinks.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas,
	packager/pkgoptionsdlg.pas, packager/ucomponentmanmain.pas,
	tools/updatepofiles.pas:
	
	updatepofiles is now case sensitive, replaced many places, where
	Application was needlessly Owner updated po files, started
	Configure IDE Install Package dialog, implemented removing double
	file package links

2004-12-17 17:05  mattias

	* lazarus/components/codetools/: customcodetool.pas,
	finddeclarationtool.pas:
	
	fixed parsing expressions with ascending operator levels

2004-12-17 15:41  vincents

	* lazarus/components/codetools/laz_xmlread.pas:
	
	fixed memleak after parsing error.

2004-12-17 11:24  mattias

	* lazarus/: docs/html/update_gtkintf_html.sh,
	docs/html/update_lcl_html.sh, tools/delete_non_cvs_files.pl:
	
	workaround to put fpdoc output in subdirectory

2004-12-17 10:00  vincents

	* lazarus/: lazarusidestrconsts.pas,
	lcl/interfaces/win32/win32callback.inc,
	tools/install/create_lazarus_deb.sh,
	tools/install/create_lazarus_rpm.sh,
	tools/install/win32/create_installer.bat:
	
	set version to 0.9.3

2004-12-17 09:31  mattias

	* lazarus/: ideintf/macrointf.pas, packager/packagelinks.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	added macrointf

2004-12-16 23:09  mattias

	* lazarus/: compileroptions.pp, helpmanager.pas, main.pp,
	mainintf.pas, transfermacros.pp, ideintf/actionseditor.pas,
	ideintf/allideintf.pas, ideintf/helpfpdoc.pas,
	ideintf/helphtml.pas, ideintf/helpintf.pas,
	packager/packagelinks.pas, packager/globallinks/README,
	packager/globallinks/cgilaz-0.lpl,
	packager/globallinks/cgilazide-0.lpl,
	packager/globallinks/dbflaz-0.lpl,
	packager/globallinks/filefindlaz-0.lpl,
	packager/globallinks/fpcunitide-0.lpl,
	packager/globallinks/fpcunittestrunner-0.lpl,
	packager/globallinks/gtk2interface-0.lpl,
	packager/globallinks/imagesforlazarus-0.lpl,
	packager/globallinks/interbaselaz-0.lpl,
	packager/globallinks/jpegforlazarus-0.lpl,
	packager/globallinks/lazhtmllite-0.lpl,
	packager/globallinks/memdslaz-0.lpl,
	packager/globallinks/mysql3-0.lpl,
	packager/globallinks/mysql4laz-0.lpl,
	packager/globallinks/runtimetypeinfocontrols-0.lpl,
	packager/globallinks/rx-0.lpl, packager/globallinks/sdflaz-0.lpl,
	packager/globallinks/sqlitelaz-0.lpl,
	packager/globallinks/synuni-0.lpl,
	packager/globallinks/turbopoweripro-0.lpl:
	
	added global package links for lazarus cvs packages

2004-12-16 21:13  vincents

	* lazarus/lcl/stdctrls.pp:
	
	made some protected TCustomCombobox properties public, so they can
	be used by the win32 widget set.

2004-12-16 20:05  mattias

	* lazarus/ideintf/: README, actionseditor.pas, columndlg.pp,
	componentreg.pas, imagelisteditor.pp, listviewpropedit.pp,
	packageintf.pas:
	
	fixed license for ideintf

2004-12-16 20:03  mattias

	* lazarus/lcl/: lcltype.pp, interfaces/gtk/gtkwinapi.inc:
	
	applied patch for smooth scrolling parameters  from Jesus

2004-12-16 15:29  micha

	* lazarus/lcl/: interfaces/win32/win32callback.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32proc.pp,
	interfaces/win32/win32wsforms.pp, include/customform.inc,
	widgetset/wsforms.pp:
	
	fix showmodal to remember disabled windows (fixes bug 478, and
	more)

2004-12-15 18:51  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc:
	
	fix clientrect size on show form with menu (lazarus ide, component
	palette height too great)

2004-12-14 08:09  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	added cheetah image to the installer	from Sérgio Marcelo

2004-12-14 00:42  mattias

	* lazarus/tools/install/win32/lazarus_install_cheetah.bmp:
	
	added win32 install bmp

2004-12-13 22:30  mattias

	* lazarus/: components/rtticontrols/rttictrls.lrs,
	components/rtticontrols/rttictrls.pas,
	components/rtticontrols/tmultipropertylink.xpm,
	components/rtticontrols/tticolorbutton.xpm,
	components/rtticontrols/examples/example3.pas,
	components/rtticontrols/examples/exampleproject3.lpi,
	lcl/dialogs.pp, lcl/include/colorbutton.inc:
	
	implemented TMultiPropertyLink

2004-12-13 17:43  mattias

	* lazarus/: project.pp, components/rtticontrols/rttictrls.pas,
	components/rtticontrols/examples/example1.pas,
	components/rtticontrols/examples/example3.lfm,
	components/rtticontrols/examples/example3.lrs,
	components/rtticontrols/examples/example3.pas,
	components/rtticontrols/examples/exampleproject2.lpi,
	components/rtticontrols/examples/exampleproject3.lpi,
	components/rtticontrols/examples/exampleproject3.lpr,
	ideintf/projectintf.pas, lcl/stdctrls.pp,
	lcl/include/buttoncontrol.inc:
	
	fixed loading project flags and added RTTI example for readonly
	properties

2004-12-13 17:10  vincents

	* lazarus/docs/Contributors.txt:
	
	added Sérgio Marcelo (Brasilian localization of win32 installer)

2004-12-13 13:31  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	added catalan gpl license, fixed path to brazilian messages

2004-12-13 11:34  mattias

	* lazarus/components/rtticontrols/: rttictrls.pas,
	examples/example1.lfm, examples/example1.lrs,
	examples/example1.pas, examples/example2.lfm,
	examples/example2.lrs, examples/exampleproject1.lpi,
	examples/exampleproject2.lpi:
	
	Fixed RTTI Controls Default Options and examples

2004-12-13 00:40  mattias

	* lazarus/: componentpalette.pas, lcl/buttons.pp, lcl/grids.pas,
	lcl/include/speedbutton.inc:
	
	published TSpeedButton.OnDoubleClick

2004-12-12 22:12  vincents

	* lazarus/tools/install/win32/: Portuguese_BR.isl,
	create_installer.bat, lazarus.iss, readme.txt:
	
	localized the installer, added some localized licenses.

2004-12-12 04:54  mattias

	* lazarus/: customformeditor.pp, lazarus.pp, main.pp, mainbase.pas,
	components/codetools/stdcodetools.pas, lcl/grids.pas, lcl/menus.pp,
	lcl/include/progressbar.inc:
	
	implemented open project after open standard windows

2004-12-11 21:25  vincents

	* lazarus/lcl/grids.pas:
	
	fixed setting RowCount to value less than TopRow     from Jesus
	Reyes

2004-12-11 21:04  vincents

	* lazarus/customformeditor.pp:
	
	fixed fpc 1.0.x compilation

2004-12-11 03:21  mattias

	* lazarus/: editoroptions.pp, keymapping.pp,
	lcl/interfaces/gtk/gtkcallback.inc:
	
	fixed showing all keymappings and missing text selection keys

2004-12-11 02:28  mattias

	* lazarus/lcl/: graphtype.pp, interfaces/gtk/gtkwinapi.inc,
	interfaces/win32/win32winapi.inc:
	
	implemented bvSpace of TBevelCut

2004-12-11 02:17  mattias

	* lazarus/: debugoptionsfrm.lfm, debugoptionsfrm.lrs,
	debugoptionsfrm.pas, environmentopts.pp, main.pp:
	
	implemented global debugger search path

2004-12-10 23:43  vincents

	* lazarus/lcl/interfaces/win32/win32wsmenus.pp:
	
	fixed show menu item, when parent menu contains more than one
	invisible items

2004-12-10 22:36  mattias

	* lazarus/lcl/: menus.pp, include/menuitem.inc,
	interfaces/gtk/gtkwsmenus.pp, widgetset/wsmenus.pp:
	
	implemented TMenuItem.SetVisible

2004-12-10 20:27  mattias

	* lazarus/buildlazdialog.pas:
	
	fixed comparing TargetOS case insensitive for build lazarus

2004-12-10 20:22  mattias

	* lazarus/: componentpalette.pas, customformeditor.pp,
	lazarusidestrconsts.pas, designer/designer.pp,
	designer/designerprocs.pas, examples/objectinspector/oiexample.lpi,
	ideintf/formeditingintf.pas, lcl/interfaces/gtk/gtkcallback.inc:
	
	implemented auto add on double click on component palette

2004-12-10 12:14  mattias

	* lazarus/examples/objectinspector/oiexample.lpi:
	
	added IDEIntf dependency for OI Example

2004-12-10 12:07  mattias

	* lazarus/main.pp:
	
	added FindInFiles and ToggleMessages shortcuts

2004-12-10 09:39  mattias

	* lazarus/: helpmanager.pas, lazarusidestrconsts.pas:
	
	added link to RTL online help

2004-12-09 22:25  mattias

	* lazarus/translations.pas:
	
	added english language

2004-12-09 20:29  mattias

	* lazarus/: main.pp, mainbase.pas, include/darwin/lazconf.inc,
	include/freebsd/lazconf.inc, include/linux/lazconf.inc,
	include/netbsd/lazconf.inc:
	
	fixed compilation for lazconf  linux, bsd, macosx

2004-12-09 15:30  vincents

	* lazarus/: lazconf.pp, translations.pas,
	ideintf/componenteditors.pas, include/unix/lazbaseconf.inc,
	include/win32/lazconf.inc:
	
	moved GetLanguageIDs from Translations to LazConf

2004-12-09 14:22  vincents

	* lazarus/: compileroptionsdlg.pp, lazarusidestrconsts.pas:
	
	cleaned up resource strings after compiler options changes

2004-12-09 13:52  vincents

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp,
	ideintf/projectintf.pas:
	
	removed -CD -XD compiler options, only pass link style if
	explicitly set

2004-12-08 16:26  vincents

	* lazarus/docs/Contributors.txt:
	
	added Dean Zobec

2004-12-07 07:28  vincents

	* lazarus/: compileroptions.pp, lcl/include/control.inc:
	
	fixed error because of conflicted merge

2004-12-07 04:19  vincents

	* lazarus/tools/install/win32/create_installer.bat:
	
	increased installer version to 0.9.2.4

2004-12-07 04:15  vincents

	* lazarus/lcl/include/control.inc:
	
	fixed fpc 1.0.x compilation

2004-12-07 00:36  mattias

	* lazarus/tools/install/README:
	
	updated README

2004-12-07 00:26  mattias

	* lazarus/customformeditor.pp:
	
	added variants IFDEF

2004-12-07 00:10  vincents

	* lazarus/main.pp:
	
	replaced processid by getprocessid for fpc version > 1.9.4

2004-12-06 23:55  mattias

	* lazarus/tools/install/create_lazarus_rpm.sh:
	
	increased rpm version to 0.9.2.4

2004-12-06 23:41  vincents

	* lazarus/lcl/include/control.inc:
	
	fixed type cast of method pointer

2004-12-06 19:27  mattias

	* lazarus/: dialogprocs.pas, environmentopts.pp, ideprocs.pp,
	lazarusidestrconsts.pas, main.pp, translations.pas,
	components/codetools/languages/codetools.ca.po,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.es.po,
	components/codetools/languages/codetools.esutf.po,
	components/codetools/languages/codetools.fi.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.itiso.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.pliso.po,
	components/codetools/languages/codetools.plwin.po,
	components/codetools/languages/codetools.po,
	components/codetools/languages/codetools.ru.po,
	components/codetools/languages/codetools.ruwin.po,
	languages/lazaruside.ar.po, languages/lazaruside.ca.mo,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.mo, languages/lazaruside.es.po,
	languages/lazaruside.esutf.mo, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.he.po,
	languages/lazaruside.it.mo, languages/lazaruside.it.po,
	languages/lazaruside.itiso.mo, languages/lazaruside.itiso.po,
	languages/lazaruside.pl.mo, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.mo, languages/lazaruside.pliso.po,
	languages/lazaruside.plwin.mo, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po, languages/lazaruside.ruwin.mo,
	languages/lazaruside.ruwin.po:
	
	available translations are now searched automatically

2004-12-06 18:31  mattias

	* lazarus/lcl/: lresources.pp, include/fileutil.inc,
	include/treeview.inc:
	
	added access to lresources

2004-12-06 16:57  vincents

	* lazarus/ideintf/helpintf.pas:
	
	prevented using uninitialized strings and fixed memleak

2004-12-06 13:46  vincents

	* lazarus/buildlazdialog.pas:
	
	removed path delimeter at end of output path

2004-12-06 13:22  vincents

	* lazarus/lazarusmanager.pas:
	
	fixed startlazarus description

2004-12-06 11:32  mattias

	* lazarus/lazarusmanager.pas:
	
	fixed startlazarus description

2004-12-05 14:25  mattias

	* lazarus/lcl/include/: customform.inc, menu.inc:
	
	destroying clean up

2004-12-05 14:20  mattias

	* lazarus/lcl/include/: customform.inc, menu.inc:
	
	destroying TMenu Handle when Set Parent=nil

2004-12-04 02:27  mattias

	* lazarus/docs/Contributors.txt:
	
	added Boris Arko to contributors

2004-12-04 02:17  mattias

	* lazarus/: buildlazdialog.pas, dialogprocs.pas,
	lazarusmanager.pas, lazconf.pp, include/unix/lazbaseconf.inc,
	include/win32/lazconf.inc, lcl/fileutil.pas,
	lcl/include/fileutil.inc, packager/pkgmanager.pas:
	
	implemented Target Directory for IDE

2004-12-04 01:39  mattias

	* lazarus/examples/codepageconverter/: lazconverter.lpr,
	mainunit.lfm, mainunit.lrs, mainunit.pas:
	
	imroved readability and cleanups  from Barko

2004-12-03 15:35  vincents

	* lazarus/: debugmanager.pas, components/README.txt,
	debugger/debugger.pp:
	
	implemented TIDEExceptions.LoadFromXMLConfig and SaveToXMLConfig

2004-12-02 23:53  vincents

	* lazarus/components/fpcunit/: guitestrunner.lfm,
	guitestrunner.lrs, guitestrunner.pas, ide/README.txt:
	
	clean up    from Dean Zobec

2004-12-02 23:51  vincents

	* lazarus/tools/install/win32/create_installer.bat:
	
	stop creating installer, if building fpc failed.

2004-12-02 19:52  mattias

	* lazarus/: docs/html/update_gtkintf_html.sh,
	docs/html/update_lcl_html.sh, examples/codepageconverter/latin2:
	
	added latin2 table for codepageconverter

2004-12-02 14:05  mattias

	* lazarus/lcl/fpdoc.css:
	
	added fpdoc stylesheet

2004-12-02 13:52  mattias

	* lazarus/docs/html/update_lcl_html.sh:
	
	added output dirs for fpdoc html output

2004-12-02 13:45  mattias

	* lazarus/tools/: delete_non_cvs_files.pl, find_non_cvs_files.pl:
	
	added scripts to find non cvs files

2004-12-02 12:40  mattias

	* lazarus/examples/codepageconverter/: codepages.ini,
	lazconverter.lpi, lazconverter.lpr, mainunit.lfm, mainunit.lrs,
	mainunit.pas, win1250, filefind/filefind.pas,
	filefind/filefindlaz.lpk:
	
	added example for converting special characters of lazarus projects

2004-12-02 12:23  mattias

	* lazarus/: main.pp, components/synedit/synedit.pp:
	
	synedit now stops, when key was handled

2004-12-01 23:52  vincents

	* lazarus/components/fpcunit/ide/fpcunitlazideintf.pas:
	
	create test projects with lineinfo enabled

2004-12-01 23:38  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed error, when more than one timer was disabled in a timer
	callback.

2004-12-01 23:16  mattias

	* lazarus/docs/xml/lcl/: chart.xml, fileutil.xml,
	postscriptcanvas.xml:
	
	added missing xml lcl files

2004-12-01 18:52  mattias

	* lazarus/helpmanager.pas:
	
	fixed finding help for procs

2004-12-01 17:17  mattias

	* lazarus/: docs/html/update_html.sh, docs/xml/README.txt,
	docs/xml/lcl/actnlist.xml, docs/xml/lcl/alllclunits.xml,
	docs/xml/lcl/arrow.xml, docs/xml/lcl/avglvltree.xml,
	docs/xml/lcl/buttons.xml, docs/xml/lcl/calendar.xml,
	docs/xml/lcl/checklst.xml, docs/xml/lcl/clipbrd.xml,
	docs/xml/lcl/clistbox.xml, docs/xml/lcl/comctrls.xml,
	docs/xml/lcl/commctrl.xml, docs/xml/lcl/controls.xml,
	docs/xml/lcl/customtimer.xml, docs/xml/lcl/dbactns.xml,
	docs/xml/lcl/dbctrls.xml, docs/xml/lcl/dbgrids.xml,
	docs/xml/lcl/dialogs.xml, docs/xml/lcl/dirsel.xml,
	docs/xml/lcl/dynamicarray.xml, docs/xml/lcl/dynhasharray.xml,
	docs/xml/lcl/editbtn.xml, docs/xml/lcl/extctrls.xml,
	docs/xml/lcl/extdlgs.xml, docs/xml/lcl/extendedstrings.xml,
	docs/xml/lcl/extgraphics.xml, docs/xml/lcl/filectrl.xml,
	docs/xml/lcl/forms.xml, docs/xml/lcl/fpcadds.xml,
	docs/xml/lcl/graphics.xml, docs/xml/lcl/graphmath.xml,
	docs/xml/lcl/graphtype.xml, docs/xml/lcl/grids.xml,
	docs/xml/lcl/imglist.xml, docs/xml/lcl/inipropstorage.xml,
	docs/xml/lcl/interfacebase.xml, docs/xml/lcl/intfgraphics.xml,
	docs/xml/lcl/lazlinkedlist.xml, docs/xml/lcl/lclclasses.xml,
	docs/xml/lcl/lclintf.xml, docs/xml/lcl/lclmemmanager.xml,
	docs/xml/lcl/lclproc.xml, docs/xml/lcl/lclrescache.xml,
	docs/xml/lcl/lclstrconsts.xml, docs/xml/lcl/lcltype.xml,
	docs/xml/lcl/lmessages.xml, docs/xml/lcl/lresources.xml,
	docs/xml/lcl/maskedit.xml, docs/xml/lcl/menus.xml,
	docs/xml/lcl/pairsplitter.xml, docs/xml/lcl/postscriptprinter.xml,
	docs/xml/lcl/printers.xml, docs/xml/lcl/propertystorage.xml,
	docs/xml/lcl/spin.xml, docs/xml/lcl/stdactns.xml,
	docs/xml/lcl/stdctrls.xml, docs/xml/lcl/stringhashlist.xml,
	docs/xml/lcl/textstrings.xml, docs/xml/lcl/toolwin.xml,
	docs/xml/lcl/utrace.xml, docs/xml/lcl/xmlpropstorage.xml,
	docs/xml/lcl/interfaces/gtk/gdkpixbuf.xml,
	docs/xml/lcl/interfaces/gtk/gtkdef.xml,
	docs/xml/lcl/interfaces/gtk/gtkfontcache.xml,
	docs/xml/lcl/interfaces/gtk/gtkglobals.xml,
	docs/xml/lcl/interfaces/gtk/gtkint.xml,
	docs/xml/lcl/interfaces/gtk/gtkmsgqueue.xml,
	docs/xml/lcl/interfaces/gtk/gtkproc.xml,
	docs/xml/lcl/interfaces/gtk/gtkwinapiwindow.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsactnlist.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsarrow.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsbuttons.xml,
	docs/xml/lcl/interfaces/gtk/gtkwscalendar.xml,
	docs/xml/lcl/interfaces/gtk/gtkwschecklst.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsclistbox.xml,
	docs/xml/lcl/interfaces/gtk/gtkwscomctrls.xml,
	docs/xml/lcl/interfaces/gtk/gtkwscontrols.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsdbctrls.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsdbgrids.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsdialogs.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsdirsel.xml,
	docs/xml/lcl/interfaces/gtk/gtkwseditbtn.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsextctrls.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsextdlgs.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsfilectrl.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsforms.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsgrids.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsimglist.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsmaskedit.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsmenus.xml,
	docs/xml/lcl/interfaces/gtk/gtkwspairsplitter.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsspin.xml,
	docs/xml/lcl/interfaces/gtk/gtkwsstdctrls.xml,
	docs/xml/lcl/interfaces/gtk/gtkwstoolwin.xml,
	docs/xml/lcl/interfaces/gtk/interfaces.xml,
	docs/xml/lcl/interfaces/gtk/keymap.xml, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	updated fpdoc sceletons for lcl and gtk intf

2004-11-29 15:06  mattias

	* lazarus/tools/install/: build_fpcsrc_rpm.sh, fpcsrc.spec:
	
	fpcsrc rpm no longer adds perl as requirement

2004-11-29 12:59  vincents

	* lazarus/: components/fpcunit/fpcunittestrunner.lpk,
	components/fpcunit/fpcunittestrunner.pas,
	components/fpcunit/guitestrunner.lfm,
	components/fpcunit/guitestrunner.lrs,
	components/fpcunit/guitestrunner.pas,
	components/fpcunit/ide/README.txt,
	components/fpcunit/ide/fpcunitide.lpk,
	components/fpcunit/ide/fpcunitide.pas,
	components/fpcunit/ide/fpcunitlazideintf.pas,
	components/fpcunit/ide/lib/README.txt,
	components/fpcunit/lib/README.txt,
	tools/install/win32/create_installer.bat:
	
	added fpcunit test runner and fpcunit test runner ide package

2004-11-29 08:17  vincents

	* lazarus/: outputfilter.pas,
	tools/install/win32/create_installer.bat:
	
	improved parsing directory changes by make

2004-11-29 02:12  mattias

	* lazarus/lcl/: controls.pp, include/wincontrol.inc,
	interfaces/gtk/gtkproc.inc:
	
	added SysKey messages to gtk intf and LCL

2004-11-28 11:35  mattias

	* lazarus/components/mysql/: README.txt, mysql3laz.lpk,
	mysql3laz.pas, mysql4laz.lpk, mysql4laz.pas, mysqllaz.lpk,
	mysqllaz.pas, registermysql.pas:
	
	replaced mysqllaz package with mysql3laz and mysql4laz

2004-11-28 02:03  mattias

	* lazarus/lcl/include/wincontrol.inc:
	
	do not send OnExit/OnEnter during destroy, design or loading

2004-11-28 01:55  mattias

	* lazarus/: uniteditor.pp, lcl/comctrls.pp,
	lcl/include/toolbar.inc, lcl/include/toolbutton.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	deactivated sending SYSKey messages in gtk intf - they are not used
	anyway

2004-11-28 01:23  mattias

	* lazarus/uniteditor.pp:
	
	fixed FindInFiles using last history word

2004-11-27 23:29  vincents

	* lazarus/lcl/include/customcombobox.inc:
	
	fixed setting itemindex, if it had been changed by the interface
	before

2004-11-27 16:53  mattias

	* lazarus/ideintf/Makefile:
	
	fixed Makefile

2004-11-27 15:36  mattias

	* lazarus/: lazarusidestrconsts.pas, projectopts.pp:
	
	added missing project options to dialog

2004-11-27 14:57  mattias

	* lazarus/lcl/: lcltype.pp, interfaces/gtk/gtkwinapi.inc:
	
	added more gtk ISO character sets

2004-11-27 14:43  mattias

	* lazarus/designer/jitforms.pp:
	
	implemented searching VMT end with new fpc 1.9.5 nil marker

2004-11-27 14:11  mattias

	* lazarus/uniteditor.pp:
	
	fixed find Text at cursor for Find In Files

2004-11-26 22:43  vincents

	* lazarus/main.pp:
	
	fixed fpc 1.0.x compilation

2004-11-26 17:57  mattias

	* lazarus/: editoroptions.pp, components/codetools/memcheck.pas,
	components/htmllite/litedith.pas, ideintf/Makefile,
	lcl/lclmemmanager.pas, lcl/lclproc.pas:
	
	replaced some mosuedown with selectionchanged events   from Vincent

2004-11-26 17:07  vincents

	* lazarus/: buildlazdialog.pas, keymapping.pp, main.pp,
	mainbar.pas, mainbase.pas:
	
	removed ifdef UseStartLazarus

2004-11-26 13:26  vincents

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32wsstdctrls.pp:
	
	implemented SelectionChange event

2004-11-26 12:23  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed sending two lm_setfocus message for combobox.

2004-11-25 23:05  mattias

	* lazarus/: main.pp, components/cgi/ide/cgilazideintf.pas,
	components/gtk/gtkglarea/gtkglareacontrol.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented sorting installed packages topologically

2004-11-25 15:28  vincents

	* lazarus/lcl/include/customlistview.inc:
	
	disabled TCustomListView.Begin/EndUpdate on win32.

2004-11-24 15:26  vincents

	* lazarus/tools/install/win32/: create_installer.bat,
	environmentoptions.xml, readme.txt:
	
	Include gdb in installer.

2004-11-24 09:18  mattias

	* lazarus/: debugmanager.pas, main.pp, ideintf/newitemintf.pas,
	lcl/textstrings.pas:
	
	TTextStrings improvements (Exchange, Put), clean ups

2004-11-23 19:11  vincents

	* lazarus/lazarusmanager.pas:
	
	fixed hiding splash screen for gtk

2004-11-23 16:40  vincents

	* lazarus/components/codetools/linkscanner.pas:
	
	fixed compilation

2004-11-23 15:59  vincents

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed compilation with debugln and friends.

2004-11-23 13:25  vincents

	* lazarus/: debugger/debugger.pp, designer/jitforms.pp,
	ideintf/newitemintf.pas:
	
	fixed fpc 1.0.x compilation

2004-11-23 12:01  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas, main.pp:
	
	added key handling for debug manager

2004-11-23 01:54  marc

	* lazarus/: debugmanager.pas, ideoptiondefs.pas, keymapping.pp,
	lazarusidestrconsts.pas, mainbar.pas, mainbase.pas,
	debugger/watchesdlg.lfm, debugger/watchesdlg.lrs,
	debugger/watchesdlg.pp, debugger/evaluatedlg.lfm,
	debugger/evaluatedlg.lrs, debugger/evaluatedlg.pp:
	
	+ Added Evaluate/Modify dialog

2004-11-23 00:24  mattias

	* lazarus/: components/codetools/memcheck.pas,
	designer/jitforms.pp:
	
	fixed 1.0.10 compilation  from Vincent

2004-11-22 23:03  mattias

	* lazarus/components/cgi/cgimodules.pas:
	
	fixed TModuledCGIApplication.CreateForm

2004-11-22 23:00  mattias

	* lazarus/: components/cgi/ide/cgilazideintf.pas,
	components/codetools/finddeclarationtool.pas,
	debugger/gdbmidebugger.pp:
	
	fixed cgilazide uses clause

2004-11-22 22:47  mattias

	* lazarus/ideintf/newitemintf.pas:
	
	implemented interface for the New dialog of the IDE

2004-11-22 22:39  mattias

	* lazarus/: main.pp, newdialog.pas, projectdefs.pas,
	components/cgi/README, components/cgi/ide/README.txt,
	components/cgi/ide/cgilazide.lpk,
	components/cgi/ide/cgilazideintf.pas,
	components/cgi/ide/lib/README.txt, components/cgi/lib/README.txt,
	components/codetools/finddeclarationtool.pas,
	designer/jitform/jitform.pas, ideintf/allideintf.pas,
	ideintf/packageintf.pas, ideintf/projectintf.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	implemented registration functions for project, file and package
	types, added cgilazide package

2004-11-22 12:17  vincents

	* lazarus/: Makefile, Makefile.fpc:
	
	lazarus and startlazarus are compiled with -WG by default.

2004-11-22 09:08  vincents

	* lazarus/debugger/gdbmidebugger.pp:
	
	fixed fpc 1.0.x compilation

2004-11-21 22:09  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	use message name instead of number in debug message.  postponed
	removing properties until wm_ncdestroy.

2004-11-21 19:58  micha

	* lazarus/lcl/interfaces/win32/win32wsforms.pp:
	
	fix borderstyle/borderbuttons

2004-11-21 19:52  marc

	* lazarus/debugger/: debugger.pp, gdbmidebugger.pp:
	
	* fixed resetting internal breakpoints

2004-11-21 19:10  micha

	* lazarus/lcl/interfaces/win32/win32wscontrols.pp:
	
	move CreateHandle implementation of tcustomcontrol to twincontrol

2004-11-21 16:19  marc

	* lazarus/: lazarusidestrconsts.pas, debugger/debugger.pp,
	debugger/gdbmidebugger.pp, debugger/gdbtypeinfo.pp:
	
	* worked aound lack of %u as formatspecifier + introduced dbgptr
	for dealing with pointers on the target + added classnames to
	pointer evaluation

2004-11-20 14:14  vincents

	* lazarus/lazarusmanager.pas:
	
	fixed typo.

2004-11-20 12:49  mattias

	* lazarus/: main.pp, lcl/lcltype.pp,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented stopping project on close project

2004-11-20 12:20  mattias

	* lazarus/: customformeditor.pp, editoroptions.pp, formeditor.pp,
	main.pp, mainintf.pas, newdialog.pas, project.pp, projectdefs.pas,
	components/synedit/synedit.pp, designer/designer.pp,
	designer/jitforms.pp, designer/noncontrolforms.pas,
	designer/jitform/jitform.pas, ideintf/formeditingintf.pas,
	ideintf/packageintf.pas, ideintf/projectintf.pas, lcl/forms.pp,
	lcl/graphics.pp, lcl/lclclasses.pp, lcl/lcltype.pp,
	lcl/include/customform.inc, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwsbuttons.pp, packager/pkgmanager.pas,
	tools/install/fpcsrc.spec:
	
	implemented creating classes at run time from any TComponent
	descendant

2004-11-19 22:59  micha

	* lazarus/lcl/interfaces/win32/: win32winapi.inc, win32winapih.inc:
	
	fix focus issue (for example using MessageDlg)

2004-11-19 14:52  vincents

	* lazarus/compiler.pp:
	
	call compiler with same process settings as other external tools.

2004-11-19 13:23  vincents

	* lazarus/: lazarusmanager.pas, main.pp:
	
	fixed WaitForLazarus: close process handle after use.

2004-11-19 13:18  vincents

	* lazarus/debugger/cmdlinedebugger.pp:
	
	create debugger without console.

2004-11-19 01:41  marc

	* lazarus/debugger/gdbmidebugger.pp:
	
	* Fixed string evaluation

2004-11-18 17:01  vincents

	* lazarus/main.pp:
	
	replaced writeln by DebugLn

2004-11-18 15:58  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	destroy overlay window, when destroying the owner

2004-11-18 00:06  vincents

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32proc.pp:
	
	centralized dispose windowinfo removed debug info

2004-11-17 23:20  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed memleak with windowinfo of comboedit.

2004-11-17 16:41  vincents

	* lazarus/main.pp:
	
	disabled restarting lazarus, if not started by startlazarus, when
	compiling with fpc 1.0.x. Its system unit doesn't give a process
	id.

2004-11-17 16:28  vincents

	* lazarus/publishprojectdlg.pas:
	
	replaced $(ProjectDir) by $(ProjPath) in destination directory
	template

2004-11-17 15:41  mattias

	* lazarus/components/synedit/synedit.pp:
	
	fixed halfpage scroll option

2004-11-17 13:22  vincents

	* lazarus/lcl/extdlgs.pas:
	
	Enlarged TCalendarDialogForm, so that it is large enough to contain
	the win32 calendar.

2004-11-17 08:46  mattias

	* lazarus/lcl/: postscriptcanvas.pas, interfaces/gtk/gtkproc.inc:
	
	fixed postcript printer TextOut/TextEntend  from Olivier

2004-11-17 08:45  mattias

	* lazarus/lcl/languages/lcl.itiso.mo:
	
	added lcl.itiso.mo

2004-11-16 15:40  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	changed path of fpc.cfg to pp\bin\i386-win32

2004-11-16 13:21  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix copy/paste error in key handler.

2004-11-16 12:44  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	added lpi filetype regisitry setting.  fixed file paths.

2004-11-16 01:44  marc

	* lazarus/lcl/lclproc.pas:
	
	+ Added comment on endian funcs

2004-11-15 23:58  mattias

	* lazarus/lcl/: filectrl.pp, include/fileutil.inc:
	
	implemented Multi mask for TFileListBox

2004-11-15 23:27  vincents

	* lazarus/images/: LazarusForm.bmp, LazarusForm.ico,
	LazarusProject.ico, LazarusSource.bmp, LazarusSource.ico:
	
	add images for lazarus files   from Razvan

2004-11-15 20:59  mattias

	* lazarus/: components/jpeg/jpegforlazarus.pas,
	lcl/include/fileutil.inc, lcl/include/treeview.inc:
	
	fixed compilation for current FPC 1.9.5

2004-11-15 16:52  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix crash when dropping down a owner drawn combobox

2004-11-15 16:35  vincents

	* lazarus/designer/jitforms.pp:
	
	fix fpc 1.0.x compilation

2004-11-15 16:09  vincents

	* lazarus/lcl/fpcadds.pas:
	
	fix fpc 1.0.x compilation

2004-11-15 13:37  mattias

	* lazarus/lcl/include/custommemo.inc:
	
	added check handleallocated on loading memo

2004-11-15 13:25  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas:
	
	added some fpc src paths and changed auto create project for
	program a Yes/No question

2004-11-15 12:37  vincents

	* lazarus/lcl/lclproc.pas:
	
	fix fpc 1.0.x compilation

2004-11-15 09:00  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	forms with WS_POPUP style have a parent, GetParent(...)=0 is not
	reliable, and here redundant tidy code a bit

2004-11-14 01:25  mattias

	* lazarus/lcl/postscriptcanvas.pas:
	
	improved TextExtent  from Olivier

2004-11-14 01:21  mattias

	* lazarus/lcl/interfaces/gtk/gtkwsstdctrls.pp:
	
	added memo thaw on set SelStart  from Andrew Haines

2004-11-13 18:41  mattias

	* lazarus/: designer/designer.pp, designer/jitforms.pp,
	designer/jitform/jitform.pas, ideintf/objectinspector.pp:
	
	implemented new generic class creation for TJITForms

2004-11-13 18:22  marc

	* lazarus/lcl/: lclproc.pas, include/listitems.inc:
	
	+ Added generic endian functions

2004-11-13 16:53  marc

	* lazarus/lcl/include/listitems.inc:
	
	* Fixed endianess

2004-11-12 16:33  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix changing key in OnKeyPress event.

2004-11-12 16:30  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	send CM_TEXTCHANGED for TCustomMemo

2004-11-12 09:56  vincents

	* lazarus/lcl/interfaces/win32/: win32wscontrols.pp,
	win32wsstdctrls.pp:
	
	initialize ComboBox BuddyWindowInfo to nil, if there is no
	associated edit window.

2004-11-11 23:51  mattias

	* lazarus/lcl/postscriptcanvas.pas:
	
	fixed PostScriptCanvas to clear Buffer in BeginDoc  from Olivier

2004-11-11 19:53  mattias

	* lazarus/ideintf/propedits.pp:
	
	fixed GetEditorClass for props without mapped class

2004-11-11 19:49  mattias

	* lazarus/lcl/printers.pas:
	
	fixed printer height, width without selected printer  from Olivier

2004-11-11 19:45  mattias

	* lazarus/: components/rtticontrols/rttictrls.pas,
	ideintf/graphpropedits.pas, ideintf/propedits.pp:
	
	changed TPropertyEditor.GetComponent

2004-11-11 19:40  mattias

	* lazarus/: gnome.ide.desktop, tools/install/build_fpcsrc_rpm.sh,
	tools/install/create_fpc_tgz_from_local_dir.sh,
	tools/install/create_lazarus_rpm.sh, tools/install/lazarus.spec:
	
	increased rpm version to 0.9.2.3

2004-11-11 16:54  micha

	* lazarus/ideintf/objectinspector.pp:
	
	clCaptionText is white in linux/gtk (text color selected items?),
	so hard to read, change to window text

2004-11-11 16:51  micha

	* lazarus/ideintf/objectinspector.pp:
	
	clActiveCaption is not a text color, but a background color (fixes
	readability problem on windows xp with silverxp/luna theme)

2004-11-11 09:33  vincents

	* lazarus/ideintf/propedits.pp:
	
	initialize function result

2004-11-10 21:53  vincents

	* lazarus/lcl/: forms.pp, menus.pp, include/customform.inc,
	include/menu.inc:
	
	Destroy menu handle, when destroying form handle.

2004-11-10 19:23  mattias

	* lazarus/lcl/: graphics.pp, include/customform.inc,
	include/font.inc, include/wincontrol.inc,
	interfaces/gtk/gtkcallback.inc, interfaces/gtk/gtkfontcache.pas,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp,
	interfaces/gtk/gtkwinapi.inc:
	
	impementing changing a TLabel.Font properties Size, Height, Name,
	Style - set only at Handle creation time

2004-11-10 16:25  mattias

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp, lazarus.pp,
	components/codetools/laz_dom.pas,
	components/codetools/laz_xmlcfg.pas,
	components/codetools/memcheck.pas,
	components/codetools/memcheck_laz.inc,
	components/turbopower_ipro/iphtml.pas, lcl/extgraphics.pas,
	lcl/lclintf.pas, lcl/include/fileutil.inc,
	lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkwsstdctrls.pp:
	
	updated memcheck.pas from heaptrc.pp

2004-11-10 15:58  vincents

	* lazarus/components/codetools/: codetoolmanager.pas, codetree.pas,
	pascalparsertool.pas:
	
	Fix compilation with -dMem_Check.

2004-11-08 23:10  vincents

	* lazarus/lcl/interfaces/win32/win32wsstdctrls.pp:
	
	Implemented TWin32WSCustomComboBox.SetStyle.

2004-11-08 22:35  vincents

	* lazarus/lcl/interfaces/win32/win32listsl.inc:
	
	Call inherited in TWin32ComboBoxStringList.Insert and Delete.

2004-11-08 20:11  mattias

	* lazarus/: components/codetools/memcheck.pas,
	lcl/xmlpropstorage.pas, lcl/interfaces/gtk/gtkfontcache.pas,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk2/gtk2winapi.inc:
	
	disabled hardly used gtk FillScreenFont, this should be only done
	on demand, improved getting default font family for gtk

2004-11-08 16:46  vincents

	* lazarus/lcl/interfaces/win32/: win32wsspin.pp, winext.pas:
	
	Use 32 bits messages for spinedit.

2004-11-08 14:20  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	destroy SpinEdit's buddy when destroying SpinEdit.

2004-11-08 13:12  mattias

	* lazarus/lcl/include/spinedit.inc:
	
	fixed destroying TSpingEdit

2004-11-08 12:58  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.po,
	lazaruside.de.po, lazaruside.es.po, lazaruside.esutf.po,
	lazaruside.fi.po, lazaruside.fr.po, lazaruside.he.po,
	lazaruside.it.po, lazaruside.itiso.po, lazaruside.pl.po,
	lazaruside.pliso.po, lazaruside.plwin.po, lazaruside.po,
	lazaruside.ru.po, lazaruside.ruwin.po, objinspstrconsts.es.mo,
	objinspstrconsts.es.po:
	
	updated spanish translation  from Luis

2004-11-08 12:52  mattias

	* lazarus/: ideintf/graphpropedits.pas, lcl/lclrescache.pas:
	
	fixed cleaning up unused resource cache items

2004-11-07 21:44  micha

	* lazarus/lcl/include/wincontrol.inc:
	
	handle "re-entrancy" into handleneeded (via parent); fixes crash
	upon showing file diff dialog

2004-11-07 18:58  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix message handling (use actual message, not default), fixes edits
	begin readonly

2004-11-07 18:21  micha

	* lazarus/lcl/include/canvas.inc:
	
	fix text position to be at X, Y; if alignment/layout indicates so

2004-11-07 02:36  mattias

	* lazarus/: ideintf/graphpropedits.pas, lcl/lclrescache.pas,
	lcl/include/font.inc, lcl/include/pen.inc:
	
	fixed cleaning up unused resource cache item lists

2004-11-07 02:10  mattias

	* lazarus/: ideintf/graphpropedits.pas,
	include/unix/lazbaseconf.inc, lcl/graphics.pp, lcl/lclrescache.pas,
	lcl/include/brush.inc, lcl/include/pen.inc:
	
	fixed double calling destructor for resource cache items

2004-11-06 20:49  mattias

	* lazarus/: addtoprojectdlg.pas, componentpalette.pas,
	customformeditor.pp, dialogprocs.pas, environmentopts.pp,
	filereferencelist.pas, findrenameidentifier.pas, main.pp,
	mainbase.pas, mainintf.pas, sortselectiondlg.pas, sourcemarks.pas,
	components/codetools/allcodetoolunits.pp,
	components/codetools/avl_tree.pas,
	components/codetools/codecache.pas,
	components/codetools/codecompletiontool.pas,
	components/codetools/codetemplatestool.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetree.pas,
	components/codetools/customcodetool.pas,
	components/codetools/definetemplates.pas,
	components/codetools/eventcodetool.pas,
	components/codetools/extractproctool.pas,
	components/codetools/finddeclarationcache.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/identcompletiontool.pas,
	components/codetools/laz_dom.pas,
	components/codetools/methodjumptool.pas,
	components/codetools/oldavltree.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/sourcechanger.pas,
	components/codetools/stdcodetools.pas,
	components/gtk/gtkglarea/gtkglareacontrol.pas,
	include/unix/lazbaseconf.inc, packager/addfiletoapackagedlg.pas,
	packager/addtopackagedlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagelinks.pas,
	packager/packagesystem.pas, packager/pkggraphexplorer.pas,
	packager/pkgmanager.pas, tools/updatepofiles.pas:
	
	renamed avl_tree.pas to oldavltree.pas for new fpc 1.9.5

2004-11-06 13:47  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	Registry setting for opening lazarus files.

2004-11-06 12:29  vincents

	* lazarus/: lazarusmanager.pas, tools/install/win32/build-fpc.bat,
	tools/install/win32/build-lazarus.bat,
	tools/install/win32/create_installer.bat,
	tools/install/win32/lazarus.iss, tools/install/win32/samplecfg.vbs,
	tools/install/win32/samplefpc.cfg:
	
	Changes due to the new fpc unit directory structure.

2004-11-05 23:18  mattias

	* lazarus/: editoroptions.pp, docs/Contributors.txt:
	
	added Delphi color scheme  from Razvan

2004-11-05 23:08  mattias

	* lazarus/lcl/: controls.pp, forms.pp, include/control.inc,
	include/customform.inc, include/wincontrol.inc,
	interfaces/gtk/gtkwsstdctrls.pp:
	
	implemented auto sizing: child to parent sizing

2004-11-05 23:05  vincents

	* lazarus/: lazarusmanager.pas, lazconf.pp, main.pp:
	
	Use symbolic constant for restart exitcode.

2004-11-05 16:23  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	correct silly mistake: "as" operator also checks for nil

2004-11-05 11:47  micha

	* lazarus/examples/: groupbox.pp, notebku.pp:
	
	extend with more controls to test painting interactions

2004-11-04 18:02  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	cleanup: remove redundant typecasts and checks

2004-11-04 17:57  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc:
	
	remove obsolete and unused method twin32widgetset.settext

2004-11-04 16:12  micha

	* lazarus/lcl/interfaces/win32/: win32listsl.inc, win32listslh.inc,
	win32object.inc, win32wsstdctrls.pp:
	
	remove usage of fcompstyle in twin32liststringlist by using
	descendent class for combobox specific things

2004-11-04 13:05  micha

	* lazarus/lcl/interfaces/win32/win32listsl.inc:
	
	fix remember edit string in combobox after assigning strings to
	list (fixes find in files dialog search in lazarus)

2004-11-04 12:12  micha

	* lazarus/lcl/interfaces/win32/: win32wsclistbox.pp,
	win32wsstdctrls.pp:
	
	remove fcompstyle usage by split up of twin32wscustomlistbox
	setitemindex selectitem setborder

2004-11-04 11:13  micha

	* lazarus/lcl/interfaces/win32/: win32wschecklst.pp,
	win32wsclistbox.pp, win32wsstdctrls.pp:
	
	remove usage of fcompstyle by split up of
	twin32wscustomlistbox.getstrings and
	twin32wscustomlistbox.getitemindex

2004-11-04 10:19  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	respond to LCL result of handling the message (fixes black
	background in listbox)

2004-11-04 02:26  marc

	* lazarus/: customformeditor.pp, mainbase.pas,
	components/codetools/basiccodetools.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/extractproctool.pas,
	components/codetools/linkscanner.pas,
	components/codetools/stdcodetools.pas,
	designer/changeclassdialog.pas, designer/designer.pp,
	designer/designermenu.pp, ideintf/componenteditors.pas,
	ideintf/componenttreeview.pas, ideintf/formeditingintf.pas,
	include/unix/lazbaseconf.inc, packager/packagedefs.pas,
	packager/packagesystem.pas:
	
	* fixed stronger fpc typing (and some real cast errors)

2004-11-04 01:55  marc

	* lazarus/lcl/interfaces/gtk/gtkfontcache.pas:
	
	* forgot one

2004-11-04 01:52  marc

	* lazarus/lcl/: intfgraphics.pas, lclrescache.pas,
	include/font.inc, include/toolbar.inc,
	interfaces/gtk/gtkfontcache.pas:
	
	* Changed typing fixes to casting

2004-11-03 23:59  marc

	* lazarus/lcl/lclintf.pas:
	
	* fixed GetTickCount

2004-11-03 23:13  marc

	* lazarus/lcl/: intfgraphics.pas, lclrescache.pas,
	include/font.inc, include/toolbar.inc,
	interfaces/gtk/gtkfontcache.pas:
	
	* Fixed fpc stronger typing

2004-11-03 17:32  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32wsstdctrls.pp:
	
	fix drawing of listbox, combobox, edit to be non-transparent even
	in winxp tabpage (fixes black background upon scroll)

2004-11-03 15:18  mattias

	* lazarus/: lazarusmanager.pas, lcl/controls.pp, lcl/stdctrls.pp,
	lcl/include/buttons.inc, lcl/include/checkbox.inc,
	lcl/include/control.inc, lcl/include/customcheckbox.inc,
	lcl/include/customedit.inc, lcl/include/customlabel.inc,
	lcl/include/radiobutton.inc, lcl/include/sizeconstraints.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwsbuttons.pp,
	lcl/interfaces/gtk/gtkwscontrols.pp,
	lcl/interfaces/gtk/gtkwsstdctrls.pp, lcl/widgetset/wscontrols.pp:
	
	implemented preferred size for controls for theme depending
	AutoSizing

2004-11-03 00:25  marc

	* lazarus/debugger/: cmdlinedebugger.pp, gdbmidebugger.pp:
	
	* Introduced another method of interrupting gdb on win32

2004-11-02 22:08  micha

	* lazarus/lcl/interfaces/win32/: win32wsbuttons.pp,
	win32wscontrols.pp, win32wsstdctrls.pp:
	
	remove usage of fcompstyle: split up twswincontrol.settext

2004-11-02 18:48  micha

	* lazarus/lcl/interfaces/win32/: win32object.inc,
	win32wscontrols.pp, win32wsforms.pp:
	
	remove usage of fcompstyle

2004-11-01 19:48  micha

	* lazarus/lcl/interfaces/win32/: win32wscontrols.pp,
	win32wsstdctrls.pp:
	
	remove usage of FCompStyle in GetText using splitup

2004-11-01 19:20  micha

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32wsforms.pp:
	
	set default icon instead of lcl icon which actually is a bitmap

2004-10-31 22:17  vincents

	* lazarus/: buildlazdialog.pas, lazarusidestrconsts.pas,
	lazarusmanager.pas, main.pp:
	
	- Implemented restarting by starting startlazarus on unix (for
	1.9.x only).  - Add Restart After Succesfull Build CheckBox to the
	Configure Build Lazarus dialog.

2004-10-30 18:24  mattias

	* lazarus/: main.pp, lcl/controls.pp, lcl/include/wincontrol.inc:
	
	disabled alClient RemainingClientRect adjust

2004-10-29 20:55  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32wsmenus.pp:
	
	speed up menu creation

2004-10-29 16:24  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32proc.pp:
	
	make code possible safer, with better typecasts and use of
	GlobalAddAtom, because windows are global

2004-10-29 13:00  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix typo: the atom var is WindowInfoAtom use WM_NCDESTROY, it is
	later than WM_DESTROY

2004-10-29 12:38  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix typo, use wparam, not lparam

2004-10-29 11:52  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32proc.pp, win32wscontrols.pp,
	win32wsextctrls.pp, win32wsstdctrls.pp:
	
	fix crash on showing tabpage fix painting of radiobutton in
	groupbox (non-tabpage-parent)

2004-10-29 08:57  vincents

	* lazarus/lcl/: controls.pp, interfaces/win32/win32proc.pp:
	
	fixed fpc 1.0.x compilation

2004-10-28 23:00  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32proc.pp, win32winapi.inc, win32wscontrols.pp,
	win32wsextctrls.pp, win32wsmenus.pp, win32wsstdctrls.pp:
	
	convert GetProp and SetProp usage to one Atom pointing to a record
	of fields

2004-10-28 19:56  mattias

	* lazarus/lcl/: controls.pp, include/wincontrol.inc:
	
	implemented Borderspacing

2004-10-28 16:17  micha

	* lazarus/lcl/interfaces/win32/win32int.pp:
	
	remove obsolete message event array

2004-10-28 12:01  mattias

	* lazarus/: environmentopts.pp, ideintf/objectinspector.pp:
	
	object inspector now uses ConfigSorage instead of laz_xmlxcfg

2004-10-28 11:38  mattias

	* lazarus/components/codetools/: laz_dom.pas, laz_xmlcfg.pas,
	laz_xmlread.pas, laz_xmlwrite.pas:
	
	fixed COPYING.modifiedLGPL links

2004-10-28 11:30  mattias

	* lazarus/lcl/: controls.pp, include/control.inc,
	include/wincontrol.inc:
	
	implemented borderspacing TWinControl.ChildSizing.Left/Top

2004-10-28 09:43  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32wsextctrls.pp:
	
	experiment: use CS_SAVEBITS class style on tabpages to reduce
	flickering

2004-10-28 01:50  marc

	* lazarus/examples/objectinspector/mainunit.pas:
	
	Fix from olivier GUILBAUD

2004-10-27 22:58  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32proc.pp, win32wscontrols.pp, win32wsextctrls.pp,
	win32wsstdctrls.pp:
	
	fix winxp theming for tabcontrols (shaded background)

2004-10-27 22:49  vincents

	* lazarus/: lazarusidestrconsts.pas, lazarusmanager.pas, main.pp,
	startlazarus.lpr:
	
	Lazarus can be restarted, even if not started by startlazarus (only
	win32 implemented).

2004-10-27 09:47  vincents

	* lazarus/lcl/interfaces/win32/win32wsextctrls.pp:
	
	fix fpc 1.0.10 compilation, it can't pick the correct overloaded
	function.

2004-10-26 12:39  mattias

	* lazarus/: components/codetools/fileprocs.pas,
	components/codetools/identcompletiontool.pas,
	components/rtticontrols/rttictrls.pas, lcl/languages/lcl.es.mo,
	lcl/languages/lcl.es.po:
	
	updated spanish translation  from Luis

2004-10-25 19:59  vincents

	* lazarus/: components/codetools/memcheck.pas,
	debugger/cmdlinedebugger.pp:
	
	fpc 1.9.5 has no saveregisters calling convention anymore.

2004-10-25 16:35  micha

	* lazarus/lcl/: include/customform.inc,
	interfaces/win32/win32wscontrols.pp,
	interfaces/win32/win32wsextctrls.pp:
	
	fix bordericons initialization fix setting tab page caption (win32)

2004-10-25 15:52  mattias

	* lazarus/components/codetools/: finddeclarationtool.pas,
	pascalparsertool.pas:
	
	fixed expanding proc heads

2004-10-25 13:13  micha

	* lazarus/ideintf/objectinspector.pp:
	
	forgotten: patch to solve scrollbar to show upon handle creation
	instead of after first resize

2004-10-24 20:54  micha

	* lazarus/lcl/: forms.pp, include/customform.inc,
	interfaces/win32/win32proc.pp, interfaces/win32/win32wsforms.pp,
	widgetset/wsforms.pp:
	
	add TCustomForm.BorderIcons (delphi compat) tweak win32 window
	dialog flags, to create better dialog look

2004-10-24 16:50  micha

	* lazarus/lcl/: lclproc.pas, menus.pp, include/shortcutlist.inc,
	interfaces/win32/win32wsmenus.pp:
	
	fix menuitem caption issue (partly by martin smat) remove
	ShortCutToText and TextToShortCut wrapper functions

2004-10-23 16:49  micha

	* lazarus/lcl/: extctrls.pp, include/customnotebook.inc,
	include/custompage.inc, interfaces/win32/win32proc.pp,
	interfaces/win32/win32wsextctrls.pp:
	
	optimize: only create tabpage contents when accessed, not
	immediately upon creation

2004-10-23 16:47  micha

	* lazarus/lcl/: include/intfbaselcl.inc, include/lclintfh.inc,
	interfaces/gtk/gtklclintf.inc, interfaces/gtk/gtklclintfh.inc,
	widgetset/wscomctrls.pp:
	
	remove old code: statusbar methods in twidgetset

2004-10-22 21:36  micha

	* lazarus/lcl/interfaces/win32/win32wsdialogs.pp:
	
	fix crash in opendialog, do not use pchar pointer to string on
	stack!

2004-10-22 15:21  mattias

	* lazarus/languages/: lazaruside.fi.mo, lazaruside.fi.po:
	
	updated finnish translation from Seppo

2004-10-18 18:23  micha

	* lazarus/lcl/include/spinedit.inc:
	
	fix spinedit to be different color from parent by default (has edit
	window)

2004-10-18 18:22  micha

	* lazarus/lcl/interfaces/win32/win32wsstdctrls.pp:
	
	fix combobox text selection methods according to msdn specs

2004-10-17 16:53  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	use font/brush of "parent", if this is a buddy window

2004-10-17 16:40  micha

	* lazarus/lcl/include/customcombobox.inc:
	
	fix parentcolor initialization, in createwnd is too late

2004-10-17 15:53  vincents

	* lazarus/tools/install/win32/create_installer.bat:
	
	Don't create installer, if compilation of Lazarus failed.

2004-10-17 15:51  vincents

	* lazarus/lcl/include/statuspanels.inc:
	
	Fix fpc 1.0.x compilation.

2004-10-17 11:55  mattias

	* lazarus/: extractprocdlg.lfm, extractprocdlg.lrs,
	ideintf/objectinspector.pp, languages/lazaruside.ar.po,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.mo, languages/lazaruside.fi.po,
	languages/lazaruside.fr.po, languages/lazaruside.he.po,
	languages/lazaruside.it.po, languages/lazaruside.itiso.po,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.po,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.po, languages/lazaruside.ruwin.po,
	lcl/include/hintwindow.inc:
	
	updated finnish translation  from Seppo

2004-10-16 17:36  mattias

	* lazarus/lcl/interfaces/gtk/: gtkint.pp, gtkobject.inc,
	gtkproc.inc, gtkproc.pp, gtkwscomctrls.pp:
	
	implemented gtkwscomctrls.TGtkWSStatusBar

2004-10-16 16:42  micha

	* lazarus/lcl/interfaces/win32/win32wscontrols.pp:
	
	fix recursive loop when creating combobox

2004-10-16 12:17  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc:
	
	remove statusbar helper methods from general widgetset object

2004-10-16 12:15  micha

	* lazarus/lcl/: include/lclintf.inc, include/lclintfh.inc,
	include/statusbar.inc, include/statuspanels.inc,
	interfaces/win32/win32lclintf.inc,
	interfaces/win32/win32lclintfh.inc,
	interfaces/win32/win32wscomctrls.pp, widgetset/wscomctrls.pp:
	
	cleanup statusbar methods in lcl interfaceobject fix statusbar
	recursive call issue

2004-10-16 11:16  micha

	* lazarus/environmentopts.pp:
	
	speed up creation of environment options dialog by creating the
	handle later

2004-10-16 10:59  vincents

	* lazarus/lcl/: postscriptcanvas.pas, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkwsextctrls.pp:
	
	fixed fpc 1.0 compilation

2004-10-15 18:21  mattias

	* lazarus/lcl/include/treeview.inc:
	
	TTreeView using GetScrollInfo in scrol messages to scroll beyond
	32767

2004-10-15 15:28  mattias

	* lazarus/: codeexplorer.pas, lcl/buttons.pp,
	lcl/include/treeview.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	codeexplorer: using lower recursive depth

2004-10-15 14:04  mattias

	* lazarus/: lazarusidestrconsts.pas, lazconf.pp, main.pp,
	publishprojectdlg.lfm, publishprojectdlg.lrs,
	publishprojectdlg.pas, include/unix/lazbaseconf.inc,
	lcl/buttons.pp, lcl/include/customnotebook.inc,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwsextctrls.pp,
	lcl/widgetset/wscontrols.pp:
	
	calling updating notebook tab after realize, needed for close btns

2004-10-15 11:51  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32wsbuttons.pp, win32wscalendar.pp,
	win32wsclistbox.pp, win32wscomctrls.pp, win32wscontrols.pp,
	win32wsextctrls.pp, win32wsforms.pp, win32wsspin.pp,
	win32wsstdctrls.pp:
	
	splitup of CreateComponent to widgetset CreateHandle methods

2004-10-14 16:12  vincents

	* lazarus/images/mainicon.ico:
	
	Added transparent color.

2004-10-13 22:03  vincents

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	From Jesus: Set default window class style to CS_DBLCLKS.

2004-10-13 11:59  vincents

	* lazarus/lcl/include/control.inc:
	
	change parameter type in implementation to TTranslateString too

2004-10-12 10:23  mattias

	* lazarus/: compileroptions.pp, project.pp,
	ideintf/projectintf.pas, lcl/controls.pp, lcl/dbgrids.pas,
	lcl/spin.pp, lcl/include/spinedit.inc,
	lcl/interfaces/gtk/gtkwsspin.pp,
	lcl/interfaces/gtk/gtkwsstdctrls.pp:
	
	fixed compiler options interface double variables

2004-10-12 01:33  marc

	* lazarus/debugmanager.pas:
	
	* Fixed interrupting GDB on win32 * Reset exename after run so that
	the exe is not locked on win32

2004-10-12 01:28  marc

	* lazarus/debugger/: debugger.pp, gdbmidebugger.pp:
	
	* Fixed interrupting GDB on win32 * Reset exename after run so that
	the exe is not locked on win32

2004-10-11 19:48  vincents

	* lazarus/: lazarusidestrconsts.pas, main.pp:
	
	Command line help for --debug-log.

2004-10-11 12:47  vincents

	* lazarus/designer/: controlselection.pp, designer.pp:
	
	Replaced writeln by DebugLn in {$IFDEF VerboseDesigner}

2004-10-09 20:08  vincents

	* lazarus/lcl/dbgrids.pas:
	
	Fix fpc 1.0.x compilation.

2004-10-09 19:15  vincents

	* lazarus/lcl/postscriptcanvas.pas:
	
	Fix compilation with DisableFPImage defined.

2004-10-09 16:42  vincents

	* lazarus/lcl/postscriptcanvas.pas:
	
	Fix fpc 1.0.x compilation.

2004-10-09 15:24  mattias

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp, project.pp,
	ideintf/projectintf.pas, packager/packagedefs.pas:
	
	added compiler options to IDEIntf and made Win32GraphicApp default
	for application projects

2004-10-09 14:16  mattias

	* lazarus/lcl/: dbgrids.pas, grids.pas:
	
	From Jesus: Ctrl+HOME does dataset.first, ctrl+END does
	dataSet.Last and fixes

2004-10-09 13:43  vincents

	* lazarus/lcl/lclproc.pas:
	
	Fix fpc 1.0.x compilation.

2004-10-08 23:33  vincents

	* lazarus/lcl/lclproc.pas:
	
	added support for --debug-log command line parameter and
	progname_debuglog environment variable

2004-10-08 16:15  vincents

	* lazarus/lcl/postscriptcanvas.pas:
	
	Fix from olivier GUILBAUD

2004-10-06 14:50  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	remove obsolete code

2004-10-06 14:32  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkwsextctrls.pp:
	
	* fix compile problem in uses clause for GTK2

2004-10-06 12:52  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32wsdialogs.pp:
	
	split up common dialogs code

2004-10-05 22:14  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix update edit text for generic edit controls

2004-10-05 19:54  mattias

	* lazarus/lcl/postscriptcanvas.pas:
	
	postcript fixes for fpc 1.0.10	from Olivier

2004-10-05 01:10  mattias

	* lazarus/lcl/postscriptprinter.pas:
	
	restored Tonys postscriptprinter unit

2004-10-05 00:00  vincents

	* lazarus/tools/install/win32/build-lazarus.bat:
	
	Use -XX option for building lazarus to prevent problems on win95.

2004-10-04 16:27  vincents

	* lazarus/tools/install/win32/: create_installer.bat, lazarus.iss:
	
	- Always create fpc.cfg.  - Remove compilertest.pas on uninstall.

2004-10-04 11:36  mattias

	* lazarus/: components/turbopower_ipro/iphtml.pas,
	components/turbopower_ipro/ipstrms.pas,
	components/turbopower_ipro/iputils.pas,
	examples/turbopower_ipro/tpiproexample.lpi:
	
	fixed compilation of ipro

2004-10-04 11:20  mattias

	* lazarus/lcl/postscriptcanvas.pas:
	
	added postscript canvas example  from Olivier

2004-10-04 11:05  mattias

	* lazarus/: examples/postscript/samplepostscriptcanvas.lpi,
	examples/postscript/samplepostscriptcanvas.lpr,
	examples/postscript/usamplepostscriptcanvas.lfm,
	examples/postscript/usamplepostscriptcanvas.lrs,
	examples/postscript/usamplepostscriptcanvas.pas,
	lcl/alllclunits.pp:
	
	added postscript canvas example  from Olivier

2004-10-04 10:49  mattias

	* lazarus/: designer/designer.pp, lcl/postscriptprinter.pas,
	lcl/printers.pas:
	
	fixed designer selecting hidden controls and postscriptprinter
	improvements from Olivier

2004-10-04 09:05  vincents

	* lazarus/startlazarus.rc:
	
	Added resource for startlazarus icon.

2004-10-03 15:58  mattias

	* lazarus/lcl/printers.pas:
	
	printers update from Olivier

2004-10-02 18:53  mattias

	* lazarus/: lcl/printers.pas, tools/install/build_fpcsrc_rpm.sh:
	
	added new printers.pas from Olivier G

2004-10-01 23:33  vincents

	* lazarus/: Makefile, Makefile.fpc, startlazarus.lpr:
	
	Added icon to startlazarus.

2004-10-01 23:11  vincents

	* lazarus/tools/install/win32/: build-fpc.bat, build-lazarus.bat,
	create_installer.bat:
	
	Fixed running installer on more than one disk drive.

2004-10-01 23:10  vincents

	* lazarus/tools/install/win32/lazarus.iss:
	
	Set editor font.

2004-10-01 23:09  vincents

	* lazarus/tools/install/win32/: editoroptions.xml,
	environmentoptions.xml:
	
	Set editor font and adjust MainIDE window size.

2004-10-01 21:56  vincents

	* lazarus/main.pp:
	
	fix LazProjectDescriptors memleak

2004-10-01 16:11  vincents

	* lazarus/tools/install/cvsexportlocal.pas:
	
	Added copyright notice and short description.

2004-10-01 15:31  mattias

	* lazarus/lcl/: extgraphics.pas, languages/lcl.fi.mo,
	languages/lcl.fi.po:
	
	updated finnish translation from Seppo

2004-10-01 15:25  mattias

	* lazarus/lcl/: dbctrls.pp, graphics.pp:
	
	fixed 1.0.10 compilation

2004-10-01 15:18  mattias

	* lazarus/project.pp:
	
	removed uneeded function TProject.AddNewFile

2004-10-01 15:16  mattias

	* lazarus/: lcl/graphics.pp, lcl/include/bitmapcanvas.inc,
	lcl/include/brush.inc, lcl/include/canvas.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	tools/install/build_fpc_rpm.sh:
	
	fixed unselecting TCanvas objects

2004-10-01 13:52  vincents

	* lazarus/tools/install/cvsexportlocal.pas:
	
	Added cvsexportlocal tool, to create an cvs export from a local
	checked out cvs directory tree.

2004-10-01 13:44  vincents

	* lazarus/lcl/include/fileutil.inc:
	
	Fixed ForceDirectory, if DirectoryName did not end with PathDelim

2004-10-01 13:23  mattias

	* lazarus/: main.pp, mainbase.pas, mainintf.pas, newprojectdlg.pp,
	project.pp, projectdefs.pas, projectopts.pp,
	ideintf/allideintf.pas, ideintf/lazideintf.pas,
	ideintf/projectintf.pas, lcl/interfaces/gtk/gtkwsextctrls.pp,
	packager/pkgmanager.pas:
	
	implemented custom project types

2004-09-30 23:50  vincents

	* lazarus/tools/install/win32/: build-fpc.bat, build-lazarus.bat,
	create_installer.bat, environmentoptions.xml, lazarus.iss,
	samplecfg.vbs, samplefpc.cfg:
	
	added file for win32 installer

2004-09-30 23:24  vincents

	* lazarus/tools/install/win32/readme.txt:
	
	added readme for win32 installer

2004-09-30 12:35  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/: gtk/gtkproc.inc, gtk/gtkproc.pp,
	gtk/gtkwscomctrls.pp, gtk/gtkwsextctrls.pp, gtk/gtkwsspin.pp,
	gtk/gtkwsstdctrls.pp, gtk2/gtk2int.pas, gtk2/gtk2object.inc:
	
	* Fix compile probelem under GTK2 related to   THandle <--> Pointer
	conversion

2004-09-30 12:34  mazen <mazen@freepascal.org>

	* lazarus/components/synedit/synedit.pp:
	
	* Use VDelete instead of Delete to support BIDI text

2004-09-29 17:18  mattias

	* lazarus/lcl/: graphics.pp, include/canvas.inc,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk2/gtk2interface.pas:
	
	fixed TBitmap.Canvas.Frame3d

2004-09-29 10:55  vincents

	* lazarus/tools/updatepofiles.pas:
	
	use unit FileUtil instead of FileCtrl

2004-09-28 23:00  mattias

	* lazarus/: encloseselectiondlg.pas,
	components/codetools/languages/codetools.ca.po,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.es.po,
	components/codetools/languages/codetools.esutf.po,
	components/codetools/languages/codetools.fi.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.itiso.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.pliso.po,
	components/codetools/languages/codetools.plwin.po,
	components/codetools/languages/codetools.po,
	components/codetools/languages/codetools.ru.po,
	components/codetools/languages/codetools.ruwin.po,
	images/components_images.lrs, images/components/tbarchart.xpm,
	languages/lazaruside.ar.po, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.mo,
	languages/lazaruside.fi.po, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.po,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.po:
	
	barchart icon from Michael VC, finnish translation from Seppo

2004-09-28 18:41  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/: gtk/gtkwsstdctrls.pp,
	gtk2/gtk2object.inc:
	
	* Fix GTK2 compilation problem

2004-09-28 18:35  mazen <mazen@freepascal.org>

	* lazarus/components/images/: lazbmp.pas, laztga.pas:
	
	- non used readers removed

2004-09-28 10:19  vincents

	* lazarus/lcl/interfaces/gtk/gtkproc.pp:
	
	unit filectrl splitted in filectrl and fileutil

2004-09-28 00:16  vincents

	* lazarus/lcl/: fileutil.pas, include/filectrl.inc,
	include/fileutil.inc:
	
	renamed filectrl.inc to fileutil.inc

2004-09-28 00:05  vincents

	* lazarus/: addtoprojectdlg.pas, buildfiledlg.pas,
	buildlazdialog.pas, checkcompileropts.pas, cleandirdlg.pas,
	codetoolsdefpreview.pas, compiler.pp, compileroptions.pp,
	compileroptionsdlg.pp, debugmanager.pas, delphiunit2laz.pas,
	dialogprocs.pas, editdefinetree.pas, environmentopts.pp,
	exttooldialog.pas, filereferencelist.pas, findinfilesdlg.pas,
	frmsearch.pas, ideprocs.pp, imexportcompileropts.pas,
	initialsetupdlgs.pas, inputfiledialog.pas, inputhistory.pas,
	lazarusmanager.pas, lazconf.pp, main.pp, mainbase.pas,
	mainintf.pas, outputfilter.pas, patheditordlg.pas, project.pp,
	projectdefs.pas, projectinspector.pas, publishmodule.pas,
	runparamsopts.pas, todolist.pp, transfermacros.pp,
	unitdependencies.pas, uniteditor.pp:
	
	splitted off unit FileUtil, it doesn't depend on other LCL units

2004-09-27 23:45  vincents

	* lazarus/: ideintf/helpfpdoc.pas, ideintf/helphtml.pas,
	ideintf/helpintf.pas, ideintf/projectintf.pas, lcl/alllclunits.pp,
	lcl/dialogs.pp, lcl/extdlgs.pas, lcl/filectrl.pp, lcl/fileutil.pas,
	packager/addfiletoapackagedlg.pas, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas, packager/pkgvirtualuniteditor.pas,
	packager/ucomponentmanmain.pas:
	
	splitted off unit FileUtil, it doesn't depend on other LCL units

2004-09-27 19:23  micha

	* lazarus/lcl/interfaces/win32/win32wsmenus.pp:
	
	fix popupmenu handle creation

2004-09-27 12:35  vincents

	* lazarus/lcl/: filectrl.pp, include/filectrl.inc:
	
	Added CopyFile with PerserveTime parameter

2004-09-27 12:25  mattias

	* lazarus/components/rtticontrols/rttictrls.pas:
	
	added TCustomPropertyLink.EditingDone

2004-09-27 12:01  mattias

	* lazarus/lcl/: graphics.pp, intfgraphics.pas, include/bitmap.inc:
	
	added TLazIntfImage.TColors property

2004-09-25 17:05  mattias

	* lazarus/: findrenameidentifier.lfm, findrenameidentifier.lrs,
	findrenameidentifier.pas, ideprocs.pp, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, mainbase.pas,
	uniteditor.pp, components/codetools/basiccodetools.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/identcompletiontool.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/sourcechanger.pas,
	components/gtk/gtkglarea/gtkglareacontrol.pas, lcl/controls.pp,
	lcl/dbctrls.pp, lcl/stdctrls.pp, lcl/include/customlabel.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwsstdctrls.pp:
	
	implemented Rename Identifier

2004-09-25 13:19  micha

	* lazarus/lcl/interfaces/gtk/gtkwsextctrls.pp:
	
	fix 1.0.10 compilation (global var init)

2004-09-24 23:34  micha

	* lazarus/lcl/: controls.pp, graphics.pp, interfacebase.pp,
	lclproc.pas, lmessages.pp, include/commondialog.inc,
	include/interfacebase.inc, include/menu.inc, include/menuitem.inc,
	include/wincontrol.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsbuttons.pp,
	interfaces/gtk/gtkwsdialogs.pp, interfaces/gtk/gtkwsmenus.pp,
	interfaces/win32/win32callback.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsdialogs.pp,
	interfaces/win32/win32wsmenus.pp, widgetset/wscontrols.pp,
	widgetset/wsdialogs.pp, widgetset/wslclclasses.pp,
	widgetset/wsmenus.pp:
	
	convert LM_CREATE message to interface methods remove
	SendMsgToInterface, CNSendMessage and related methods remove
	TWidgetSet.IntSendMessage3; all LCL to interface messages have been
	converted

2004-09-24 22:23  vincents

	* lazarus/lcl/: extctrls.pp, include/customnotebook.inc:
	
	fixed fpc 1.0.x compilation

2004-09-24 21:02  micha

	* lazarus/lcl/: lmessages.pp, include/customnotebook.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsextctrls.pp,
	interfaces/win32/win32wsextctrls.pp, widgetset/wsextctrls.pp:
	
	convert LM_MOVEPAGE message to interface method

2004-09-24 20:00  micha

	* lazarus/lcl/: lmessages.pp, include/customnotebook.inc,
	include/custompage.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkproc.pp, interfaces/gtk/gtkwsextctrls.pp,
	interfaces/win32/win32wsextctrls.pp, widgetset/wsextctrls.pp:
	
	convert LM_NB_UPDATETAB message to interface method

2004-09-24 19:24  micha

	* lazarus/main.pp:
	
	convert LM_SETDESIGNING message to TWidgetSet method

2004-09-24 19:20  micha

	* lazarus/lcl/: lmessages.pp, include/wincontrol.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/win32/win32wscontrols.pp, widgetset/wscontrols.pp:
	
	convert LM_SETGEOMETRY message to interface method

2004-09-24 17:31  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_LB_GETTOPINDEX and LM_LB_SETTOPINDEX message to
	interface methods

2004-09-24 16:55  mattias

	* lazarus/examples/barchart/: chartdemo.lpi, chartdemo.lpr,
	frmmain.lfm, frmmain.lrs, frmmain.pas:
	
	added TBarChar demo

2004-09-24 16:50  micha

	* lazarus/lcl/: interfacebase.pp, lmessages.pp,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc:
	
	convert LM_SETDESIGNING message to TWidgetSet method

2004-09-24 15:45  mattias

	* lazarus/: ideintf/propedits.pp, lcl/Makefile.fpc,
	lcl/alllclunits.pp, lcl/chart.pp, lcl/dbgrids.pas, lcl/extctrls.pp,
	lcl/graphics.pp, lcl/grids.pas, lcl/include/canvas.inc,
	lcl/include/checkbox.inc, lcl/include/custompanel.inc,
	lcl/include/customstatictext.inc, lcl/include/hintwindow.inc,
	lcl/include/promptdialog.inc, lcl/include/speedbutton.inc,
	lcl/include/tabcontrol.inc, packager/packagesystem.pas,
	packager/registerlcl.pas:
	
	fixed TCanvas.TextRect Delphi compatible Rect and added TBarChart
	from Michael VC

2004-09-24 13:36  mattias

	* lazarus/components/rtticontrols/rttictrls.pas:
	
	added ploAutoSave to RTTIControls   from Michael VC

2004-09-24 12:49  micha

	* lazarus/lcl/lmessages.pp:
	
	remove obsolete messages

2004-09-24 12:36  mattias

	* lazarus/languages/: lazaruside.fi.mo, lazaruside.fi.po:
	
	updated finnish translation

2004-09-24 12:23  mattias

	* lazarus/: lcl/extctrls.pp, lcl/include/bitmap.inc,
	packager/pkgmanager.pas:
	
	fixed 1.0.10 compilation

2004-09-24 09:52  micha

	* lazarus/lcl/: lmessages.pp, include/trackbar.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwscomctrls.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscomctrls.pp, widgetset/wscomctrls.pp:
	
	convert LM_SETPROPERTIES message to interface method for
	TCustomTrackBar remove message LM_SETPROPERTIES, conversion done

2004-09-23 23:16  micha

	* lazarus/lcl/: include/spinedit.inc, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsspin.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsspin.pp, widgetset/wsspin.pp:
	
	convert LM_SETPROPERTIES message to interface method for
	TCustomSpinEdit

2004-09-23 22:51  micha

	* lazarus/lcl/: include/scrollbar.inc, widgetset/wsstdctrls.pp:
	
	convert LM_SETPROPERTIES message to interface method for TScrollBar

2004-09-23 22:36  micha

	* lazarus/lcl/: interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsstdctrls.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETPROPERTIES message to interface method for TScrollBar

2004-09-23 18:37  vincents

	* lazarus/lcl/include/customnotebook.inc:
	
	fix compilation

2004-09-23 16:54  vincents

	* lazarus/lcl/: extctrls.pp, include/customnotebook.inc,
	include/custompage.inc:
	
	moved widgetset related code from TNBPages to TCustomNotebook

2004-09-23 16:50  micha

	* lazarus/lcl/: include/progressbar.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscomctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscomctrls.pp, widgetset/wscomctrls.pp:
	
	convert LM_SETPROPERTIES message to interface method for
	TProgressBar

2004-09-23 14:59  vincents

	* lazarus/lcl/: dbgrids.pas, interfaces/win32/win32wsextctrls.pp:
	
	fix fpc 1.0.x. compilation

2004-09-23 11:00  vincents

	* lazarus/lcl/include/customform.inc:
	
	fix type cast of WidgetSetClass

2004-09-23 09:54  vincents

	* lazarus/: components/codetools/codetoolmanager.pas,
	lcl/interfaces/win32/win32wsforms.pp,
	lcl/interfaces/win32/winext.pas:
	
	fix fpc 1.0.x. compilation

2004-09-23 09:45  vincents

	* lazarus/: basedebugmanager.pas, debugmanager.pas:
	
	moved FDebugger field from BaseDebugManager to DebugManager

2004-09-23 02:10  mattias

	* lazarus/: components/codetools/finddeclarationtool.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	implemented forward search for FindReferences and added check sign
	for package file type

2004-09-22 23:35  vincents

	* lazarus/codetoolsdefines.pas:
	
	replace write with DbgOut

2004-09-22 21:05  mattias

	* lazarus/: ideprocs.pp, main.pp, uniteditor.pp,
	components/rtticontrols/rttictrls.pas, ideintf/packageintf.pas,
	ideintf/propedits.pp, lcl/stdctrls.pp,
	lcl/interfaces/gtk/gtkdragcallback.inc,
	lcl/interfaces/gtk/gtkwsstdctrls.pp,
	lcl/interfaces/win32/win32wsstdctrls.pp,
	lcl/widgetset/wsstdctrls.pp, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	various fixes for TCustomMemo, RTTIControls, FindReferences

2004-09-22 20:06  micha

	* lazarus/lcl/: include/customlistview.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscomctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscomctrls.pp, widgetset/wscomctrls.pp:
	
	convert LM_SETPROPERTIES message to interface methods for
	TCustomListView

2004-09-22 18:13  micha

	* lazarus/lcl/: include/custommemo.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETPROPERTIES message to interface methods for
	TCustomMemo

2004-09-22 16:50  micha

	* lazarus/lcl/: stdctrls.pp, include/customlabel.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETPROPERTIES message for tcustomlabel to interface
	methods

2004-09-22 14:43  mattias

	* lazarus/: main.pp, components/codetools/finddeclarationtool.pas,
	components/tdbf/dbflaz.lpk, components/tdbf/dbflaz.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas, packager/pkgvirtualuniteditor.lfm,
	packager/pkgvirtualuniteditor.lrs,
	packager/pkgvirtualuniteditor.pas:
	
	implemented searching and editing virtual units

2004-09-22 11:46  mattias

	* lazarus/packager/packagesystem.pas:
	
	fixed GetAllRequiredPackages with a topological order

2004-09-21 23:51  mattias

	* lazarus/: findrenameidentifier.lfm, findrenameidentifier.lrs,
	components/codetools/languages/codetools.ca.po,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.es.po,
	components/codetools/languages/codetools.esutf.po,
	components/codetools/languages/codetools.fi.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.itiso.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.pliso.po,
	components/codetools/languages/codetools.plwin.po,
	components/codetools/languages/codetools.po,
	components/codetools/languages/codetools.ru.po,
	components/codetools/languages/codetools.ruwin.po,
	languages/lazaruside.ar.po, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.mo,
	languages/lazaruside.fi.po, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.po,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.po,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po, languages/lazaruside.ruwin.mo,
	languages/lazaruside.ruwin.po, languages/objinspstrconsts.ru.mo,
	languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruwin.mo,
	languages/objinspstrconsts.ruwin.po:
	
	updated russian localization

2004-09-21 15:28  micha

	* lazarus/lcl/: include/customedit.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETPROPERTIES to interface methods for TCustomEdit

2004-09-21 12:05  mattias

	* lazarus/: findrenameidentifier.lfm, findrenameidentifier.lrs,
	main.pp, designer/designer.pp, lcl/include/progressbar.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	fixed disable at designtime and bounding TProgressBar position

2004-09-21 01:13  mattias

	* lazarus/: components/codetools/finddeclarationtool.pas,
	components/codetools/keywordfunclists.pas, lcl/graphics.pp,
	lcl/include/canvas.inc:
	
	moved remaining TCanvas handle dependent methods to protected

2004-09-20 23:01  micha

	* lazarus/lcl/: include/customcombobox.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETPROPERTIES to interface methods for TCustomComboBox

2004-09-20 22:22  mattias

	* lazarus/: findrenameidentifier.lfm, findrenameidentifier.lrs,
	findrenameidentifier.pas, main.pp, miscoptions.pas,
	searchresultview.pp, components/codetools/basiccodetools.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/extractproctool.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/stdcodetools.pas, ideintf/packageintf.pas,
	lcl/include/dragdock.inc, packager/pkgmanager.pas:
	
	implemented Refactoring Tool: Find Identfier References

2004-09-19 21:39  micha

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32object.inc:
	
	undo removal of LM_SETDESIGNING; used by lazarus ide (main.pp)

2004-09-19 21:22  micha

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32object.inc:
	
	remove LM_SETDESIGNING message, as it is not used by LCL

2004-09-19 20:50  micha

	* lazarus/lcl/: arrow.pp, calendar.pp, lmessages.pp,
	include/customcheckbox.inc, include/progressbar.inc,
	include/trackbar.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsarrow.pp,
	interfaces/gtk/gtkwscalendar.pp, interfaces/gtk/gtkwscomctrls.pp,
	interfaces/gtk/gtkwsstdctrls.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc, interfaces/win32/win32wsarrow.pp,
	interfaces/win32/win32wscalendar.pp,
	interfaces/win32/win32wscomctrls.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsarrow.pp,
	widgetset/wscalendar.pp, widgetset/wscomctrls.pp,
	widgetset/wsstdctrls.pp:
	
	convert LM_SETVALUE message to interface methods

2004-09-18 22:18  micha

	* lazarus/lcl/interfaces/win32/win32wsstdctrls.pp:
	
	fix registration checkbox win32

2004-09-18 20:29  micha

	* lazarus/lcl/interfaces/win32/win32wscalendar.pp:
	
	fix compilation calendar win32

2004-09-18 19:07  micha

	* lazarus/lcl/: calendar.pp, lmessages.pp,
	include/customcheckbox.inc, include/trackbar.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwscalendar.pp, interfaces/gtk/gtkwscomctrls.pp,
	interfaces/gtk/gtkwsstdctrls.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscalendar.pp,
	interfaces/win32/win32wscomctrls.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wscalendar.pp,
	widgetset/wscomctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_GETVALUE message to interface method

2004-09-18 14:43  micha

	* lazarus/lcl/: include/commondialog.inc, include/menuitem.inc,
	include/wincontrol.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/gtk/gtkwsdialogs.pp, interfaces/gtk/gtkwsmenus.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp,
	interfaces/win32/win32wsdialogs.pp,
	interfaces/win32/win32wsmenus.pp, widgetset/wscontrols.pp,
	widgetset/wsdialogs.pp, widgetset/wsmenus.pp:
	
	convert LM_DESTROY message to interface methods

2004-09-18 14:25  mattias

	* lazarus/: components/codetools/finddeclarationtool.pas,
	components/codetools/pascalreadertool.pas,
	tools/install/create_lazarus_rpm.sh:
	
	increased rpm version to 0.9.2.2

2004-09-18 13:06  micha

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32listsl.inc, interfaces/win32/win32object.inc:
	
	remove LM_RECREATEWND message, as it is not used by LCL

2004-09-18 12:52  micha

	* lazarus/lcl/: graphics.pp, interfacebase.pp, lcltype.pp,
	lmessages.pp, include/application.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc:
	
	convert LM_SCREENINIT message to interface method (integrated with
	TWidgetSet.AppInit(var ScreenInfo)

2004-09-18 12:13  mattias

	* lazarus/: buildlazdialog.pas, ideintf/Makefile,
	ideintf/Makefile.fpc:
	
	fixed ideintf hard dependency on pkg intf

2004-09-18 03:18  mattias

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	removed unneeded handle

2004-09-18 03:02  mattias

	* lazarus/: compileroptionsdlg.pp, findrenameidentifier.lfm,
	findrenameidentifier.lrs, findrenameidentifier.pas, frmsearch.pas,
	ideprocs.pp, keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, mainbase.pas, miscoptions.pas, project.pp,
	projectdefs.pas, searchresultview.pp, uniteditor.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetree.pas,
	components/codetools/customcodetool.pas,
	components/codetools/extractproctool.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/pascalparsertool.pas,
	components/synedit/synedit.pp:
	
	started new feature: find identifier references

2004-09-17 22:30  vincents

	* lazarus/: components/codetools/codetoolmanager.pas,
	components/codetools/customcodetool.pas,
	components/codetools/definetemplates.pas,
	components/codetools/fileprocs.pas,
	components/codetools/finddeclarationcache.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/linkscanner.pas,
	components/codetools/methodjumptool.pas,
	lcl/include/customform.inc, lcl/include/treeview.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	replaced write by DbgOut

2004-09-17 22:04  vincents

	* lazarus/: checklfmdlg.pas, cleandirdlg.pas, codeexplorer.pas,
	codetoolsdefines.pas, codetoolsoptions.pas, compiler.pp,
	compileroptions.pp, compileroptionsdlg.pp, customformeditor.pp,
	debugmanager.pas, delphiunit2laz.pas, diffpatch.pas,
	editoroptions.pp, environmentopts.pp, exttooldialog.pas,
	helpoptions.pas, ideprocs.pp, inputhistory.pas, keymapping.pp,
	lazarus.pp, main.pp, miscoptions.pas, outputfilter.pas, project.pp,
	projectdefs.pas, publishmodule.pas, sortselectiondlg.pas,
	unitdependencies.pas, uniteditor.pp:
	
	replaced writeln by DebugLn

2004-09-17 19:48  micha

	* lazarus/lcl/widgetset/wsdialogs.pp:
	
	fix crash in win32 when using tselectdirectorydialog; no
	implementation for ShowDialog yet

2004-09-17 12:56  micha

	* lazarus/lcl/: buttons.pp, lmessages.pp, menus.pp, stdctrls.pp,
	include/buttons.inc, include/customcheckbox.inc,
	include/menuitem.inc, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp,
	interfaces/gtk/gtkwsbuttons.pp, interfaces/gtk/gtkwsmenus.pp,
	interfaces/gtk/gtkwsstdctrls.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsbuttons.pp,
	interfaces/win32/win32wsmenus.pp, widgetset/wsbuttons.pp,
	widgetset/wsmenus.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SHORTCUT message to interface methods

2004-09-17 09:55  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsbuttons.pp,
	widgetset/wschecklst.pp, widgetset/wscomctrls.pp,
	widgetset/wsdialogs.pp, widgetset/wsextctrls.pp,
	widgetset/wslclclasses.pp, widgetset/wsmenus.pp,
	widgetset/wsspin.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETBORDER message to interface method fix widgetsets
	virtual methods to be published fix compilation debugging widgetset
	registration

2004-09-16 16:52  micha

	* lazarus/lcl/include/customlistbox.inc:
	
	need to call method of a class

2004-09-16 16:49  micha

	* lazarus/lcl/interfaces/gtk/gtkwsstdctrls.pp:
	
	register gtk customlistbox

2004-09-16 16:32  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	include/toolbar.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETSELMODE message to interface method

2004-09-16 15:57  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SETSEL message to interface method

2004-09-16 15:30  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_SORT message to interface method

2004-09-16 02:15  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp, mainintf.pas,
	uniteditor.pp, components/codetools/customcodetool.pas,
	components/codetools/extractproctool.pas,
	components/codetools/pascalreadertool.pas:
	
	added refactoring submenu in source editor popupmenu and
	implemented simple var/const heuristic for extract proc

2004-09-15 21:38  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_GETSEL message to interface method

2004-09-15 21:04  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_GETSELCOUNT message to interface method

2004-09-15 20:50  micha

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32object.inc:
	
	remove LM_GETLINECOUNT message as it is not used by the LCL

2004-09-15 19:21  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	include/customnotebook.inc, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsextctrls.pp, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsextctrls.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsextctrls.pp,
	widgetset/wsstdctrls.pp:
	
	convert LM_GETITEMINDEX and LM_SETITEMINDEX messages to interface
	methods

2004-09-15 16:56  mattias

	* lazarus/encloseselectiondlg.pas:
	
	added enclose selection with with block

2004-09-15 16:45  micha

	* lazarus/lcl/: lmessages.pp, include/customlistbox.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsstdctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_GETITEMS message to interface method

2004-09-15 15:59  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/: gtkwscontrols.pp, gtkwsstdctrls.pp:
	
	* fix input / output with GTK2 in TEDIT

2004-09-15 10:25  mazen <mazen@freepascal.org>

	* lazarus/frmsearch.pas:
	
	* Fixed infinite loop caused by very long file names

2004-09-15 09:57  micha

	* lazarus/lcl/: lmessages.pp, include/application.inc,
	include/customform.inc, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsforms.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsforms.pp, widgetset/wsforms.pp:
	
	convert LM_SETFORMICON message to interface method

2004-09-14 23:30  vincents

	* lazarus/: debugger/cmdlinedebugger.pp, debugger/dbgutils.pp,
	debugger/debugger.pp, debugger/gdbdebugger.pp,
	debugger/gdbmidebugger.pp, debugger/processlist.pas,
	designer/controlselection.pp, designer/designer.pp,
	designer/designermenu.pp, designer/jitforms.pp,
	designer/scalecompsdlg.pp, designer/taborderdlg.pas,
	ideintf/actionseditor.pas, ideintf/columndlg.pp,
	ideintf/componenteditors.pas, ideintf/componenttreeview.pas,
	ideintf/imagelisteditor.pp, ideintf/listviewpropedit.pp,
	ideintf/objectinspector.pp, ideintf/propedits.pp, lcl/dialogs.pp,
	lcl/dynhasharray.pp, lcl/lresources.pp,
	lcl/include/messagedialogs.inc, lcl/include/toolbutton.inc,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32proc.pp, packager/packageeditor.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	replaced writeln by DebugLn

2004-09-14 20:02  mattias

	* lazarus/lcl/: graphics.pp, include/canvas.inc:
	
	made TCanvas methods virtual

2004-09-14 17:48  micha

	* lazarus/lcl/: lmessages.pp, include/wincontrol.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp, widgetset/wscontrols.pp:
	
	convert LM_INVALIDATE message to interface method

2004-09-14 16:41  micha

	* lazarus/lcl/: lmessages.pp, include/toolbar.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscomctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscomctrls.pp, widgetset/wscomctrls.pp:
	
	convert LM_INSERTTOOLBUTTON and LM_DELETETOOLBUTTON messages to
	interface methods; warning: still very ugly code, as if it is
	"OldToolbar" so probably, obsolete

2004-09-14 14:45  micha

	* lazarus/lcl/: lmessages.pp, include/customnotebook.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsextctrls.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsextctrls.pp, widgetset/wsextctrls.pp:
	
	convert LM_SETTABPOSITION message to interface method

2004-09-14 12:23  mattias

	* lazarus/: customformeditor.pp, delphiunit2laz.pas,
	lazarusidestrconsts.pas, main.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/fileprocs.pas,
	components/codetools/lfmtrees.pas,
	components/codetools/stdcodetools.pas, lcl/controls.pp,
	lcl/graphics.pp, lcl/include/control.inc, lcl/include/graphic.inc,
	lcl/include/pixmap.inc, packager/packagesystem.pas,
	packager/registerlcl.pas:
	
	implemented finding DefineProperties in registered TPersistent,
	implemented auto commenting of missing units for Delphi unit
	conversion

2004-09-14 12:06  micha

	* lazarus/lcl/: interfacebase.pp, lmessages.pp, include/canvas.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc:
	
	convert LM_REDRAW message to interface method (in twidgetset)

2004-09-13 21:57  micha

	* lazarus/lcl/: lmessages.pp, include/customnotebook.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsextctrls.pp,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsextctrls.pp, widgetset/wsextctrls.pp:
	
	convert LM_SHOWTABS message to interface method

2004-09-13 21:06  micha

	* lazarus/lcl/: lmessages.pp, include/customnotebook.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsextctrls.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsextctrls.pp, widgetset/wsextctrls.pp:
	
	convert LM_ADDPAGE and LM_REMOVEPAGE messages to new interface
	methods

2004-09-13 17:33  micha

	* lazarus/lcl/: graphics.pp, include/canvas.inc:
	
	rename AutoReDraw to AutoRedraw, as "Re" is not a word

2004-09-13 16:34  micha

	* lazarus/lcl/: comctrls.pp, lmessages.pp, include/toolbar.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscomctrls.pp,
	interfaces/gtk/gtkwscontrols.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wscomctrls.pp,
	interfaces/win32/win32wscontrols.pp, widgetset/wscomctrls.pp:
	
	convert LM_TB_BUTTONCOUNT to interface method

2004-09-13 15:13  micha

	* lazarus/lcl/: dialogs.pp, lmessages.pp, include/commondialog.inc,
	include/customform.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/gtk/gtkwsdialogs.pp, interfaces/gtk/gtkwsforms.pp,
	interfaces/win32/win32callback.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc, interfaces/win32/win32wsforms.pp,
	widgetset/wsdialogs.pp, widgetset/wsforms.pp:
	
	convert LM_SHOWMODAL to interface methods

2004-09-13 00:57  mattias

	* lazarus/: main.pp, mainbase.pas, mainintf.pas,
	components/codetools/basiccodetools.pas:
	
	implemented autofixing MainUnit IDE directive PathDelim by Vincent

2004-09-12 23:45  vincents

	* lazarus/exttooldialog.pas:
	
	external tools are not running visibly anymore

2004-09-12 22:59  vincents

	* lazarus/lcl/: comctrls.pp, include/tabcontrol.inc,
	interfaces/win32/win32wsmenus.pp:
	
	fix fpc 1.0.x compilation

2004-09-12 21:50  micha

	* lazarus/lcl/: lmessages.pp, include/wincontrol.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwscontrols.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp:
	
	convert LM_SETSIZE message to new interface method

2004-09-12 21:08  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk2/: gtk2int.pas, gtk2object.inc:
	
	* Fix compilation problem with GTK2

2004-09-12 21:02  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkwschecklst.pp:
	
	* Fix compilation problem with GTK2

2004-09-12 21:01  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/: gtkproc.pp, gtkwsextctrls.pp:
	
	*GTK2 supports double byte now

2004-09-12 21:00  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	*Font width is now used with GTK2

2004-09-12 20:56  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	* Fix compilation problem with GTK2

2004-09-12 20:55  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtklclintf.inc:
	
	* Fix font  retreiving from Pango description

2004-09-12 20:42  vincents

	* lazarus/outputfilter.pas:
	
	fixed WriteOutput if time elapsed since last output is longer than
	half a second

2004-09-12 15:52  micha

	* lazarus/lcl/: include/wincontrol.inc,
	interfaces/gtk/gtkwscontrols.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp, widgetset/wscontrols.pp:
	
	convert LM_SETFONT to interface method

2004-09-12 15:30  micha

	* lazarus/lcl/interfaces/: gtk/gtkobject.inc,
	win32/win32object.inc:
	
	remove handling of LM_SETFOCUS in interface, as it is never sent
	from LCL

2004-09-12 15:21  micha

	* lazarus/lcl/: lmessages.pp, include/control.inc,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32object.inc:
	
	remove obsolete message LM_DRAGINFOCHANGED

2004-09-12 15:11  micha

	* lazarus/lcl/: graphics.pp, interfacebase.pp, lmessages.pp,
	include/canvas.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc:
	
	convert LM_GETPIXEL and LM_SETPIXEL to interface methods (of
	twidgetset, DCGetPixel and DCSetPixel)

2004-09-11 22:26  vincents

	* lazarus/uniteditor.pp:
	
	set FindInFile combobox texts to first item in history

2004-09-11 22:22  vincents

	* lazarus/examples/testallform.pp:
	
	set form style to fsNormal, so that it becomes the mainform

2004-09-11 19:29  micha

	* lazarus/lcl/: lmessages.pp, include/popupmenu.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsmenus.pp,
	interfaces/win32/win32object.inc, interfaces/win32/win32wsmenus.pp,
	widgetset/wsmenus.pp:
	
	convert LM_POPUPSHOW message to interface method

2004-09-11 17:01  micha

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32object.inc:
	
	remove obsolete LM_SETFILTER and LM_SETFILENAME messages

2004-09-11 16:54  micha

	* lazarus/lcl/: lmessages.pp, include/buttons.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsbuttons.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wsbuttons.pp, widgetset/wsbuttons.pp:
	
	convert LM_BTNDEFAULT_CHANGED message to interface method

2004-09-11 15:38  micha

	* lazarus/lcl/: interfacebase.pp, lmessages.pp,
	include/application.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc:
	
	convert LM_BRINGTOFRONT message to interface method NOTE: was only
	used for tapplication, not from other controls

2004-09-11 15:06  micha

	* lazarus/lcl/: lmessages.pp, include/control.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwscontrols.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp, widgetset/wscontrols.pp:
	
	convert LM_ADDCHILD message to interface method

2004-09-11 14:15  micha

	* lazarus/lcl/interfaces/win32/win32listsl.inc:
	
	fix forget text after assigning items, need to give exact right
	class

2004-09-11 12:19  mattias

	* lazarus/lcl/: graphics.pp, include/bitmap.inc:
	
	implemented TBitmap.LoadFromDevice

2004-09-11 12:02  mattias

	* lazarus/lcl/: intfgraphics.pas, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkwsmenus.pp:
	
	fixed TLazIntfImage.LoadFromDevice

2004-09-11 03:23  mattias

	* lazarus/: delphiunit2laz.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, mainbase.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/stdcodetools.pas, packager/pkgmanager.pas:
	
	implemented commenting missing units for Delphi unit conversion

2004-09-11 00:14  mattias

	* lazarus/: main.pp, components/codetools/finddeclarationtool.pas,
	components/codetools/keywordfunclists.pas, lcl/lresources.pp:
	
	fixed converting vaInt8 and vaUTF8String

2004-09-10 22:19  micha

	* lazarus/lcl/: checklst.pas, lmessages.pp,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwschecklst.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wschecklst.pp, widgetset/wschecklst.pp:
	
	convert LM_CLB_G/SETCHECKED to interface methods

2004-09-10 20:58  micha

	* lazarus/lcl/: lmessages.pp, include/custommemo.inc,
	include/menuitem.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwsmenus.pp,
	interfaces/gtk/gtkwsstdctrls.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc, interfaces/win32/win32wsmenus.pp,
	widgetset/wsmenus.pp:
	
	convert LM_ATTACHMENU to interface method

2004-09-10 20:06  micha

	* lazarus/lcl/lmessages.pp:
	
	remove LM_GETLABEL since it is not used (anymore)

2004-09-10 19:59  micha

	* lazarus/lcl/: lmessages.pp, stdctrls.pp, include/memostrings.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsstdctrls.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsstdctrls.pp:
	
	convert LM_APPENDTEXT to interface method

2004-09-10 18:28  mattias

	* lazarus/: docs/Contributors.txt, images/components_images.lrs,
	images/components/ttabcontrol.xpm, lcl/comctrls.pp,
	lcl/extctrls.pp, lcl/imglist.pp, lcl/include/customnotebook.inc,
	lcl/include/tabcontrol.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkglobals.pp, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtklclintf.inc,
	lcl/interfaces/gtk/gtklclintfh.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc,
	lcl/interfaces/gtk/gtkwsactnlist.pp,
	lcl/interfaces/gtk/gtkwsarrow.pp,
	lcl/interfaces/gtk/gtkwscalendar.pp,
	lcl/interfaces/gtk/gtkwschecklst.pp,
	lcl/interfaces/gtk/gtkwsclistbox.pp,
	lcl/interfaces/gtk/gtkwscontrols.pp,
	lcl/interfaces/gtk/gtkwsdbctrls.pp,
	lcl/interfaces/gtk/gtkwsdbgrids.pp,
	lcl/interfaces/gtk/gtkwsdialogs.pp,
	lcl/interfaces/gtk/gtkwsdirsel.pp,
	lcl/interfaces/gtk/gtkwseditbtn.pp,
	lcl/interfaces/gtk/gtkwsextctrls.pp,
	lcl/interfaces/gtk/gtkwsextdlgs.pp,
	lcl/interfaces/gtk/gtkwsfilectrl.pp,
	lcl/interfaces/gtk/gtkwsforms.pp, lcl/interfaces/gtk/gtkwsgrids.pp,
	lcl/interfaces/gtk/gtkwsimglist.pp,
	lcl/interfaces/gtk/gtkwsmaskedit.pp,
	lcl/interfaces/gtk/gtkwsmenus.pp,
	lcl/interfaces/gtk/gtkwspairsplitter.pp,
	lcl/interfaces/gtk/gtkwsspin.pp,
	lcl/interfaces/gtk/gtkwsstdctrls.pp,
	lcl/interfaces/gtk/gtkwstoolwin.pp, lcl/widgetset/wsextctrls.pp,
	lcl/widgetset/wslclclasses.pp, tools/install/create_lazarus_rpm.sh:
	
	implemented very rudimentary TTabControl

2004-09-10 18:14  mazen <mazen@freepascal.org>

	* lazarus/components/synedit/synedit.pp:
	
	* Add support for BIDI using FreeBIDI unit (new RTL unit)

2004-09-10 16:38  micha

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/win32/win32int.pp, interfaces/win32/win32listsl.inc,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp, widgetset/wscontrols.pp:
	
	convert lm_gettext to new interface methods remove lm_settext
	replacement settext methods in twidgetsets

2004-09-10 13:20  micha

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32object.inc:
	
	remove LM_SETTEXT message as it is not used

2004-09-10 11:43  micha

	* lazarus/lcl/: lmessages.pp, menus.pp, stdctrls.pp,
	include/customlabel.inc, include/customnotebook.inc,
	include/menuitem.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwscontrols.pp,
	interfaces/gtk/gtkwsmenus.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32listsl.inc, interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp,
	interfaces/win32/win32wsmenus.pp, widgetset/wscontrols.pp,
	widgetset/wsextctrls.pp, widgetset/wsmenus.pp,
	widgetset/wsstdctrls.pp:
	
	convert LM_SETLABEL message to interface methods

2004-09-10 00:02  mattias

	* lazarus/ideintf/: Makefile, Makefile.fpc:
	
	removed double implicit unit   from Alexander Shiyan

2004-09-10 00:00  mattias

	* lazarus/lcl/: comctrls.pp, controls.pp, lclproc.pas,
	include/tabcontrol.inc:
	
	started TTabControlNotebookStrings

2004-09-09 11:35  mattias

	* lazarus/lcl/: comctrls.pp, extctrls.pp,
	include/customradiogroup.inc, include/radiogroup.inc,
	include/tabcontrol.inc:
	
	renamed customradiogroup.inc to radiogroup.inc

2004-09-09 11:18  mattias

	* lazarus/lcl/buttons.pp:
	
	changed TCustomXXX published sections to public

2004-09-09 01:16  mattias

	* lazarus/: frmsearch.pas, searchresultview.pp:
	
	fixed shorten path for search result view

2004-09-09 01:05  mattias

	* lazarus/lcl/: comctrls.pp, include/customlistview.inc,
	include/listitem.inc, interfaces/gtk/gtkwscomctrls.pp,
	interfaces/win32/win32wscomctrls.pp, widgetset/wscomctrls.pp:
	
	improved TListView.SetItemVisible  from Andrew Haines

2004-09-09 00:59  mattias

	* lazarus/lcl/: comctrls.pp, controls.pp, extctrls.pp,
	include/control.inc, include/tabcontrol.inc:
	
	started TTabControl

2004-09-08 22:47  micha

	* lazarus/lcl/: lmessages.pp, include/wincontrol.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwscontrols.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp, widgetset/wscontrols.pp:
	
	convert LM_SHOWHIDE message to new intf method
	TWSWinControl.ShowHide

2004-09-08 21:09  micha

	* lazarus/lcl/: lmessages.pp, include/wincontrol.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwscontrols.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc,
	interfaces/win32/win32wscontrols.pp, widgetset/wscontrols.pp:
	
	convert LM_SETCOLOR message to new intf method
	TWSWinControl.SetColor

2004-09-08 18:39  mazen <mazen@freepascal.org>

	* lazarus/components/synedit/synedit.pp:
	
	* fix BIDI insertion, still needs more work on utf8bidi

2004-09-08 18:20  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk2/gtk2object.inc:
	
	* Commenting removed messages * Can someone please verify they can
	be removed please?

2004-09-08 10:20  mattias

	* lazarus/: buildlazdialog.pas, frmsearch.pas,
	lazarusidestrconsts.pas, components/gtk/gtkglarea/gtkopengl.pas,
	components/rtticontrols/runtimetypeinfocontrols.pas,
	lcl/controls.pp:
	
	fixed find in files searching at end of line

2004-09-08 09:21  vincents

	* lazarus/lcl/: dbgrids.pas, grids.pas:
	
	- removed some debug output - removed wmsize event handler -
	changed case of some keywords - improved DrawFocusRect in case
	there are not gridlines

2004-09-07 16:49  mattias

	* lazarus/: lazarusidestrconsts.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	implemented Package Editor -> View package source

2004-09-07 16:13  micha

	* lazarus/lcl/: maskedit.pp, interfaces/win32/win32callback.inc:
	
	fix key handling of maskedit (inhibit backspace handling)

2004-09-07 14:34  mattias

	* lazarus/codetoolsdefines.pas:
	
	fixed value synedit heights in codetools defines editor

2004-09-07 14:13  mattias

	* lazarus/packager/addtopackagedlg.pas:
	
	fixed add file to package dialog: unit instead of virtual unit

2004-09-07 14:09  mattias

	* lazarus/ideintf/projectintf.pas:
	
	fixed missing semicolon for new forms

2004-09-07 13:45  mattias

	* lazarus/packager/pkgmanager.pas:
	
	fixed missing semicolon in package main sources

2004-09-07 13:43  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, mainbar.pas,
	mainbase.pas, packager/pkgmanager.pas:
	
	implemented Components -> Open package of current unit

2004-09-07 13:13  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	fixed crash on deleteing custom ct defines

2004-09-07 12:26  micha

	* lazarus/lcl/: lmessages.pp, include/customcombobox.inc,
	include/customedit.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc:
	
	fix logs to get rid of comment level 2 warning

2004-09-07 12:18  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc,
	win32wsstdctrls.pp:
	
	fix win32 interface, remove lm_setlimittext (obsolete)

2004-09-07 11:44  micha

	* lazarus/lcl/: lmessages.pp, spin.pp, include/customcombobox.inc,
	include/customedit.inc, include/spinedit.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwsstdctrls.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc, interfaces/win32/win32wsspin.pp,
	interfaces/win32/win32wsstdctrls.pp, widgetset/wsspin.pp,
	widgetset/wsstdctrls.pp:
	
	convert lcl messages to new interface using methods:
	LM_{G,S}ETSELSTART, LM_{G,S}ETSELLEN, LM_{G,S}ETLIMITTEXT

2004-09-07 00:24  mattias

	* lazarus/: buildlazdialog.pas, compileroptionsdlg.pp, lazconf.pp,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas, lcl/Makefile,
	lcl/interfaces/LAYOUT.TXT, lcl/interfaces/Makefile,
	lcl/interfaces/Makefile.fpc, lcl/interfaces/carbon/Makefile,
	lcl/interfaces/carbon/Makefile.fpc, lcl/interfaces/carbon/README,
	lcl/interfaces/carbon/carbonimages.lrs,
	lcl/interfaces/carbon/carbonint.pas,
	lcl/interfaces/carbon/carbonlclintf.inc,
	lcl/interfaces/carbon/carbonlclintfh.inc,
	lcl/interfaces/carbon/carbonobject.inc,
	lcl/interfaces/carbon/carbonwinapi.inc,
	lcl/interfaces/carbon/carbonwinapih.inc,
	lcl/interfaces/carbon/interfaces.pas,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/units/powerpc/darwin/carbon/README:
	
	started the carbon LCL interface

2004-09-06 17:08  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	implement LM_GETSELLEN en LM_GETSELSTART for win32 edit controls

2004-09-05 23:35  mattias

	* lazarus/languages/: objinspstrconsts.fi.mo,
	objinspstrconsts.fi.po:
	
	updated objinspstrconsts.fi.po	from Seppo

2004-09-05 14:16  mattias

	* lazarus/languages/: lazaruside.ar.po, lazaruside.ca.mo,
	lazaruside.ca.po, lazaruside.de.po, lazaruside.es.mo,
	lazaruside.es.po, lazaruside.esutf.mo, lazaruside.esutf.po,
	lazaruside.fi.mo, lazaruside.fi.po, lazaruside.fr.mo,
	lazaruside.fr.po, lazaruside.he.po, lazaruside.it.mo,
	lazaruside.it.po, lazaruside.itiso.mo, lazaruside.itiso.po,
	lazaruside.pl.mo, lazaruside.pl.po, lazaruside.pliso.mo,
	lazaruside.pliso.po, lazaruside.plwin.mo, lazaruside.plwin.po,
	lazaruside.po, lazaruside.ru.mo, lazaruside.ru.po,
	lazaruside.ruwin.mo, lazaruside.ruwin.po:
	
	updated finish translation   from Seppo

2004-09-05 14:13  mattias

	* lazarus/packager/: packagedefs.pas, pkgmanager.pas:
	
	added unitname repair heuristic

2004-09-05 13:45  mattias

	* lazarus/: compileroptionsdlg.pp, packager/packagedefs.pas:
	
	fixed SkipCompiler flag in options dialog

2004-09-05 12:39  mattias

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	fixed gtk1 intf key handler result

2004-09-05 01:50  marc

	* lazarus/lazarus.pp:
	
	* removed compileroptionsdlg from uses claus to get rid of compiler
	warning

2004-09-05 01:02  mattias

	* lazarus/lazarusmanager.pas:
	
	added reintroduce to get rid of the warning

2004-09-05 00:58  mattias

	* lazarus/components/synedit/synedit.pp:
	
	fixed inserting after EOL

2004-09-05 00:24  mattias

	* lazarus/: compileroptions.pp, compileroptionsdlg.pp,
	editoroptions.pp, project.pp, uniteditor.pp,
	components/synedit/syncompletion.pas,
	components/synedit/synedit.pp,
	components/synedit/synedittextbuffer.pp,
	components/synedit/syntextdrawer.pp, lcl/comctrls.pp,
	lcl/extctrls.pp, lcl/forms.pp, lcl/graphics.pp, lcl/lclproc.pas,
	lcl/include/control.inc, lcl/include/customcheckgroup.inc,
	lcl/include/customradiogroup.inc, lcl/include/font.inc,
	lcl/include/intfbaselcl.inc, lcl/include/lclintf.inc,
	lcl/include/lclintfh.inc, lcl/include/scrollingwincontrol.inc,
	lcl/include/treeview.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtklclintf.inc,
	lcl/interfaces/gtk/gtklclintfh.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	added default values for compiler skip options and improved many
	parts of synedit for UTF8

2004-09-04 23:54  marc

	* lazarus/: basedebugmanager.pas, compileroptions.pp,
	compileroptionsdlg.pp, debugmanager.pas, imexportcompileropts.lfm,
	imexportcompileropts.lrs, imexportcompileropts.pas, lazarus.pp,
	lazarusidestrconsts.pas, main.pp, project.pp,
	debugger/cmdlinedebugger.pp, debugger/gdbmidebugger.pp,
	packager/packagedefs.pas, packager/packageeditor.pas:
	
	+ Added option to skip compiler step on compile, build or run *
	Fixed adding of runtime watches * Fixed runnerror reporting
	(correct number and location is shown)

2004-09-03 23:14  vincents

	* lazarus/: lazarusmanager.pas, startlazarus.lpr, startlazopts.pas:
	
	fix showing splash screen on restart

2004-09-02 20:36  mattias

	* lazarus/: localize.sh, languages/lazaruside.ar.po,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.esutf.mo,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.po,
	languages/lazaruside.fr.po, languages/lazaruside.he.po,
	languages/lazaruside.it.po, languages/lazaruside.itiso.po,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.po,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.po, languages/lazaruside.ruwin.po:
	
	added languages/lazaruside.esutf.mo

2004-09-02 19:59  mattias

	* lazarus/: components/synedit/synedit.pp,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	removed double KeyPress method in synedit

2004-09-02 19:42  mattias

	* lazarus/lcl/: dbgrids.pas, include/wincontrol.inc:
	
	fixed changing CNCHar.CharCode when key changed

2004-09-02 18:01  mazen <mazen@freepascal.org>

	* lazarus/: lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, components/synedit/synedit.pp:
	
	* fix compile probelm using gtk1

2004-09-02 16:59  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkproc.pp:
	
	* utf8bidi is only needed for implementation, please ensure it	
	does not appear in any interface section except for LCLType.

2004-09-02 16:58  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	* fixed theType/_Type related to GTK1/GTK2 difference * fix return
	error which causes GTK2 not to call AfterEvent * Test on
	BeforeEvent and EventStopped now exists directly   in key press, as
	no more things are done.  * _string/theString field are
	depreciated, please don't use	them with GTK2

2004-09-02 16:49  mazen <mazen@freepascal.org>

	* lazarus/components/synedit/synedit.pp:
	
	* fix compilation problem with utf8bidi * ugly hack
	CaretNew.x/CaretX should be safe, but will   recode later

2004-09-02 16:08  mazen <mazen@freepascal.org>

	* lazarus/components/synedit/syneditautocomplete.pp:
	
	- utf8bidi is not used here

2004-09-02 15:58  mazen <mazen@freepascal.org>

	* lazarus/uniteditor.pp:
	
	- utf8bidi is not used here

2004-09-02 11:33  mattias

	* lazarus/packager/packagesystem.pas:
	
	fixed synedit pkg filenames

2004-09-02 11:16  mattias

	* lazarus/: uniteditor.pp, components/synedit/syncompletion.pas,
	components/synedit/synedit.pp,
	components/synedit/syneditautocomplete.pp,
	components/synedit/syneditplugins.pas,
	components/synedit/synmacrorecorder.pas,
	components/synedit/syntextdrawer.pp,
	components/synunihighlighter/synunidesigner.pas, lcl/controls.pp,
	lcl/lclproc.pas, lcl/lcltype.pp, lcl/include/intfbaselcl.inc,
	lcl/include/lclintf.inc, lcl/include/lclintfh.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtklclintf.inc,
	lcl/interfaces/gtk/gtklclintfh.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk2/gtk2object.inc:
	
	improved double byte char fonts for gtk1, started synedit UTF8
	support

2004-09-02 00:20  vincents

	* lazarus/: buildlazdialog.pas, lazarusidestrconsts.pas:
	
	added starter to build lazarus tool

2004-09-02 00:04  vincents

	* lazarus/: components/units/powerpc/linux/README,
	ideintf/units/powerpc/linux/README:
	
	added output directories for powerpc/linux target

2004-09-01 22:18  micha

	* lazarus/lcl/: dbgrids.pas, grids.pas:
	
	from jesus reyes: grids:  + bug 388 fixed  + focused cell rectangle
	redesign  + many internal changes
	
	dbgrids:  + font support, still the object inspector doesnt allow
	main/title font changes but it works in the column/column.title
	font.	+ column/column.title text layout (tltop, tlcenter,
	tlbottom)   + editing support	+ fixed resize designtime problems 
	 + options

2004-09-01 13:12  mattias

	* lazarus/lcl/: dbctrls.pp, maskedit.pp, include/dbedit.inc,
	include/dblistbox.inc, include/treeview.inc:
	
	replaced KeyPress dependencies with KeyDown

2004-09-01 12:49  mattias

	* lazarus/: encloseselectiondlg.lfm, encloseselectiondlg.lrs,
	encloseselectiondlg.pas, lazarusidestrconsts.pas,
	sortselectiondlg.pas, languages/lazaruside.ar.po,
	languages/lazaruside.ca.mo, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.esutf.po,
	languages/lazaruside.fi.mo, languages/lazaruside.fi.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.he.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.itiso.mo,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.mo,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.mo,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ca.po, languages/objinspstrconsts.de.po,
	languages/objinspstrconsts.es.po,
	languages/objinspstrconsts.esutf.po,
	languages/objinspstrconsts.fi.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.it.po,
	languages/objinspstrconsts.itiso.po,
	languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.pliso.po,
	languages/objinspstrconsts.plwin.po, languages/objinspstrconsts.po,
	languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruwin.po, lcl/languages/lcl.ca.po,
	lcl/languages/lcl.de.po, lcl/languages/lcl.es.po,
	lcl/languages/lcl.esutf.po, lcl/languages/lcl.fi.po,
	lcl/languages/lcl.fr.po, lcl/languages/lcl.it.po,
	lcl/languages/lcl.itiso.po, lcl/languages/lcl.pl.po,
	lcl/languages/lcl.pliso.po, lcl/languages/lcl.plwin.po,
	lcl/languages/lcl.po, lcl/languages/lcl.ru.po,
	lcl/languages/lcl.ruwin.po:
	
	updated finnish translation  from Seppo

2004-09-01 12:25  mattias

	* lazarus/: main.pp, project.pp, lcl/include/customcombobox.inc:
	
	added some project flags to start getting rid of TProjectType

2004-09-01 11:43  mattias

	* lazarus/: ideprocs.pp, main.pp, mainintf.pas, newdialog.pas,
	project.pp, projectdefs.pas, ideintf/projectintf.pas,
	lcl/filectrl.pp, lcl/lresources.pp, lcl/include/filectrl.inc,
	packager/pkgmanager.pas:
	
	implemented registration of project file types

2004-08-31 15:06  vincents

	* lazarus/: Makefile, Makefile.fpc:
	
	fix for rm -f on MacOS X

2004-08-30 22:17  vincents

	* lazarus/Makefile:
	
	explicit delete startlazarus executable not needed

2004-08-30 22:11  vincents

	* lazarus/Makefile.fpc:
	
	explicit delete startlazarus executable not needed

2004-08-30 18:37  mattias

	* lazarus/: uniteditor.pp, components/synedit/syncompletion.pas,
	components/synedit/synedit.pp,
	components/synedit/syneditautocomplete.pp,
	components/synedit/syneditplugins.pas,
	components/synedit/synmacrorecorder.pas, lcl/controls.pp,
	lcl/dbctrls.pp, lcl/extdlgs.pas, lcl/lcltype.pp, lcl/lmessages.pp,
	lcl/maskedit.pp, lcl/include/dbedit.inc, lcl/include/dblistbox.inc,
	lcl/include/wincontrol.inc:
	
	added OnUTF8KeyPresss

2004-08-30 18:11  mattias

	* lazarus/: components/synedit/syneditplugins.pas, lcl/controls.pp,
	lcl/dbctrls.pp, lcl/lcltype.pp:
	
	changed GTK2 IFDEF to USE_UTF8BIDI_LCL

2004-08-30 18:02  mattias

	* lazarus/: main.pp, msgview.pp, project.pp, projectdefs.pas,
	components/turbopower_ipro/iphtml.pas, ideintf/Makefile.fpc,
	ideintf/allideintf.pas, ideintf/projectintf.pas:
	
	started project interface

2004-08-30 17:47  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkwinapiwindow.pp:
	
	* Fix parameters in function call

2004-08-30 17:46  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	* Fix a compile problem, still need to find the correct way to fix
	that.

2004-08-30 12:49  mattias

	* lazarus/lcl/: dbctrls.pp, forms.pp, lclproc.pas, stdctrls.pp,
	include/customcombobox.inc, include/customform.inc,
	include/dbcalendar.inc, include/dbcheckbox.inc,
	include/dbcombobox.inc, include/dblistbox.inc, include/dbmemo.inc,
	include/dbradiogroup.inc, include/wincontrol.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk/gtkwinapiwindow.pp:
	
	fixed focus catch for combobox csDropDownList

2004-08-30 09:41  vincents

	* lazarus/ideintf/objectinspector.pp:
	
	fix crash when showing hints	from Andrew Haines

2004-08-29 19:24  mazen <mazen@freepascal.org>

	* lazarus/components/images/: imagesforlazarus.lpk,
	imagesforlazarus.pas, lazbmp.pas, lazjpg.pas, lazpng.pas,
	lazpnm.pas, laztga.pas, lazxpm.pas, examples/imagesexample.lpi,
	examples/mainform.lfm, examples/mainform.lrs,
	examples/mainform.pas:
	
	* now units are manually registered by user

2004-08-29 14:35  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	Don't use handles in test if form is MainForm

2004-08-29 14:34  vincents

	* lazarus/lazarusmanager.pas:
	
	Fixed showing lazarus taskbar.

2004-08-29 14:21  vincents

	* lazarus/ideintf/objectinspector.pp:
	
	Use same defaults for loading and saving options

2004-08-29 12:25  mattias

	* lazarus/: images/vase_trans.xpm, lcl/lresources.pp:
	
	fixed readbinary in LRS binary to text

2004-08-29 12:13  mattias

	* lazarus/: Makefile, Makefile.fpc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp:
	
	fixed makefile

2004-08-29 11:39  mattias

	* lazarus/: Makefile, Makefile.fpc:
	
	fixed startlazarus compile under MacOSX

2004-08-29 11:20  mattias

	* lazarus/ideintf/objectinspector.pp:
	
	fixed OI options defaults

2004-08-29 11:12  mattias

	* lazarus/: environmentopts.pp, ideintf/objectinspector.pp:
	
	added Show Hints option to OI options

2004-08-29 10:59  mattias

	* lazarus/: main.pp, components/codetools/finddeclarationtool.pas:
	
	fixed searching units first lowercase

2004-08-29 10:54  mattias

	* lazarus/main.pp:
	
	fixed aborting new project

2004-08-28 12:22  mattias

	* lazarus/: ideintf/objectinspector.pp, lcl/lclproc.pas,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapiwindow.pp:
	
	added hints for long props in OI  from Andrew Haines

2004-08-27 22:22  vincents

	* lazarus/startlazopts.pas:
	
	use xmlcfg from fcl instead of laz_xmlcfg to remove dependency on
	codetools

2004-08-27 22:21  vincents

	* lazarus/Makefile:
	
	generated by new fpcmake

2004-08-27 21:06  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	select all text upon entry in edit control

2004-08-27 20:12  vincents

	* lazarus/: Makefile, Makefile.fpc:
	
	added starter as makefile target, hand edited the Makefile to
	support .lpr files

2004-08-27 17:13  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix choosing taskbar button "close" to close app

2004-08-27 12:11  mattias

	* lazarus/designer/designer.pp:
	
	fixed component pasting in designer

2004-08-27 11:39  micha

	* lazarus/ideintf/objectinspector.pp:
	
	do not draw border, interface will draw border: borderstyle  =
	bssingle

2004-08-27 11:19  micha

	* lazarus/debugmanager.pas:
	
	fix compile by adding braces

2004-08-27 10:55  micha

	* lazarus/lcl/: forms.pp, interfacebase.pp,
	include/application.inc, include/customform.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc:
	
	implement tapplication.minimize for win32, stub for gtk

2004-08-27 01:50  marc

	* lazarus/: basedebugmanager.pas, debugmanager.pas, mainbase.pas,
	debugger/breakpointsdlg.lfm, debugger/breakpointsdlg.lrs,
	debugger/breakpointsdlg.pp, debugger/callstackdlg.lfm,
	debugger/callstackdlg.lrs, debugger/callstackdlg.pp,
	debugger/dbgoutputform.lfm, debugger/dbgoutputform.lrs,
	debugger/debugger.pp, debugger/debuggerdlg.pp,
	debugger/gdbmidebugger.pp, debugger/localsdlg.lfm,
	debugger/localsdlg.lrs, debugger/localsdlg.pp,
	debugger/watchesdlg.pp, debugger/watchpropertydlg.lfm,
	debugger/watchpropertydlg.lrs, debugger/watchpropertydlg.pp,
	ideintf/helpintf.pas:
	
	* Restructured debugger view classes * Fixed help

2004-08-27 00:12  mattias

	* lazarus/: buildlazdialog.pas, ideintf/graphpropedits.pas,
	ideintf/objinspstrconsts.pas, lcl/extdlgs.pas,
	lcl/lclstrconsts.pas, lcl/include/application.inc,
	packager/packagesystem.pas:
	
	localized graphprop editor form and replaced opensavedialog with
	opensavepicturedialog

2004-08-26 23:42  vincents

	* lazarus/: lazarusmanager.pas, startlazarus.lpr, startlazopts.pas:
	
	Added StartLazarus.

2004-08-26 23:35  mattias

	* lazarus/outputfilter.pas:
	
	implemented caching outputfilter search for include file

2004-08-26 23:32  vincents

	* lazarus/: buildlazdialog.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, mainbase.pas:
	
	Prepare lazarus for use with loader. Use -dUseStartLazarus to
	activate.

2004-08-26 21:09  mattias

	* lazarus/lcl/: buttons.pp, controls.pp, forms.pp, stdctrls.pp,
	include/application.inc, include/buttons.inc, include/control.inc,
	include/custommemo.inc, include/wincontrol.inc:
	
	moved navigation key handling to TApplication and added options for
	custom navigation

2004-08-26 18:31  mazen <mazen@freepascal.org>

	* lazarus/components/images/: imagesforlazarus.pas,
	examples/imagesexample.lpi, examples/mainform.lfm,
	examples/mainform.lrs:
	
	* adapt example to the package

2004-08-26 13:27  mazen <mazen@freepascal.org>

	* lazarus/components/images/examples/README.txt:
	
	+ added support for XPM, BMP, TGA * Fix units names * Fix example
	program

2004-08-26 13:19  mazen <mazen@freepascal.org>

	* lazarus/components/images/: imagesforlazarus.lpk,
	imagesforlazarus.pas, lazbmp.pas, lazjpg.pas, lazpng.pas,
	lazpnm.pas, laztga.pas, lazxpm.pas, readme.txt,
	examples/imagesexample.lpi, examples/imagesexample.lpr,
	examples/mainform.pas:
	
	+ added support for XPM, BMP, TGA * Fix units names * Fix example
	program

2004-08-26 10:36  micha

	* lazarus/: lazarus.manifest, lazarus.rc:
	
	fix mainicon and add winxp manifest

2004-08-26 09:34  mazen <mazen@freepascal.org>

	* lazarus/components/images/: imagesforlazarus.lpk,
	imagesforlazarus.pas, lazjpg.pas, lazpng.pas, lazpnm.pas,
	readme.txt, examples/README.txt, examples/imagesexample.lpi,
	examples/imagesexample.lpr, examples/lazarus.jpg,
	examples/mainform.lfm, examples/mainform.lrs,
	examples/mainform.pas:
	
	+ added "Images For Lazarus" package which allow handling all FCL
	supported Image formats

2004-08-26 00:22  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, mainbase.pas, lcl/include/wincontrol.inc:
	
	added unit info to View menu

2004-08-25 23:26  mattias

	* lazarus/: helpmanager.pas,
	components/codetools/codecompletiontool.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/customcodetool.pas,
	components/codetools/linkscanner.pas,
	components/codetools/methodjumptool.pas,
	components/codetools/sourcechanger.pas,
	examples/gtkglarea/gtkglarea_demo.lpi:
	
	fixed compiling codetools with -dCTDebug

2004-08-25 22:16  marc

	* lazarus/lcl/include/customedit.inc:
	
	* fixed infinite for maxlength

2004-08-25 22:09  micha

	* lazarus/ideintf/helpintf.pas:
	
	fix 1.0.10 compilation (from vincent)

2004-08-25 20:30  micha

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	remove obsolete message handlers

2004-08-25 19:59  micha

	* lazarus/lcl/include/: customform.inc, inputdialog.inc:
	
	upon form show, if no activecontrol, then focus first control in
	tab order

2004-08-25 19:39  micha

	* lazarus/lcl/include/inputdialog.inc:
	
	focus edit control in inputdialog upon show

2004-08-25 19:08  micha

	* lazarus/lcl/: lmessages.pp, interfaces/win32/win32object.inc,
	widgetset/wscomctrls.pp:
	
	use new lcl interface methods instead of messages (for win32;
	twscustomlistview)

2004-08-25 18:11  micha

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	remove obsolete message handlers

2004-08-25 17:04  micha

	* lazarus/lcl/: lmessages.pp, interfaces/win32/win32callback.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32wsbuttons.pp, widgetset/wsbuttons.pp:
	
	use new lcl interface methods instead of messages (for win32;
	twsbitbtn)

2004-08-24 21:51  mattias

	* lazarus/: compileroptions.pp, helpmanager.pas,
	docs/xml/README.txt, ideintf/helpfpdoc.pas, ideintf/helpintf.pas:
	
	added LCL fpdoc help db

2004-08-24 21:32  mattias

	* lazarus/docs/xml/: README.txt, find_cvs_fpdoc_files.pl,
	make_all_skel.sh, multi_makeskel.pl, lcl/actnlist.xml,
	lcl/alllclunits.xml, lcl/allunits.xml, lcl/arrow.xml,
	lcl/avglvltree.xml, lcl/buttons.xml, lcl/calendar.xml,
	lcl/checklst.xml, lcl/clipbrd.xml, lcl/clistbox.xml,
	lcl/comctrls.xml, lcl/commctrl.xml, lcl/controls.xml,
	lcl/customtimer.xml, lcl/dbactns.xml, lcl/dbctrls.xml,
	lcl/dbgrids.xml, lcl/dialogs.xml, lcl/dynamicarray.xml,
	lcl/dynhasharray.xml, lcl/editbtn.xml, lcl/extctrls.xml,
	lcl/extdlgs.xml, lcl/extgraphics.xml, lcl/filectrl.xml,
	lcl/forms.xml, lcl/fpcadds.xml, lcl/graphics.xml,
	lcl/graphmath.xml, lcl/graphtype.xml, lcl/grids.xml,
	lcl/imglist.xml, lcl/inipropstorage.xml, lcl/interfacebase.xml,
	lcl/intfgraphics.xml, lcl/lclclasses.xml, lcl/lclintf.xml,
	lcl/lcllinux.xml, lcl/lclmemmanager.xml, lcl/lclproc.xml,
	lcl/lclrescache.xml, lcl/lclstrconsts.xml, lcl/lcltype.xml,
	lcl/lmessages.xml, lcl/lresources.xml, lcl/maskedit.xml,
	lcl/menus.xml, lcl/messages.xml, lcl/pairsplitter.xml,
	lcl/postscriptprinter.xml, lcl/propertystorage.xml,
	lcl/registry.xml, lcl/spin.xml, lcl/stdactns.xml, lcl/stdctrls.xml,
	lcl/textstrings.xml, lcl/toolwin.xml, lcl/utrace.xml,
	lcl/vclglobals.xml, lcl/xmlpropstorage.xml:
	
	updated lcl fpdoc

2004-08-24 20:21  mattias

	* lazarus/: docs/xml/make_all_skel.sh, docs/xml/multi_makeskel.pl,
	ideintf/helpfpdoc.pas, ideintf/helpintf.pas, lcl/intfgraphics.pas:
	
	added case insesitifor xpm reader

2004-08-24 17:51  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	remove obsolete code which has not been enabled the last year

2004-08-23 23:29  vincents

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	Don't show taskbar button, until MainForm is shown.

2004-08-23 19:05  mattias

	* lazarus/: helpmanager.pas, main.pp, msgview.pp,
	ideintf/helpintf.pas:
	
	implemented help jump for messages and classes

2004-08-23 18:44  mattias

	* lazarus/: helpmanager.pas, ideintf/helpintf.pas:
	
	implemented help find for classes and messages

2004-08-23 17:49  mattias

	* lazarus/: helpmanager.pas,
	components/codetools/codetoolmanager.pas, ideintf/helpfpdoc.pas,
	ideintf/helphtml.pas, ideintf/helpintf.pas:
	
	implemented help jump to FPDoc context in unit

2004-08-23 17:05  mattias

	* lazarus/: helpmanager.pas, transfermacros.pp,
	ideintf/helpfpdoc.pas, ideintf/helphtml.pas, ideintf/helpintf.pas,
	lcl/include/filectrl.inc, lcl/interfaces/gtk/gtkobject.inc:
	
	implemented help jump to FPDoc html unit

2004-08-23 00:57  mattias

	* lazarus/: docs/Contributors.txt, lcl/dbctrls.pp,
	lcl/include/dbedit.inc, lcl/include/dbtext.inc:
	
	added OnActiveChange  from Joost

2004-08-23 00:47  mattias

	* lazarus/: codetoolsdefpreview.pas, editoroptions.pp,
	helpmanager.pas, main.pp, mainbase.pas, uniteditor.pp,
	components/codetools/codeatom.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/pascalreadertool.pas, ideintf/Makefile.fpc,
	ideintf/allideintf.pas, ideintf/helpfpdoc.pas,
	ideintf/helpintf.pas, ideintf/objinspstrconsts.pas,
	include/darwin/lazconf.inc, include/linux/lazconf.inc,
	lcl/filectrl.pp, lcl/include/filectrl.inc:
	
	implemented context help for source editor

2004-08-22 14:34  mattias

	* lazarus/: languages/lazaruside.ar.po, languages/lazaruside.ca.mo,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.mo, languages/lazaruside.es.po,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.mo,
	languages/lazaruside.fi.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.he.mo,
	languages/lazaruside.he.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.itiso.mo,
	languages/lazaruside.itiso.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.mo,
	languages/lazaruside.pliso.po, languages/lazaruside.plwin.mo,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ca.po, languages/objinspstrconsts.de.po,
	languages/objinspstrconsts.es.po,
	languages/objinspstrconsts.esutf.po,
	languages/objinspstrconsts.fi.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.it.po,
	languages/objinspstrconsts.itiso.po,
	languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.pliso.po,
	languages/objinspstrconsts.plwin.po, languages/objinspstrconsts.po,
	languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruwin.po, lcl/languages/lcl.ca.po,
	lcl/languages/lcl.de.po, lcl/languages/lcl.es.po,
	lcl/languages/lcl.esutf.po, lcl/languages/lcl.fi.po,
	lcl/languages/lcl.fr.po, lcl/languages/lcl.it.po,
	lcl/languages/lcl.itiso.po, lcl/languages/lcl.pl.po,
	lcl/languages/lcl.pliso.po, lcl/languages/lcl.plwin.po,
	lcl/languages/lcl.po, lcl/languages/lcl.ru.po,
	lcl/languages/lcl.ruwin.po:
	
	updated localization files

2004-08-22 14:11  mattias

	* lazarus/docs/Contributors.txt:
	
	added Mazen to contributors

2004-08-22 14:10  mattias

	* lazarus/: diffdialog.pas, findreplacedialog.pp, keymapping.pp,
	lazarusidestrconsts.pas, docs/Contributors.txt,
	ideintf/helphtml.pas, ideintf/objectinspector.pp,
	ideintf/propedits.pp, lcl/stdctrls.pp,
	tools/install/create_lazarus_rpm.sh:
	
	better theming for some dialogs

2004-08-22 01:23  mattias

	* lazarus/docs/index.html:
	
	fixed mozilla buggy image inserting

2004-08-22 01:16  mattias

	* lazarus/: README, global.inc, global.pp, helpmanager.pas,
	helpoptions.lfm, helpoptions.lrs, helpoptions.pas,
	ideoptiondefs.pas, keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, mainbase.pas, components/rtticontrols/rttictrls.pas,
	docs/INSTALL, docs/index.html, docs/images/cheetah1.png,
	docs/images/laztitle.jpg, ideintf/Makefile.fpc,
	ideintf/allideintf.pas, ideintf/configstorage.pas,
	ideintf/helphtml.pas, ideintf/helpintf.pas,
	ideintf/objectinspector.pp, ideintf/objinspstrconsts.pas,
	lcl/controls.pp:
	
	implemented simple HTML help viewer

2004-08-20 19:09  mattias

	* lazarus/docs/INSTALL:
	
	improved Mac OS X installation hints

2004-08-20 17:33  mattias

	* lazarus/: lazarusidestrconsts.pas, tools/install/README,
	tools/install/create_lazarus_deb.sh,
	tools/install/create_lazarus_rpm.sh,
	tools/install/get_lazarus_version.sh:
	
	increased version to 0.9.2 beta

2004-08-20 15:27  mattias

	* lazarus/docs/INSTALL:
	
	updated INSTALL for Mac OS X

2004-08-20 14:11  mattias

	* lazarus/: editoroptions.pp, keymapping.pp,
	ideintf/idecommands.pas, include/unix/lazbaseconf.inc:
	
	implemented replacing keys in editor options grab keys

2004-08-20 11:47  mattias

	* lazarus/: Makefile, Makefile.fpc, lazconf.pp,
	components/codetools/codetree.pas, include/darwin/lazconf.inc,
	include/freebsd/lazconf.inc, include/linux/lazconf.inc,
	include/netbsd/lazconf.inc, include/win32/lazconf.inc,
	packager/packagesystem.pas:
	
	added darwin libpaths to Makefile and LCL Usage lib paths

2004-08-19 20:50  mattias

	* lazarus/: main.pp, mainbase.pas,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	splitted IDE component owner hierachy to reduce notification time

2004-08-19 20:13  mattias

	* lazarus/: condef.pas, lcl/intfgraphics.pas:
	
	accelerated TLazIntfImage.SetColor_BPP32_R8G8B8_A1_BIO_TTB

2004-08-19 19:47  mattias

	* lazarus/lcl/: lclproc.pas, lresources.pp:
	
	added i386 extended conversions for powerpc

2004-08-19 09:13  mattias

	* lazarus/lcl/lresources.pp:
	
	fixed checking in TLRSObjectReader.Destroy if FStream is assigned

2004-08-19 00:56  mattias

	* lazarus/lcl/: controls.pp, lclproc.pas, include/control.inc,
	include/wincontrol.inc:
	
	implemented basic manual docking

2004-08-18 22:49  mattias

	* lazarus/: customformeditor.pp, designer/menupropedit.pp,
	lcl/forms.pp, lcl/lclproc.pas, lcl/include/control.inc,
	lcl/include/customform.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gnome/gnomeint.pp,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc:
	
	simple forms can now be child controls

2004-08-18 16:24  mattias

	* lazarus/lcl/: forms.pp, include/application.inc,
	include/customform.inc:
	
	implemented TCustomForm.Release

2004-08-18 15:12  mattias

	* lazarus/: components/synedit/synedit.pp, lcl/graphics.pp:
	
	synedit UTF8 support started   by Mazen

2004-08-18 15:06  mattias

	* lazarus/: frmsearch.pas, components/codetools/sourcelog.pas,
	lcl/include/jpg.inc:
	
	accelerated Find In Files

2004-08-18 13:32  mattias

	* lazarus/components/codetools/extractproctool.pas:
	
	fixed Extract Proc flags not used in selection

2004-08-18 12:33  mattias

	* lazarus/: compileroptions.pp, lazarusidestrconsts.pas:
	
	added compiler flags to compiler options dialog

2004-08-18 11:31  mattias

	* lazarus/: components/gtk/gtkglarea/gtkglareacontrol.pas,
	components/htmllite/htmllite.pas,
	components/htmllite/lazhtmllite.pas,
	components/htmllite/litedith.pas, components/htmllite/litesubs.pas,
	components/htmllite/liteun2.pas,
	components/interbase/interbaselaz.pas,
	components/turbopower_ipro/iphtml.pas, designer/designerprocs.pas,
	examples/listboxtest.pp, examples/memotest.pp, lcl/Makefile,
	lcl/Makefile.fpc, lcl/alllclunits.pp, lcl/arrow.pp, lcl/buttons.pp,
	lcl/calendar.pp, lcl/checklst.pas, lcl/clistbox.pp,
	lcl/comctrls.pp, lcl/commctrl.pp, lcl/controls.pp,
	lcl/customtimer.pas, lcl/dialogs.pp, lcl/extctrls.pp,
	lcl/extdlgs.pas, lcl/forms.pp, lcl/graphics.pp, lcl/grids.pas,
	lcl/imglist.pp, lcl/interfacebase.pp, lcl/lclintf.pas,
	lcl/lcltype.pp, lcl/lmessages.pp, lcl/menus.pp,
	lcl/pairsplitter.pas, lcl/spin.pp, lcl/stdctrls.pp, lcl/toolwin.pp,
	lcl/vclglobals.pp, lcl/interfaces/gnome/gnomeint.pp,
	lcl/interfaces/gtk/gtkdef.pp, lcl/interfaces/gtk/gtkglobals.pp,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk2/gtk2int.pas, lcl/interfaces/qt/qtint.pp,
	lcl/interfaces/win32/win32def.pp, lcl/interfaces/win32/win32int.pp,
	lcl/nonwin32/messages.pp, lcl/templates/template.pp:
	
	removed obsolete unit vclglobals

2004-08-18 11:08  mattias

	* lazarus/: components/codetools/stdcodetools.pas,
	ideintf/objinspstrconsts.pas, ideintf/propedits.pp,
	lcl/controls.pp, lcl/include/control.inc, lcl/include/docktree.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	fixed deleting of collection item in prop editor

2004-08-17 21:58  mattias

	* lazarus/examples/: address_book/addrbook.dpr,
	address_book/addrbook.lpi, address_book/addrbook.lpr,
	address_book/addrbook.res, address_book/frmmain.dfm,
	address_book/frmmain.lfm, address_book/frmmain.lrs,
	address_book/frmmain.pas, address_book/frmmain.rst,
	address_book/mybook.dbf, address_book/mybook.mdx,
	address_book/mybook2.dbf, address_book/mybook2.mdx,
	imgviewer/file.bmp, imgviewer/file.xpm, imgviewer/frmmain.lfm,
	imgviewer/frmmain.lrs, imgviewer/frmmain.pas,
	imgviewer/frmmain.rst, imgviewer/images.bmp, imgviewer/imgview.dpr,
	imgviewer/imgview.lpi, imgviewer/imgview.lpr,
	imgviewer/imgview.res:
	
	added two new examples from Michael VC

2004-08-17 21:41  mattias

	* lazarus/lcl/: inipropstorage.pas, propertystorage.pas,
	xmlpropstorage.pas:
	
	StoredValues of property storage now works   from Michael VC

2004-08-17 21:21  vincents

	* lazarus/lcl/dbgrids.pas:
	
	fixed for compilation with fpc 1.0.11 too

2004-08-17 21:21  mattias

	* lazarus/images/: components_images.lrs,
	codeexplorer/ce_class.xpm, codeexplorer/ce_const.xpm,
	codeexplorer/ce_default.xpm, codeexplorer/ce_finalization.xpm,
	codeexplorer/ce_implementation.xpm,
	codeexplorer/ce_initialization.xpm, codeexplorer/ce_interface.xpm,
	codeexplorer/ce_procedure.xpm, codeexplorer/ce_program.xpm,
	codeexplorer/ce_property.xpm, codeexplorer/ce_type.xpm,
	codeexplorer/ce_unit.xpm, codeexplorer/ce_variable.xpm,
	components/txmlpropstorage.xpm:
	
	added codeexplorer icons

2004-08-17 21:01  mattias

	* lazarus/: environmentopts.pp, lcl/lclproc.pas, lcl/stdctrls.pp,
	lcl/include/control.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp:
	
	gtk intf now ignores size notifications of unrealized widgets

2004-08-17 00:09  mattias

	* lazarus/lcl/: forms.pp, include/customdockform.inc,
	include/customform.inc, include/scrollingwincontrol.inc:
	
	started TCustomDockForm

2004-08-16 22:40  mattias

	* lazarus/: ideintf/propedits.pp, lcl/controls.pp, lcl/forms.pp,
	lcl/inipropstorage.pas, lcl/propertystorage.pas,
	lcl/xmlpropstorage.pas:
	
	published TForm.SessionProperties, added property editor and
	activated the storage components for fpc 1.9.5 because of rttiutils

2004-08-16 20:15  vincents

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	The taskbar button is now hidden, if the main form is hidden

2004-08-16 20:05  vincents

	* lazarus/include/win32/lazconf.inc:
	
	replaced GetEnv from dos unit by GetEnvironmentVariable from
	SysUtils unit

2004-08-16 18:03  mattias

	* lazarus/: components/synedit/synedit.pp, ideintf/propedits.pp,
	lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkwinapiwindow.pp,
	tools/install/create_clean_fpcsrc_directory.sh,
	tools/install/create_clean_lazarus_directory.sh:
	
	added UniCode keyvals

2004-08-16 15:04  mattias

	* lazarus/tools/install/: create_clean_fpcsrc_directory.sh,
	create_clean_lazarus_directory.sh,
	create_fpc_tgz_from_local_dir.sh:
	
	added create_clean_fpcsrc_directory.sh

2004-08-16 14:17  mattias

	* lazarus/tools/install/: README,
	create_clean_lazarus_directory.sh,
	create_lazarus_tgz_from_local_dir.sh:
	
	added create_clean_lazarus_directory.sh

2004-08-16 13:11  mattias

	* lazarus/: Makefile, Makefile.fpc,
	tools/install/create_lazarus_tgz_from_local_dir.sh:
	
	added make purge

2004-08-16 11:55  mattias

	* lazarus/tools/install/: README, macosx/fpc_installer_info.zip:
	
	added hints to create fpc dmg for MacOSX

2004-08-16 00:31  mattias

	* lazarus/lcl/: dbctrls.pp, lresources.pp, stdctrls.pp:
	
	fixed fpc 1.0.10 compilation

2004-08-15 20:28  mattias

	* lazarus/lcl/lresources.pp:
	
	activated endian independent binary object reader, writer

2004-08-15 20:16  mattias

	* lazarus/compileroptions.pp:
	
	added link path templates

2004-08-15 20:11  mattias

	* lazarus/lcl/lresources.pp:
	
	reduced output of bin to text conversion

2004-08-15 19:54  mattias

	* lazarus/components/codetools/languages/codetools.itiso.mo:
	
	added components/codetools/languages/codetools.itiso.mo

2004-08-15 19:53  mattias

	* lazarus/: main.pp, designer/designer.pp, lcl/lresources.pp:
	
	implemented endian independent object Text <-> Binary converter

2004-08-15 19:16  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	added fpc src path: from rtl/darwin/ to rtl/bsd/

2004-08-15 19:08  mattias

	* lazarus/lcl/lresources.pp:
	
	added WriteLRSReversedWords

2004-08-15 19:06  mattias

	* lazarus/lcl/lresources.pp:
	
	fixed compilation powerpc

2004-08-15 19:00  mattias

	* lazarus/lcl/: comctrls.pp, extctrls.pp, imglist.pp,
	lresources.pp, include/customcheckgroup.inc, include/imglist.inc,
	include/listitems.inc:
	
	improved DefineProperties to read/write endian independent

2004-08-15 18:11  mattias

	* lazarus/lcl/: lresources.pp, interfaces/gtk/gtkwinapiwindow.pp:
	
	replaced rotten gtk_widget_newv by gtk_type_new

2004-08-15 17:05  mattias

	* lazarus/lcl/: forms.pp, lresources.pp:
	
	fixed freeing TReader.Driver

2004-08-15 16:39  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp,
	components/codetools/keywordfunclists.pas, designer/designer.pp,
	designer/jitforms.pp, lcl/Makefile, lcl/Makefile.fpc,
	lcl/alllclunits.pp, lcl/clipbrd.pp, lcl/forms.pp,
	lcl/lresources.pp, lcl/vclglobals.pp, lcl/include/clipbrd.inc,
	lcl/include/customform.inc:
	
	implemented platform independent binary object streamer

2004-08-13 23:46  mattias

	* lazarus/lcl/: intfgraphics.pas, interfaces/gtk/gtkobject.inc:
	
	added TLazIntfImage.SetColor_BPP32_R8G8B8_A1_BIO_TTB_RBO

2004-08-13 22:40  mattias

	* lazarus/lcl/: graphtype.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwinapi.inc:
	
	fixed DebugLn for VerboseRawImage

2004-08-13 22:17  mattias

	* lazarus/examples/: Makefile, Makefile.fpc, loadpicture.pas:
	
	added example for loading a picture from file

2004-08-13 21:48  mattias

	* lazarus/: compileroptions.pp, outputfilter.pas,
	lcl/include/wincontrol.inc:
	
	added default assembler style for compiler options

2004-08-13 19:41  mattias

	* lazarus/: ideintf/Makefile.fpc, ideintf/allideintf.pas,
	ideintf/helphtml.pas, ideintf/helpintf.pas,
	lcl/interfaces/gtk/gtkwinapiwindow.pp:
	
	fixed initialization of GTKAPIWidget_new

2004-08-13 18:40  mazen <mazen@freepascal.org>

	* lazarus/: uniteditor.pp, components/synedit/syncompletion.pas,
	components/synedit/synedit.pp,
	components/synedit/syneditautocomplete.pp,
	components/synedit/syneditplugins.pas,
	components/synedit/synmacrorecorder.pas, lcl/controls.pp,
	lcl/dbctrls.pp, lcl/extdlgs.pas, lcl/maskedit.pp, lcl/stdctrls.pp,
	lcl/include/customcombobox.inc, lcl/include/dbedit.inc,
	lcl/include/dblistbox.inc, lcl/include/wincontrol.inc:
	
	+ TCharater type used to allow UTF8 keyboard with gtk2

2004-08-13 14:52  mattias

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	removed IFDEF unused var

2004-08-13 14:41  mattias

	* lazarus/lcl/interfaces/gtk/: gtkobject.inc, gtkwinapiwindow.pp:
	
	fixed uninitialized argument

2004-08-13 14:28  mattias

	* lazarus/: codetoolsdefines.pas, compileroptions.pp,
	environmentopts.pp, initialsetupdlgs.pas, lazarusidestrconsts.pas,
	lazconf.pp, msgview.pp, include/unix/lazbaseconf.inc,
	include/win32/lazconf.inc:
	
	replaced ppc386 with platform independent name

2004-08-13 14:05  mattias

	* lazarus/: helpmanager.pas, main.pp, ideintf/helpintf.pas:
	
	implemented THelpSelectorDialog

2004-08-13 12:20  mattias

	* lazarus/: objectlists.pas,
	components/codetools/finddeclarationtool.pas,
	ideintf/actionseditor.pas, lcl/forms.pp, lcl/menus.pp,
	lcl/stdctrls.pp, lcl/include/application.inc,
	lcl/include/menuitem.inc, lcl/include/popupmenu.inc,
	packager/pkgmanager.pas:
	
	fixed codetools ConstSet, implemented notifying TApplication
	whenmenu popups

2004-08-13 03:15  mattias

	* lazarus/: objectlists.pas, designer/designer.pp,
	ideintf/actionseditor.pas:
	
	fixed fpc 1.0.10 compilation

2004-08-12 17:50  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	+ add support for passing non ASCII key values * need to check for
	$F000 if it is the correct value

2004-08-12 12:50  mattias

	* lazarus/: componentpalette.pas, main.pp, mainbase.pas,
	mainintf.pas, components/codetools/codetoolmanager.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/methodjumptool.pas, packager/pkgmanager.pas:
	
	Open unit of component palette component now jumps to declaration

2004-08-12 11:36  mattias

	* lazarus/: lazarusidestrconsts.pas, packager/pkgmanager.pas:
	
	added check to never save doubles in staticpackage.inc

2004-08-12 00:05  mattias

	* lazarus/lcl/: graphics.pp, lclrescache.pas, include/brush.inc,
	include/font.inc, include/pen.inc, interfaces/gtk/gtkfontcache.pas:
	
	fixed brush handle cache size

2004-08-11 23:10  mattias

	* lazarus/lcl/: graphics.pp, include/brush.inc:
	
	implemented TBrushHandleCache

2004-08-11 22:57  mattias

	* lazarus/lcl/: Makefile, Makefile.fpc, alllclunits.pp, forms.pp,
	graphics.pp, interfacebase.pp, intfstrconsts.pas, lclproc.pas,
	lclrescache.pas, lclstrconsts.pas, lmessages.pp, include/brush.inc,
	include/pen.inc, interfaces/gtk/gtkfontcache.pas:
	
	moved intfstrconsts.pp to lclstrconsts.pas, implemented
	TPenHandleCache

2004-08-11 14:57  mattias

	* lazarus/: components/synedit/synedit.pp, lcl/fpcadds.pas,
	lcl/lclproc.pas, lcl/interfaces/gtk/gtkfontcache.pas,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	improved gtk1 FontCache to handle several descriptors per gdkfont

2004-08-11 00:09  mattias

	* lazarus/lcl/include/: intfbasewinapi.inc, treeview.inc,
	winapi.inc:
	
	fixed uninitialised LogFont

2004-08-10 23:56  mattias

	* lazarus/lcl/interfaces/gtk/gtkfontcache.pas:
	
	increased verbosity on double adding font to cache

2004-08-10 20:39  mattias

	* lazarus/components/codetools/keywordfunclists.pas:
	
	added to codetools: compiler funcs typeof, assigned, lo, hi

2004-08-10 20:01  mattias

	* lazarus/components/codetools/: finddeclarationtool.pas,
	keywordfunclists.pas:
	
	added to ct compiler functions read, readln, write, writeln,
	finalize, initialize, inc, dec, setlength

2004-08-10 19:34  mattias

	* lazarus/lcl/: include/font.inc, interfaces/gtk/gtkdef.pp,
	interfaces/gtk/gtkfontcache.pas, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwinapi.inc:
	
	implemented font cache for gtk, which accelerates switching fonts

2004-08-09 23:12  mattias

	* lazarus/lcl/: controls.pp, forms.pp, include/application.inc,
	include/customform.inc, interfaces/gtk/gtkobject.inc,
	interfaces/win32/win32object.inc:
	
	implemented FormStyle fsSplash for splash screens

2004-08-09 22:34  mattias

	* lazarus/: frmsearch.pas, searchresultview.pp, uniteditor.pp:
	
	Search Result View now shortens filepaths

2004-08-09 20:28  mattias

	* lazarus/: customformeditor.pp, main.pp:
	
	IDE save toolbutton is now updated on Idle

2004-08-09 20:22  mattias

	* lazarus/: components/codetools/finddeclarationtool.pas,
	lcl/interfaces/gtk/gtkobject.inc:
	
	fixed type of Low(open array) and type of PathDelim

2004-08-09 18:02  mattias

	* lazarus/tools/install/create_lazarus_rpm.sh:
	
	increased rpm version to 0.9.1.5

2004-08-09 17:46  mattias

	* lazarus/: checklfmdlg.pas, customformeditor.pp, main.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/stdcodetools.pas,
	designer/changeclassdialog.pas, packager/Makefile,
	packager/Makefile.fpc:
	
	implemented getting define properties for Repair broken LFM wizard

2004-08-09 16:05  mattias

	* lazarus/: Makefile, Makefile.fpc, ideintf/Makefile,
	ideintf/Makefile.fpc, packager/Makefile:
	
	fixed makefiles

2004-08-09 15:55  mattias

	* lazarus/objectlists.pas:
	
	added objectlist.pas, implemented simple list TObjectList with
	association pointers

2004-08-09 15:54  mattias

	* lazarus/: checklfmdlg.pas, lazarusidestrconsts.pas, todolist.pp,
	unitdependencies.pas, components/codetools/codetoolmanager.pas,
	components/codetools/stdcodetools.pas, ideintf/allideintf.pas,
	ideintf/packageintf.pas, packager/basepkgmanager.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	added ideintf/packageintf.pas and implemented automatic uses
	section addition and package dependencies fixer for broken LFM

2004-08-09 11:24  mattias

	* lazarus/: checklfmdlg.pas, componentpalette.pas,
	lazarusidestrconsts.pas, mainbar.pas, mainbase.pas,
	components/codetools/definetemplates.pas,
	components/codetools/lfmtrees.pas, designer/changeclassdialog.pas,
	ideintf/Makefile, ideintf/Makefile.fpc, ideintf/allideintf.pas,
	ideintf/componentreg.pas, packager/componentreg.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	moved componentreg.pas to ideintf

2004-08-08 23:52  mattias

	* lazarus/: checklfmdlg.pas, main.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/stdcodetools.pas,
	designer/changeclassdialog.pas:
	
	change component class dlg now works with child controls

2004-08-08 22:51  mattias

	* lazarus/: checklfmdlg.pas, customformeditor.pp, main.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/lfmtrees.pas,
	components/codetools/stdcodetools.pas,
	designer/changeclassdialog.pas, designer/designer.pp,
	ideintf/componenteditors.pas, ideintf/formeditingintf.pas,
	lcl/dbctrls.pp, lcl/include/customform.inc, lcl/include/dbedit.inc:
	
	replaced TDBEdit.WMKillFocus by EditingDone, Change Class basically
	working

2004-08-08 20:20  mattias

	* lazarus/: main.pp, mainbase.pas, mainintf.pas:
	
	added main IDe hints

2004-08-08 20:02  mattias

	* lazarus/: checklfmdlg.pas, debugmanager.pas, lazarus.pp, main.pp,
	mainbar.pas, mainbase.pas, mainintf.pas, searchresultview.pp,
	uniteditor.pp, components/codetools/codetoolmanager.pas,
	components/codetools/extractproctool.pas,
	components/codetools/lfmtrees.pas,
	components/codetools/linkscanner.pas,
	components/codetools/stdcodetools.pas,
	designer/changeclassdialog.pas, ideintf/Makefile.fpc,
	ideintf/allideintf.pas, ideintf/srceditorintf.pas,
	packager/pkgmanager.pas:
	
	splitted TMainIDE (main control instance) and TMainIDEBar (IDE menu
	and palette), added mainbase.pas and mainintf.pas

2004-08-07 12:57  mattias

	* lazarus/: extractprocdlg.lfm, extractprocdlg.lrs,
	extractprocdlg.pas, lazarusidestrconsts.pas, main.pp,
	miscoptions.pas, project.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/extractproctool.pas,
	components/codetools/keywordfunclists.pas,
	designer/changeclassdialog.pas, designer/designer.pp:
	
	fixed extract proc selection block level check

2004-08-07 09:03  mattias

	* lazarus/: checklfmdlg.pas, lazarusidestrconsts.pas, main.pp,
	project.pp, components/codetools/codecache.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/definetemplates.pas,
	designer/changeclassdialog.pas, lcl/dbgrids.pas:
	
	implemented virtual temporary ct files

2004-08-06 09:06  mattias

	* lazarus/lazconf.pp:
	
	changed cpu target ppc to powerpc

2004-08-06 08:51  mattias

	* lazarus/: customformeditor.pp, delphiunit2laz.pas, formeditor.pp,
	lazarusidestrconsts.pas, designer/changeclassdialog.pas,
	designer/designer.pp, designer/designerprocs.pas,
	ideintf/actionseditor.pas, ideintf/componenteditors.pas,
	ideintf/formeditingintf.pas, lcl/avglvltree.pas, lcl/dbgrids.pas:
	
	fixed compilation for fpc 1.0.10

2004-08-05 23:20  mattias

	* lazarus/: customformeditor.pp, formeditor.pp, main.pp,
	designer/abstractformeditor.pp, designer/changeclassdialog.lfm,
	designer/changeclassdialog.lrs, designer/changeclassdialog.pas,
	designer/designer.pp, ideintf/Makefile.fpc, ideintf/allideintf.pas,
	ideintf/formeditingintf.pas, lcl/avglvltree.pas, lcl/controls.pp,
	lcl/stdctrls.pp, lcl/include/control.inc:
	
	moved designer/abstractformeditor.pp to ideintf/formeditingintf.pas

2004-08-05 21:33  vincents

	* lazarus/lcl/include/dbedit.inc:
	
	allow backspace as a valid input

2004-08-05 01:47  mattias

	* lazarus/: designer/changeclassdialog.pas,
	lcl/include/filectrl.inc:
	
	implemented FileExecutable for win32

2004-08-04 19:38  mattias

	* lazarus/: buildlazdialog.pas, outputfilter.pas:
	
	fixed make output recognition for win32

2004-08-04 19:35  mattias

	* lazarus/: components/codetools/finddeclarationtool.pas,
	components/codetools/pascalparsertool.pas,
	ideintf/actionseditor.pas:
	
	fixed ct nodes for proc param type array of

2004-08-04 18:58  mattias

	* lazarus/: main.pp, project.pp:
	
	fixed setting Modified for hidden lpr file when adding
	CreateFormStatement

2004-08-04 18:41  mattias

	* lazarus/: components/synedit/syneditautocomplete.pp,
	ideintf/actionseditor.pas, lcl/dbactns.pp:
	
	fixed range check error for
	TCustomSynAutoComplete.ExecuteCompletion in empty lines

2004-08-04 17:48  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk2/gtk2winapi.inc:
	
	* fix UTF8 text display in source note book

2004-08-04 14:34  mattias

	* lazarus/ideintf/actionseditor.pas:
	
	connected actions register procs

2004-08-04 14:26  mattias

	* lazarus/ideintf/actionseditor.pas:
	
	added actions registration

2004-08-04 12:51  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkcallback.inc:
	
	* fix left mouse button click reaction

2004-08-04 12:35  mattias

	* lazarus/lcl/: forms.pp, include/application.inc:
	
	added workaround for not working TDataModule.AfterConstruction

2004-08-04 11:57  mattias

	* lazarus/lcl/: extctrls.pp, stdctrls.pp,
	include/customstatictext.inc:
	
	TStaticText.CanTab=false

2004-08-04 11:35  mattias

	* lazarus/: ideintf/actionseditor.pas, lcl/actnlist.pas,
	lcl/comctrls.pp, lcl/dbgrids.pas, lcl/include/tabsheet.inc:
	
	implemented setting TTabSheet.TabIndex

2004-08-04 10:50  mattias

	* lazarus/: componentpalette.pas, designer/controlselection.pp,
	lcl/actnlist.pas, lcl/include/customaction.inc:
	
	invisible selected persistents are no longer drawn with grabbers

2004-08-04 09:32  micha

	* lazarus/lcl/: include/wincontrol.inc,
	interfaces/win32/win32callback.inc:
	
	fix win32 keyhandling, send cn_char

2004-08-03 19:18  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkcallback.inc:
	
	* fix right mouse button down event

2004-08-03 17:38  vincents

	* lazarus/lcl/dbgrids.pas:
	
	fix 1.0.x compilation.

2004-08-03 12:01  mattias

	* lazarus/lcl/: Makefile.fpc, alllclunits.pp, dbactns.pp:
	
	added DBActns  from Michael VC

2004-08-03 11:21  mattias

	* lazarus/buildlazdialog.pas:
	
	added dialog for warning if make tool not found

2004-08-03 11:01  mattias

	* lazarus/lcl/: controls.pp, maskedit.pp, include/wincontrol.inc,
	interfaces/gtk/gtkproc.inc:
	
	LCL now handles for non win32 CN_CHAR

2004-08-01 16:35  micha

	* lazarus/lcl/dialogs.pp:
	
	publish Title property on dialogs for .dfm streaming

2004-08-01 16:31  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	fix stretchblt not called because of maskblt failure

2004-08-01 16:21  micha

	* lazarus/lcl/: dbgrids.pas, grids.pas:
	
	implement column support for tdbgrid (thx jesusrmx)

2004-08-01 16:21  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	better pre/post-intf key handling

2004-08-01 15:59  micha

	* lazarus/components/tdbf/: dbflaz.lpk, dbflaz.pas,
	registerdbf.pas:
	
	fix Dbf unit filename case

2004-07-30 22:55  vincents

	* lazarus/: components/codetools/languages/codetools.ca.po,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.es.po,
	components/codetools/languages/codetools.esutf.po,
	components/codetools/languages/codetools.fi.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.itiso.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.pliso.po,
	components/codetools/languages/codetools.plwin.po,
	components/codetools/languages/codetools.po,
	components/codetools/languages/codetools.ru.po,
	components/codetools/languages/codetools.ruwin.po,
	languages/lazaruside.ar.po, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.esutf.po, languages/lazaruside.fi.po,
	languages/lazaruside.fr.po, languages/lazaruside.he.po,
	languages/lazaruside.it.po, languages/lazaruside.itiso.po,
	languages/lazaruside.pl.po, languages/lazaruside.pliso.po,
	languages/lazaruside.plwin.po, languages/lazaruside.po,
	languages/lazaruside.ru.po, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ca.po, languages/objinspstrconsts.de.po,
	languages/objinspstrconsts.es.po,
	languages/objinspstrconsts.esutf.po,
	languages/objinspstrconsts.fi.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.it.po,
	languages/objinspstrconsts.itiso.po,
	languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.pliso.po,
	languages/objinspstrconsts.plwin.po, languages/objinspstrconsts.po,
	languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruwin.po,
	lcl/interfaces/gtk/gtkobject.inc, lcl/languages/lcl.ca.po,
	lcl/languages/lcl.de.po, lcl/languages/lcl.es.po,
	lcl/languages/lcl.esutf.po, lcl/languages/lcl.fi.po,
	lcl/languages/lcl.fr.po, lcl/languages/lcl.it.po,
	lcl/languages/lcl.itiso.po, lcl/languages/lcl.pl.po,
	lcl/languages/lcl.pliso.po, lcl/languages/lcl.plwin.po,
	lcl/languages/lcl.po, lcl/languages/lcl.ru.po,
	lcl/languages/lcl.ruwin.po:
	
	updated localization

2004-07-30 21:48  vincents

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas:
	
	added Italian ISO language in the IDE

2004-07-30 17:38  vincents

	* lazarus/: Makefile, buildlazdialog.pas, environmentopts.pp,
	lazarusidestrconsts.pas, lazconf.pp, main.pp:
	
	make executable location is a environment option now.

2004-07-30 17:34  vincents

	* lazarus/include/: unix/lazbaseconf.inc, win32/lazconf.inc:
	
	make executable location is a environment option now.

2004-07-30 16:26  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkproc.inc,
	gtk/gtkproc.pp, gtk2/gtk2object.inc:
	
	* move HandleGtkKeyUpDown to gtkProc.inc make it visible to gtk2  
	this allow saving a call in a hevely called callback

2004-07-30 16:20  mazen <mazen@freepascal.org>

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	- space style and space size are not set by program in GTK2 but by
	theme

2004-07-27 02:07  marc

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc:
	
	* Fixed disabled state of bitbtns

2004-07-26 22:44  vincents

	* lazarus/: components/Makefile, components/synedit/Makefile,
	designer/Makefile, designer/jitform/Makefile, examples/Makefile,
	ideintf/Makefile, lcl/Makefile, lcl/interfaces/Makefile,
	lcl/interfaces/gnome/Makefile, lcl/interfaces/gtk/Makefile,
	lcl/interfaces/gtk2/Makefile, lcl/interfaces/win32/Makefile,
	packager/Makefile, packager/registration/Makefile:
	
	regenerated makefiles, make doesn't need to be in path now

2004-07-26 00:54  mattias

	* lazarus/: ideintf/propedits.pp, lcl/controls.pp, lcl/forms.pp,
	lcl/inipropstorage.pas, lcl/propertystorage.pas,
	lcl/xmlpropstorage.pas:
	
